2008-03-08  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt): Move custom group here from calendar.el.

	* calendar/cal-bahai.el (calendar-bahai-prompt-for-date)
	(calendar-bahai-mark-date-pattern):
	* calendar/cal-hebrew.el (mark-hebrew-calendar-date-pattern):
	* calendar/cal-islam.el (mark-islamic-calendar-date-pattern):
	* calendar/cal-julian.el (calendar-absolute-from-julian):
	* calendar/cal-persia.el (persian-prompt-for-date): Use zerop.

	* calendar/cal-china.el (chinese-calendar): Move custom group here from
	calendar.el.
	(chinese-calendar-celestial-stem, chinese-calendar-terrestrial-branch):
	Make constants.

	* calendar/cal-coptic.el (coptic-name): Add doc string.

	* calendar/cal-persia.el (persian-calendar-month-name-array)
	(persian-calendar-epoch): Make constants.

	* calendar/cal-tex.el (calendar-tex): Move custom group here from
	calendar.el.

	* calendar/cal-x.el (diary-frame-parameters)
	(calendar-frame-parameters, calendar-and-diary-frame-parameters)
	(calendar-after-frame-setup-hooks): Make defcustoms.

	* calendar/cal-loaddefs.el: New file.

	* calendar/cal-bahai.el, calendar/cal-china.el, calendar/cal-coptic.el:
	* calendar/cal-french.el, calendar/cal-html.el:
	* calendar/cal-islam.el, calendar/cal-iso.el, calendar/cal-julian.el:
	* calendar/cal-mayan.el, calendar/cal-move.el, calendar/cal-persia.el:
	* calendar/cal-tex.el, calendar/cal-x.el:
	Unquote lambda functions.  Add autoload cookies to functions formerly
	autoloaded in calendar.el.  Set `generated-autoload-file' to
	"cal-loaddefs.el".

	* calendar/calendar.el: Move many autoloads to separate file,
	cal-loaddefs.el.  Move defcustoms to start and re-order.
	(calendar-month-name-array, calendar-starred-day): No need to
	declare for compiler.
	(cal-loaddefs): Require it.
	(appt, chinese-calendar, calendar-tex): Move custom groups to the
	appropriate file.
	(diary-entry-marker, calendar-today-marker, calendar-holiday-marker):
	Reverse logic.
	(diary-face, diary-file-name-prefix-function, diary-include-string)
	(diary-glob-file-regexp-prefix, diary-face-attrs)
	(diary-file-name-prefix, sexp-diary-entry-symbol)
	(print-diary-entries-hook, list-diary-entries-hook)
	(nongregorian-diary-listing-hook, mark-diary-entries-hook)
	(nongregorian-diary-marking-hook, diary-list-include-blanks):
	Move to diary-lib.
	(all-christian-calendar-holidays, all-islamic-calendar-holidays)
	(all-bahai-calendar-holidays): Doc fix.
	(calendar-insert-indented): Doc fix.  Use when rather than if.
	(exit-calendar): Use mapc rather than mapcar.
	(calendar-cursor-to-date): Use zerop.
	(calendar-mark-ring): Add doc-string.
	(calendar-starred-day): Defvar it.
	(calendar-mode): Make calendar-starred-day local.
	(calendar-star-date): No need to make calendar-starred-day local.

	* calendar/diary-lib.el: Move defcustoms to start.
	(diary-include-string, diary-list-include-blanks)
	(diary-glob-file-regexp-prefix, diary-face, diary-face-attrs)
	(diary-file-name-prefix, diary-file-name-prefix-function)
	(sexp-diary-entry-symbol, list-diary-entries-hook)
	(mark-diary-entries-hook, nongregorian-diary-listing-hook)
	(nongregorian-diary-marking-hook, print-diary-entries-hook):
	Move here from calendar.el.
	(diary-file-name-prefix-function): Use 'identity.
	(diary-face): Make it a defcustom, and mark as obsolete.
	(top-level): No need to require cal-hebrew, cal-islam when
	compiling.
	(calendar-hebrew-month-name-array-leap-year)
	(calendar-islamic-month-name-array, calendar-bahai-month-name-array):
	Define for compiler.
	(diary-font-lock-keywords): Use format rather than concat. Add
	bahai-diary-entry-symbol.

	* calendar/cal-hebrew.el, calendar/holidays.el, calendar/lunar.el:
	* calendar/solar.el: Unquote lambda functions.

	* calendar/todo-mode.el: Remove un-needed eval-when-compile.

	* textmodes/org.el (list-diary-entries-hook): Declare for compiler.
	(org-get-entries-from-diary): Require diary-lib.

2008-03-08  Juanma Barranquero  <lekktu@gmail.com>

	* info.el (bookmark-make-name-function, bookmark-get-bookmark-record):
	Pacify byte-compiler.

2008-03-07  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-in-knr-argdecl): Limit number of
	paren/bracket pairs parsed, to solve performance problem.

2008-03-07  Bastien Guerry  <bzg@altern.org>

	* bookmark.el (bookmark-set): Don't check for
	`bookmark-make-name-function' since `bookmark-buffer-file-name'
	already takes care of this.
	(bookmark-buffer-name, bookmark-buffer-file-name): Remove
	Info-mode specific code.

	* info.el (bookmark-get-info-node): Define this function in
	info.el, not in bookmark.el.
	(Info-mode): Set `bookmark-make-name-function' to
	`Info-bookmark-make-name' locally.
	(Info-bookmark-make-name): New function.

	* bookmark.el (bookmark-make-name-function): New variable.

2008-03-07  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-set): Make `bookmark-make-record-function'
	buffer-local, not `bookmark-make-cell-function' (the old name).

2008-03-07  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-bookmark-make-record):
	* image-mode.el (image-bookmark-make-record):
	* info.el (Info-bookmark-make-record): Delete obsolete second arg.

2008-03-07  Jan Dj$(Q)Z(Brv  <jan.h.d@swipnet.se>

	* vc.el (vc-status-menu-map-filter): Return orig-binding if
	boundp 'vc-ignore-menu-filter.
	(vc-status-tool-bar-map): Make it defvar.
	(vc-status-mode): vc-status-tool-bar-map now variable.
	(vc-status-toggle-mark): toggle-mark-file => vc-status-toggle-mark-file.

2008-03-07  Karl Fogel  <kfogel@red-bean.com>

	Give a better name to part of the bookmark interface.

	This was originally a much larger change, but halfway through I
	updated and discovered that Stefan Monnier had done the rest.
	It looks like he anticipated the new name too, because he used
	`the-record' instead of `the-cell' for some internal variable names.

	* bookmark.el (bookmark-make-record-function): Was
	`bookmark-make-cell-function'.
	(bookmark-make, bookmark-send-annotation): Update for above.
	(bookmark-make-record-for-text-file):
	Was `bookmark-make-cell-for-text-file.  Fix doc string re rev 1.102.

	* info.el: Adjust accordingly.
	(Info-bookmark-make-record): Was `Info-bookmark-make-cell'.

	* image-mode.el: Adjust accordingly.
	(image-bookmark-make-record): Was `image-bookmark-make-cell'.

	* doc-view.el: Adjust accordingly.
	(doc-view-bookmark-make-record): Was `doc-view-bookmark-make-cell'.

2008-03-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bookmark.el (bookmark-map, bookmark-read-annotation-mode-map):
	Move initialization into declaration.
	(bookmark-get-info-node, bookmark-set-info-node): Remove.
	(bookmark-make, bookmark-make-cell-for-text-file): Remove info-node arg.
	(bookmark-info-current-node): Remove.
	(bookmark-jump-noselect): Rename from bookmark-jump-internal.
	Add relocation fallback.  Set bookmark-current-bookmark.
	(bookmark-default-handler): Rename from bookmark-jump-noselect.
	Remove relocation fallback.  Don't set bookmark-current-bookmark.
	(bookmark-set): Let it be used even if there's no buffer-file-name
	as long as there is a bookmark-make-cell-function.
	* info.el (Info-bookmark-jump): Remove relocation fallback.
	Don't set bookmark-current-bookmark.

2008-03-07  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-issue-message)
	(appt-message-warning-time, appt-audible, appt-visible)
	(appt-msg-window, appt-display-mode-line, appt-display-duration)
	(appt-display-diary): Remove autoload cookies.

	* calendar/cal-china.el, calendar/timeclock.el, calendar/todo-mode.el:
	Remove leading `*' from defcustom doc-strings.

	* calendar/cal-dst.el (calendar-dst): New custom group.
	(calendar-daylight-savings-starts, calendar-daylight-savings-ends)
	(calendar-time-zone, calendar-daylight-time-offset)
	(calendar-standard-time-zone-name, calendar-daylight-time-zone-name)
	(calendar-daylight-savings-starts-time)
	(calendar-daylight-savings-ends-time): Convert from defvar to defcustom.
	(calendar-daylight-savings-starts, calendar-daylight-savings-ends):
	Move to start.

	* calendar/cal-menu.el (holidays-in-diary-buffer): Declare for compiler.

	* calendar/calendar.el (calendar-version): Use emacs-version and
	make it obsolete.  Move to end.
	(calendar-offset, view-diary-entries-initially)
	(mark-diary-entries-in-calendar, calendar-remove-frame-by-deleting)
	(view-calendar-holidays-initially, all-hebrew-calendar-holidays)
	(all-christian-calendar-holidays, all-islamic-calendar-holidays)
	(all-bahai-calendar-holidays, calendar-load-hook)
	(initial-calendar-window-hook, today-visible-calendar-hook)
	(today-invisible-calendar-hook, calendar-move-hook)
	(diary-nonmarking-symbol, hebrew-diary-entry-symbol)
	(islamic-diary-entry-symbol, bahai-diary-entry-symbol)
	(diary-include-string, sexp-diary-entry-symbol)
	(abbreviated-calendar-year, american-date-diary-pattern)
	(european-date-diary-pattern, european-calendar-display-form)
	(american-calendar-display-form, print-diary-entries-hook)
	(list-diary-entries-hook, diary-hook, diary-display-hook)
	(nongregorian-diary-listing-hook, mark-diary-entries-hook)
	(nongregorian-diary-marking-hook, diary-list-include-blanks)
	(holidays-in-diary-buffer, general-holidays, oriental-holidays)
	(local-holidays, other-holidays, hebrew-holidays-1)
	(hebrew-holidays-2, hebrew-holidays-3, hebrew-holidays-4)
	(hebrew-holidays, christian-holidays, islamic-holidays)
	(bahai-holidays, solar-holidays, calendar-setup)
	(calendar-week-start-day): Remove autoload cookies.
	(diary-glob-file-regexp-prefix): Doc fix.
	(calendar-goto-info-node): Use `info' rather than `Info-find-node'.
	(Info-find-emacs-command-nodes, Info-find-node): Remove declarations.
	(calendar-week-start-day, calendar-debug-sexp): Move to start.

	* calendar/solar.el: Remove leading `*' from defcustom doc-strings.
	(calendar-time-display-form, calendar-latitude)
	(calendar-longitude, solar-equinoxes-solstices): Remove autoload
	cookies.
	(calendar-latitude, calendar-longitude): Move functions after
	variables.
	(diary-sabbath-candles-minutes): Move to start.
	(solar-setup): Use or rather than if.
	(solar-sin-degrees, solar-cosine-degrees, solar-tangent-degrees):
	Remove condition-case.
	(solar-atn2): Use zerop.
	(solar-equinoxes-solstices): Doc fix.

	* mail/supercite.el: Remove leading `*' from defcustom doc-strings.
	(sc-mode-map-prefix): Doc fix.  Make it a defcustom.

	* textmodes/org.el (org-agenda-sunrise-sunset): Require solar.
	(calendar-longitude, calendar-latitude, calendar-location-name):
	Declare for compiler.

2008-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* arc-mode.el (archive-ar-file-header-re): New const.
	(archive-ar-summarize, archive-ar-extract): New funs.
	(archive-find-type): Recognize ar archives.

	* vc-bzr.el (vc-bzr-resolve-when-done, vc-bzr-find-file-hook):
	New functions.

	* info.el (Info-bookmark-make-cell): Don't use the info-node argument.

2008-03-06  Lennart Borgman  <lennart.borgman@gmail.com>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map):
	Replace :enable (mark-active) with :enable mark-active.

2008-03-06  Juanma Barranquero  <lekktu@gmail.com>

	* vms-patch.el (make-legal-file-name): New obsolete alias.
	(make-valid-file-name): Rename from `make-legal-file-name'.
	(make-auto-save-file-name): Use it.

	* calendar/calendar.el (calendar-date-is-legal-p): New obsolete alias.
	(calendar-date-is-valid-p): Rename from `calendar-date-is-legal-p'.
	(calendar-date-is-visible-p, mark-visible-calendar-date): Use it.

	* textmodes/org.el (org-export-html-style): Doc fix.
	(org-get-legal-level): New obsolete alias.
	(org-get-valid-level): Rename from `org-get-legal-level'.
	(org-promote, org-demote, org-archive-subtree)
	(org-remember-handler, org-refile, org-put-clock-overlay): Use it.

2008-03-06  Jan Dj$(Q)Z(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Add bookmark_add.

	* vc.el (vc-status-tool-bar-map, vc-status-toggle-mark-file)
	(vc-status-toggle-mark): New functions.
	(vc-status-mode): Set tool bar map.

2008-03-05  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/lisp.el (parens-require-spaces): Doc fix.
	Reported by Drew Adams <drew.adams@oracle.com>.

2008-03-05  Juanma Barranquero  <lekktu@gmail.com>

	* epg.el (epg-context-include-certs): Reflow docstring.
	(epg-start-sign-keys, epg-sign-keys, epg-context-armor)
	(epg-context-signers, epg-context-sig-notations, epg-context-set-armor)
	(epg-context-set-signers, epg-context-set-sig-notations)
	(epg-make-import-status, epg-make-import-result)
	(epg-start-delete-keys): Fix typos in docstrings.
	(epg-start-sign-keys, epg-sign-keys):
	Fix typos in obsolescence declarations.

	* iswitchb.el: Don't check for `cadr' and `last'.
	(iswitchb-define-mode-map, iswitchb-default-keybindings):
	Add obsolescence declaration and remove redundant info from docstring.
	(iswitchb-set-common-completion, iswitchb-set-matches)
	(iswitchb-get-matched-buffers, iswitchb-visit-buffer): Use `let'.
	(recentf-list, most-len, most-is-exact):
	Don't wrap defvars within `eval-when-compile'.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* ediff-hook.el (ediff-cond-compile-for-xemacs-or-emacs): Remove.
	* ediff-init.el (ediff-cond-compile-for-xemacs-or-emacs): Remove.
	* ediff-diff.el, ediff-help.el, ediff-hook.el, ediff-init.el:
	* ediff-mult.el, ediff-util.el, ediff-wind.el: Expand all
	ediff-cond-compile-for-xemacs-or-emacs calls to a featurep test.

	* ediff-hook.el (ediff-window-setup-function): Don't autoload
	declaration for compiler.
	(ediff-xemacs-init-menus): Use when rather than if.

	* ediff-init.el (top-level, ediff-frame-iconified-p): Simplify
	if+and to just and.
	(ediff-read-event, ediff-overlayp, ediff-make-overlay)
	(ediff-delete-overlay): Move the XEmacs test inside the definition.

	* ediff-mult.el (ediff-get-meta-info): Use or and unless rather than if.

	* ediff-util.el (ediff-kill-bottom-toolbar): Place (ediff-use-toolbar-p)
	test inside XEmacs test.
	(ediff-make-bottom-toolbar): Place whole cond inside XEmacs test,
	since it was doing nothing on Emacs.
	(ediff-make-bullet-proof-overlay): Use when rather than if.

	* ediff-wind.el (ediff-select-lowest-window): Use when rather than if.
	(ediff-setup-control-frame): Remove
	ediff-cond-compile-for-xemacs-or-emacs, since it is already inside
	a (featurep 'xemacs) test.

2008-03-05  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-ext.el (calc-extended-command-history): New variable.
	(calc-exectute-extended-command): Use `calc-extended-command-history'.

2008-03-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* bindings.el (mode-line-remote): Add mouse-face.  Improve tooltip.
	(standard-mode-line-position): Add mouse-face.

	* progmodes/compile.el (compilation-menu-map):
	(compilation-mode-map):
	* progmodes/grep.el (grep-mode-map): Add :help.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Define and
	initialize in one step.  Add :help.  Use :enable to activate menu
	items. Show the key binding for edebug-defun.
	(lisp-interaction-mode-map): Add a menu.

	* term.el (term-mode-map): Define and initialize in one step.

	* ediff-init.el (ediff-color-display-p): Simplify.
	(Xor): Remove unused function.
	(ediff-with-syntax-table): Simplify for Emacs.

	* ediff-hook.el (menu-bar-ediff-menu): Don't depend on the
	menu-bar being loaded, it always is.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-mode): Suppress warning about
	multiple definitions when compiling.

2008-03-04  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-neutralize-syntax-in-CPP): Fix coding bug.

	* progmodes/cc-langs.el (c-before-font-lock-function): Fix bug in
	doc-string, "c-old-LEN" -> "c-old-END".

2008-03-04  Jason Rumney  <jasonr@gnu.org>

	* nxml/rng-nxml.el (rng-preferred-prefix-alist): Add dublin core
	namespaces.

2008-03-04  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-cmd-bibtex-args): Add :version and :group.

	* ediff-init.el (ediff-clear-fine-diff-vector): Use mapc rather
	than mapcar.

2008-03-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-compile-trueconstp)
	(byte-compile-nilconstp): Can't use recursion in a defsubst.

	* textmodes/tex-mode.el (latex-mode): Remove % from paragraph-separate
	so that M-q can fill comments.
	(tex-executable-exists-p, tex-compile): Extend with special syntax for
	commands implemented in elisp.
	(tex-compile-commands): Add an entry to use doc-view for pdf files.
	(tex-format-cmd): New function.
	(tex-compile): Use it to let the user specify default arguments.
	(tex-cmd-bibtex-args): New var.
	(tex-cmd-doc-view): New function.

2008-03-03  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (face-spec-set): Fix typos in docstring.

2008-03-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* bindings.el (mode-line-column-line-number-mode-map): New variable.
	(standard-mode-line-position): Use it to add a menu for toggling
	column number and line number display.

2008-03-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded):
	Remove optimization that was working around the form-code-walker bug.

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Walk into the body of lambdas after byte-compile-unfold-lambda.

2008-03-03  Glenn Morris  <rgm@gnu.org>

	* emulation/viper-util.el (viper-frame-value): Prefer buffer-local
	value, if set, over frame value.

	* simple.el (transient-mark-mode): Don't turn on by default.

	* net/tls.el (open-tls-stream): Restore the 2007-11-04 change
	accidentally removed by the 2007-12-05 merge from Gnus.

2008-03-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/compile.el (compilation-menu-map): Add menu entries
	for useful options.

2008-03-01  Dan Nicolaescu  <dann@ics.uci.edu>
	    Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-recompile-directory)
	(byte-compile-file, batch-byte-compile, batch-byte-compile-file):
	Give a `bytecomp-' prefix to local variables with common names.

2008-03-01  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Restore
	code commented out 2007-11-10.

	* emulation/edt.el (zmacs-region-stays): Define for compiler once only.

	* emulation/viper-init.el (viper-cond-compile-for-xemacs-or-emacs):
	Delete macro.
	* emulation/viper-cmd.el, emulation/viper-ex.el:
	* emulation/viper-init.el, emulation/viper-keym.el:
	* emulation/viper-mous.el, emulation/viper-util.el:
	* emulation/viper.el:
	Expand all viper-cond-compile-for-xemacs-or-emacs calls to a
	featurep test.

	Replace obselete frame-local variables with frame-parameters.
	* emulation/viper-init.el (viper-replace-overlay-cursor-color)
	(viper-insert-state-cursor-color, viper-emacs-state-cursor-color)
	(viper-vi-state-cursor-color): Only call make-variable-frame-local
	on XEmacs.
	* emulation/viper-util.el (viper-frame-value): New macro.
	* emulation/viper-cmd.el (viper-insert-state-post-command-sentinel)
	(viper-R-state-post-command-sentinel)
	(viper-replace-state-post-command-sentinel)
	(viper-change-state-to-insert, viper-change-state-to-emacs):
	* emulation/viper-util.el (viper-set-cursor-color-according-to-state)
	(viper-save-cursor-color, viper-get-saved-cursor-color-in-replace-mode)
	(viper-get-saved-cursor-color-in-insert-mode)
	(viper-get-saved-cursor-color-in-emacs-mode, viper-set-replace-overlay):
	Use viper-frame-value for viper-replace-overlay-cursor-color,
	viper-emacs-state-cursor-color, viper-insert-state-cursor-color, and
	viper-vi-state-cursor-color values.

	* emulation/viper-cmd.el (zmacs-region-stays):
	* emulation/viper-util.el (zmacs-region-stays): No need to define
	for compiler.

	* emulation/viper-keym.el (viper-add-keymap): Use mapc rather than
	mapcar on Emacs.

	* emulation/viper-mous.el (viper-counting-clicks-p): Only define
	on XEmacs.

	* emulation/viper-util.el (viper-set-minibuffer-overlay): Use when
	rather than if.

2008-03-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: New version 9.3.  As the glyph code generation was
	fixed, it is possible now to use character code above ?\x1FFFF in the
	display table.  Fix `whitespace-indentation-regexp' to not include an
	extra ending character.  Reported by Michael Welsh Duggan
	<mwd@cert.org>.  Added hook actions when buffer is written or killed as
	the original whitespace package had.  Suggested by Eric Cooper
	<ecc@cmu.edu>.  Doc fix.
	(whitespace-action): New option.
	(whitespace-display-mappings): Changed default newline visualization to
	display downwards arrow, as the glyph code generation was fixed.
	(whitespace-unload-function): Assure that all local whitespace mode is
	turned off.
	(whitespace-global-modes): Fix type customization.
	(whitespace-mode, global-whitespace-mode, whitespace-cleanup-region)
	(whitespace-insert-option-mark, whitespace-help-on, whitespace-turn-on)
	(whitespace-turn-off, whitespace-color-on, whitespace-display-char-on):
	Fix code.
	(whitespace-buffer): Command removed.
	(whitespace-trailing-regexp, whitespace-mark-x)
	(whitespace-display-window, whitespace-action-when-on)
	(whitespace-add-local-hook, whitespace-remove-local-hook)
	(whitespace-write-file-hook, whitespace-kill-buffer-hook)
	(whitespace-action): New funs.
	(whitespace-report-list, whitespace-report-text)
	(whitespace-report-buffer-name): New consts.
	(whitespace-report, whitespace-report-region): New commands.

2008-03-01  Juanma Barranquero  <lekktu@gmail.com>

	* disp-table.el (make-glyph-code): Don't test the result of
	`face-id', which already signals an error for invalid faces.
	(glyph-face): Simplify.

	* desktop.el (desktop-read): Set `desktop-dirname' to nil before
	running `desktop-not-loaded-hook' to allow modifying it.
	Don't show warning message if `desktop-dirname' was modified.

2008-03-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Only accept an empty line if
	we still expect more lines.

	* textmodes/fill.el (fill-comment-paragraph): Don't try to do
	comment-paragraph filling if the commark doesn't match
	comment-start-skip.

2008-03-01  Daiki Ueno  <ueno@unixuser.org>

	* international/utf-7.el (utf-7-encode): Never skip the trailing - for
	the `imap' variant.

2008-03-01  Jason Rumney  <jasonr@gnu.org>

	* files.el (make-auto-save-file-name): Encode more characters in
	non-file buffer names.  Use url-encoding.

2008-03-01  Juanma Barranquero  <lekktu@gmail.com>

	* net/net-utils.el (ftp-program): Fix typo in docstring.
	(ifconfig-program-options, netstat-program-options)
	(arp-program-options, route-program-options, nslookup-program-options)
	(ftp-program-options, smbclient-program-options)
	(dns-lookup-program-options, arp, route): Doc fixes.

	* progmodes/gdb-ui.el (gdb-pc-address, gdb-source-file-list)
	(gdb-cpp-define-alist-program, gdb-mouse-jump, gdb-get-buffer-create)
	(gdb-set-gud-minor-mode-existing-buffers-1, gdb-debug-log):
	Fix typos in docstrings.
	(gdb-pending-triggers): Reflow docstring.
	(gdb, gdb-init-1): Fix typos in docstrings of gud-def definitions.

2008-03-01  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-neutralize-syntax-in-CPP): Fix a bug on
	typing "#" at EOB.

2008-03-01  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/cua-base.el (cua-remap-control-z): Fix typo in docstring.

2008-02-29  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-remap-control-v)
	(cua-remap-control-z): New defcustoms.
	(cua-mode): Add them to set-after property.
	(cua--init-keymaps): Use them.
	Add C-x/C-c home, end, next, and prior to cua--prefix-repeat-keymap.

	* help.el (view-emacs-todo): Rename from view-todo.
	(describe-gnu-project): Rename from describe-project.  Users changed.
	(view-help-file): New helper function.
	(describe-distribution, describe-copying, describe-gnu-project)
	(view-todo, view-order-manuals, view-emacs-problems): Use it.
	(view-emacs-debugging, view-external-packages): New commands.
	(help-map): Move describe-distribution to C-h C-o (ordering).
	Move view-emacs-problems to C-h C-p (problems).
	Bind view-emacs-debugging to C-h C-d (debugging).
	Bind view-external-packages to C-h C-e (extras).
	(help-for-help-internal): Cleanup and align descriptions.
	Remove command names to reduce clutter.

2008-02-29  Nick Roberts  <nickrob@snap.net.nz>

	* vc.el (vc-set-mode-line-busy-indicator): Use shorter message
	and quieter face (not a warning).

2008-02-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-crt-marked): New variable.
	(vc-status-mode): Make it local.
	(vc-status-refresh): Use it to save the marked files.
	(vc-update-vc-status-buffer): Use it to restore the marked files.

	* vc-svn.el (vc-svn-after-dir-status):
	* vc-hg.el (vc-hg-after-dir-status): Clean up the temporary buffer.

2008-02-29  Glenn Morris  <rgm@gnu.org>

	* allout.el (allout-topic-encryption-bullet)
	(allout-passphrase-verifier-handling, allout-passphrase-hint-handling)
	(allout-encrypt-unencrypted-on-saves): Change defcustom :version
	from 22.0 to 22.1.

	* net/imap.el (imap-ping-server):
	* net/tls.el (tls-checktrust, tls-untrusted, tls-hostmismatch):
	Change defcustom :version from 23.0 to 23.1.

2008-02-29  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-save): Save the buffer name if the
	uniquified base name is empty.

2008-02-29  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Apply function-name-face
	correctly when user has "set print address off".

2008-02-28  Juanma Barranquero  <lekktu@gmail.com>

	* cus-edit.el (custom-mode, custom-mode-hook): Use 23.1 as
	version number of the next major Emacs release, not 23.0.

	* longlines.el (longlines-unload-function): New function.

2008-02-28  Juri Linkov  <juri@jurta.org>

	* startup.el (normal-splash-screen): Add argument `concise'.
	Remove unused binding `prev-buffer'.  Let-bind `splash-buffer'
	to the created buffer.  If `concise' is non-nil, call
	`display-buffer', otherwise `switch-to-buffer'.  Doc fix.
	(display-startup-screen): Add argument `concise' to the call to
	`normal-splash-screen'.

2008-02-28  Kim F. Storm  <storm@cua.dk>

	* startup.el (startup-echo-area-message): Check for about-emacs.

2008-02-28  Juri Linkov  <juri@jurta.org>

	* startup.el: Always add initial message to *scratch* buffer if
	`initial-scratch-message' is non-nil regardless of the value of
	`inhibit-startup-screen'.
	(inhibit-startup-screen, initial-scratch-message): Doc fix.
	(command-line-1): Move code that inserts `initial-scratch-message'
	up before the if-form that checks for `inhibit-startup-screen'.
	Suggested by Jonathan Rockway <jon@jrock.us>.

2008-02-28  Juri Linkov  <juri@jurta.org>

	* cus-edit.el (custom-mode-map, custom-mode-link-map):
	Rename `custom-mode' to `Custom-mode' in docstrings.
	(custom-buffer-create-internal, customize-browse):
	Rename `custom-mode' to `Custom-mode'.
	(custom-mode-hook): Rename to `Custom-mode-hook'.
	(Custom-mode-hook): Renamed from `custom-mode-hook'.
	(custom-mode): Rename to `Custom-mode'.
	(Custom-mode): Renamed from `custom-mode'.  Doc fix.
	(custom-mode): Add backward-compatible non-interactive variant of
	`Custom-mode' that simply calls `Custom-mode'.  Mark it obsoleted.
	(custom-mode-hook): Mark it as obsolete alias of `Custom-mode-hook'.

	* info-look.el: Rename `custom-mode' to `Custom-mode'.

	* emulation/viper.el (viper-emacs-state-mode-list):
	Rename `custom-mode' to `Custom-mode'.

	* menu-bar.el (menu-bar-search-menu, menu-bar-replace-menu):
	Capitalize "Tagged Files".
	(minibuffer-local-map): Add menu items for next/previous
	history elements and isearch history forward/backward.

	* progmodes/hideshow.el (hs-minor-mode-menu): Compare
	`hs-isearch-open' with t instead of `comment' in :selected
	for "Code and Comment blocks" menu item.

2008-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* uniquify.el (uniquify-buffer-base-name): Undo last change.
	Should be done in desktop.el instead.

2008-02-28  Glenn Morris  <rgm@gnu.org>

	* autoinsert.el (auto-insert-alist): Update to FDL 1.2.

	* emacs-lisp/byte-run.el (make-obsolete): Doc fix.

	* mail/emacsbug.el: Remove leading `*' from defcustom doc-strings.
	(Info-menu, Info-goto-node): Remove declarations.
	(report-emacs-bug-info): Use info rather than Info-goto-node.

	* progmodes/idlwave.el (Info-goto-node): Remove declaration.
	(idlwave-convert-xml-system-routine-info): Don't require xml.
	(idlwave-show-commentary, idlwave-shell-show-commentary):
	Don't require finder.
	(idlwave-info): Don't require info.  Use info rather than
	Info-goto-node.

	* textmodes/org.el (Info-goto-node): Remove declaration.
	(org-info): Use info rather than Info-goto-node.

	* textmodes/reftex.el (reftex-show-commentary): Don't require finder.
	(reftex-info): Don't require info.  Use info rather than Info-goto-node.

2008-02-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/hideshow.el (hs-minor-mode-menu): Add some options to
	the menu.

	* vc.el (vc-deduce-fileset, vc-next-action, vc-start-entry)
	(vc-finish-logentry): Check for vc-status-mode, not only for
	vc-dired-mode.

2008-02-28  Kenichi Handa  <handa@ni.aist.go.jp>

	* isearch.el (isearch-printing-char): Don't check
	keyboard-coding-system.  Call
	isearch-process-search-multibyte-characters only when
	current-input-method is non-nil.

2008-02-27  Kim F. Storm  <storm@cua.dk>

	* disp-table.el (make-glyph-code): Encode as cons if face id > 63.
	(glyph-char, glyph-face): Handle cons encoding.

2008-02-27  Juanma Barranquero  <lekktu@gmail.com>

	* uniquify.el (uniquify-buffer-base-name): If the base name is an
	empty string, return nil to allow the caller to default to the
	buffer name.  Reported by Martin Fischer <parozusa@web.de>.

	* tool-bar.el (tool-bar-setup): Doc fix.

	* mail/supercite.el (sc-describe):
	Fix typos in obsolescence declaration.

2008-02-27  Glenn Morris  <rgm@gnu.org>

	* autoinsert.el (auto-insert-alist): Change permission text to
	match FSF's GPLv3 form.

	* mail/supercite.el (sc-cite-original): Doc fix.
	(sc-version): Make obsolete.
	(sc-describe): Show the SC info page.  Make obsolete.

2008-02-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (set-mark-command): Deactivate mark on second C-SPC C-SPC
	when using transient-mark-mode.
	(default-indicate-unused-lines): Remove unused var.

2008-02-26  Jan Dj$(Q)Z(Brv  <jan.h.d@swipnet.se>

	* progmodes/grep.el (grep-mode-tool-bar-map): Change place on next
	and previous.

	* progmodes/compile.el (compilation-mode-tool-bar-map): The same.

2008-02-26  Glenn Morris  <rgm@gnu.org>

	* net/net-utils.el (top-level): Don't require comint when compiling.
	(nslookup-font-lock-keywords): Don't require font-lock.
	Use font-lock faces rather than variables.
	(nslookup, ftp, smbclient, network-service-connection):
	Don't require comint.
	(comint-prompt-regexp, comint-input-autoexpand)
	(comint-input-ring): Declare for compiler.
	(comint-mode, ffap-string-at-point, comint-exec): Autoload.
	(dns-lookup-host): Don't require ffap.  Remove `with-no-warnings'.

	* ibuffer.el (ibuffer-do-toggle-read-only): Don't use `iff' in
	doc-string.

2008-02-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-current-page): Add a `win' argument.

2008-02-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-conversion-buffer): Give it an internal name.
	Demote it to plain defvar.
	(doc-view-conversion-refresh-interval): Reduce interval.
	(doc-view-goto-page): Allow moving to pages not yet rendered.
	(doc-view-goto-page): Construct a file name rather than extracting it
	from doc-view-current-files.
	(doc-view-kill-proc): Ignore errors from kill-process.
	(doc-view-pdf/ps->png-sentinel): Die gracefully if the buffer is dead.
	(doc-view-insert-image): Use appropriate text if the page hasn't been
	rendered yet.  Adjust scrolling so the text is displayed.
	(doc-view-display): Detect not just that a page is available, but also
	that it wasn't available before, so as to avoid refreshing all pages
	repeatedly.
	(doc-view-mode): Make doc-view-cache-directory if needed.

2008-02-25  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* ibuffer.el (ibuffer-do-toggle-read-only): New optional arg as in
	toggle-read-only.

	* textmodes/bibtex.el (bibtex-format-entry): Handle error message
	refering to a missing required field with the OPT prefix.
	Make unwindform more robust.

	* textmodes/bibtex.el: Remove support for hideshow minor mode as
	it duplicates the bibtex support in progmodes/hideshow.el.
	* progmodes/hideshow.el (hs-special-modes-alist): Allow bibtex
	entries that do not start at the beginning of a line.

2008-02-25  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (shell-quote-wildcard-pattern): Quote ' and " as well.

2008-02-25  Robert J. Chassell  <bob@rattlesnake.com>

	* help-fns.el (describe-variable): Add phrases about
	initialization file with and without customization;
	use new button type help-info-variable.

	* help-mode.el (help-info-variable):
	New button able to read Info files for help-fns.el.

2008-02-25  Jan Dj$(Q)Z(Brv  <jan.h.d@swipnet.se>

	* progmodes/grep.el (grep-mode-tool-bar-map): New variable.
	(grep-mode): Use grep-mode-tool-bar-map.

	* progmodes/compile.el (tool-bar): Require tool-bar.
	(compilation-mode-tool-bar-map): New variable.
	(compilation-mode): Use compilation-mode-tool-bar-map.

	* term/x-win.el (x-gtk-stock-map): Add cancel.  Remove extensions.

2008-02-25  Glenn Morris  <rgm@gnu.org>

	* vc-sccs.el (vc-sccs-diff): Fix setting of oldvers and newvers.

2008-02-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-file-junk-re): New const.
	(diff-beginning-of-file-and-junk): Use it.
	(diff-file-kill): Make sure we were really inside a file diff.

	* diff-mode.el: Make it more robust in the presence of empty context
	lines in unified hunks.
	(diff-valid-unified-empty-line): New var.
	(diff-unified->context, diff-sanity-check-hunk): Obey it.
	(diff-end-of-hunk): Obey it.  New arg `donttrustheader'.
	(diff-fixup-modifs, diff-post-command-hook): Use this new arg.
	(diff-hunk-header-re-unified): New const.
	(diff-font-lock-keywords, diff-hunk-header-re, diff-split-hunk)
	(diff-fixup-modifs, diff-unified->context, diff-next-complex-hunk)
	(diff-sanity-check-hunk): Use it.

	* diff-mode.el (diff-beginning-of-file-and-junk): If we're on the
	Index: line, don't search backward for the previous one.

2008-02-25  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (setup-default-fontset): Add non-OTF
	lao font for lao script.

	* language/tibetan.el: Register tibetan-composition-function in
	composition-function-table.

	* language/tibet-util.el (tibetan-composition-function):
	Adjust for the new calling way (argument changed).  Try font-shape-text
	if possible.

	* language/lao.el: Register lao-composition-function in
	composition-function-table.

	* language/lao-util.el (lao-composition-function): Adjust for the new
	calling way (argument changed).  Try font-shape-text if possible.

2008-02-25  Jason Rumney  <jasonr@gnu.org>

	* files.el (file-name-invalid-regexp): Fix octal/decimal confusion.

2008-02-25  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-fail): Use "RosyBrown1" for a light
	background, "red4" for a dark background, "red" for 16 and
	8 colors, "grey" for grayscale, and inverse video otherwise.
	Add :version tag.
	(isearch-message): Keep the original isearch-message intact, and
	add text properties to it where necessary.  Add `isearch-error' to
	the condition that checks if isearch is unsuccessful.

2008-02-24  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-handle-exit):
	Use compilation-error face instead of font-lock-warning-face.
	Display the same message in the minibuffer as is inserted
	at the end of the compilation buffer.

2008-02-24  Glenn Morris  <rgm@gnu.org>

	* vc-cvs.el (vc-cvs-register): Fix registering of directories in
	multiple file case.

	* vc-mcvs.el (vc-mcvs-register): Fix let-binding (for use of `file').

	* vc-rcs.el (vc-rcs-register): Fix treatment of directories in
	multiple file case.  Use a single `let' rather than two.

2008-02-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/compile.el (compilation-start): Specify a face for
	mode-line-process.
	(compilation-handle-exit): Specify a face and a tooltip for
	mode-line-process.

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hilit-chg.el: Remove spurious * in defcustom docstrings.
	(hilit-chg-make-ov): Simplify.
	(hilit-chg-fixup): Use remove-overlays.
	(hilit-chg-set-face-on-change): Remove redundant call to
	`remove-text-properties'.

	* dired.el (dired-mark-prompt): Don't count/display the t element.
	Reported by Carsten Blaauw <it-media.blaauw@daimler.com>.

2008-02-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (eval-when-compile): Don't define
	add-submenu.
	(verilog-xemacs-menu): Add :keys for C-M-a, C-M-e and C-M-h.
	Remove.  Move contents to the only use ...
	(verilog-menu): ... here.
	(verilog-statement-menu): Remove.  Move contents to the only use ...
	(verilog-stmt-menu): ... here.
	(verilog-mark-defun): Simply call mark-defun for emacs.
	(occur-pos-list): Declare for byte compiler.
	(mode-popup-menu): Don't defvar.
	(verilog-add-statement-menu): Remove.
	(verilog-mode-hook): Don't add verilog-add-statement-menu.
	(verilog-mode): Call easy-menu-add and set mode-popup-menu for XEmacs.

2008-02-24  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-xemacs-menu): Remove XEmacs
	conditional.
	(verilog-font-grouping-keywords-face): Make the begin..end
	keywords standout more than other verilog keywords.
	(verilog-type-font-keywords): Move the begin..end out of this list
	to facilitate making them to (potentially) stand out more.
	(verilog-backward-token): Fix indent of bare always{_*}?, initial,
	function & task blocks.
	(verilog-behavioral-block-beg-re): Fix indent of bare always{_*}?,
	initial, function & task blocks.
	(verilog-forward-sexp): Handle the new "disable fork" statement of
	IEEE-1800 Verilog.
	(verilog-beg-block-re-ordered): Handle the new "disable fork"
	statement of IEEE-1800 Verilog.
	(verilog-calc-1): Handle the new "disable fork" statement of
	IEEE-1800 Verilog.
	(verilog-disable-fork-re): Add const to help handle the new
	"disable fork" statement of IEEE-1800 Verilog.
	(verilog-declaration-core-re): Add port directions by themselves,
	with no qualification, as base item of a declaration.
	(verilog-pretty-declarations): Add new flag to ask it to refrain
	from printing to the message buffer.
	(verilog-pretty-expr): Add a QUIET flag to ask it to refrain from
	printing to the message buffer.  Improve handling of the many
	types of expression line up.
	(verilog-just-one-space): Remove printing of an empty message.
	(verilog-get-lineup-indent): Rework to support the better handling
	of expression lineup for verilog-pretty-expr.
	(verilog-auto-wire): Pass the quiet flag to verilog-pretty-expr.

2008-02-24  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-extend-region-for-CPP): Bug fix from
	yesterday's commit.

2008-02-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-set-clear-breakpoint): Fall back
	to mouse-set-point in buffers that aren't associated with files.

	* progmodes/gud.el: Rename menu item to "Show GUD tooltips".

2008-02-24  Alan Mackenzie  <acm@muc.de>

	Set of changes so that "obtrusive" syntactic elements in a
	C/C++/ObjC preprocessor line (e.g. an unbalanced string quote or
	unmatched paren) don't interact syntactically with stuff outside
	the CPP line.

	* progmodes/cc-awk.el (c-awk-beyond-logical-line, c-awk-old-ByLL):
	Replace c-awk-end-of-logical-line and c-awk-old-EoLL to solve an
	off-by-one bug.
	(c-awk-record-region-clear-NL): Replaces c-awk-before-change, with
	a bit of refactoring.
	(c-awk-extend-and-syntax-tablify-region): Takes some of the
	functionality of c-awk-advise-fl-for-awk-region, which has been
	refactored away.

	* progmodes/cc-defs.el (c-clear-char-property-with-value-function)
	(c-clear-char-property-with-value): New function and macro which
	remove text-properties `equal' to a supplied value.

	* progmodes/cc-engine.el: Comment about text properties amended.

	* progmodes/cc-fonts.el (c-cpp-matchers): Make it put regexp
	parens around "error\\|warning".

	* progmodes/cc-langs.el (c-get-state-before-change-function)
	(c-before-font-lock-function, c-anchored-cpp-prefix):
	New language variables.
	(c-cpp-message-directives): Handle "#warning" in C, C++ and ObjC.

	* progmodes/cc-mode.el (c-basic-common-init): C and ObjC now use
	syntax-table text properties.
	(c-common-init): Call language specific before/after-change
	functions at mode initialisation.
	(c-new-BEG, c-new-END, c-old-BOM, c-old-EOM): New variables.
	(c-extend-region-for-CPP, c-neutralize-CPP-line)
	(c-neutralize-syntax-in-CPP): New functions.
	(c-before-change, c-after-change): Call the new language specific
	change functions defined in cc-langs.el.
	(c-advise-fl-for-region): New macro.
	(awk-mode): Remove AWK specific stuff which has been refactored
	into language independent stuff.

2008-02-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdba): Recreate as an alias for gdb.
	(gdb): (Re)set gdb-flush-pending-output to nil here...
	(gdb-init-1): ...instead of here (before gdb-prompt).

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ada-mode.el (ada-font-lock-syntactic-keywords):
	Recognize ''' just like any other char-constant.

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-find-root): Remove initial loop because it's not
	careful enough.  Detect the uid-change all within the main loop.

2008-02-24  Stefan Monnier  <monnier@pastel.home>

	* textmodes/sgml-mode.el (sgml-mode): Fix comment syntax.

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hilit-chg.el (highlight-save-buffer-state): New macro.
	(highlight-save-buffer-state, hilit-chg-set-face-on-change)
	(hilit-chg-clear): Use it to preserve the modified-p flag.
	(highlight-changes-rotate-faces): Don't mess with the undo-list.

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-set-defaults): Unset previously set variables
	when needed.

2008-02-24  ,AF(Bvar Arnfj,Av(Br,Ap(B Bjarmason  <avar@cpan.org>  (tiny change)

	* net/rcirc.el (rcirc-url-regexp): Replace definition by copying
	from gnus-button-url-regexp.

2008-02-24  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/compile.el (compilation-next-error): Doc fix.
	(compilation-find-file): Doc fix.

2008-02-24  Glenn Morris  <rgm@gnu.org>

	* net/net-utils.el (ipconfig-program, ipconfig-program-options):
	Add obsolete aliases to the old names.

2008-02-24  Richard Stallman  <rms@gnu.org>

	* net/net-utils.el (ifconfig): Rename from ipconfig.
	(ipconfig): Alias to ifconfig.
	(ifconfig-program): Rename from ipconfig-program.
	(ifconfig-program-options): Rename from ipconfig-program-options.

2008-02-24  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-declaration-core-re):
	Add port directions by themselves, with no qualification, as base
	item of a declaration.
	(verilog-pretty-declarations): Add new flag that inhibits printing
	to the message buffer.
	(verilog-pretty-expr): Add new flag that inhibits printing to the
	message buffer.  Improve handling of the many types of expression
	line up.
	(verilog-just-one-space): Don't print an empty message.
	(verilog-get-lineup-indent): Rework to support the better handling
	of expression lineup for verilog-pretty-expr.
	(verilog-auto-wire): Pass the quiet flag to verilog-pretty-expr.
	(verilog-mode-version, verilog-mode-release-date): Update.

2008-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (cancel-change-group): Don't move point.

2008-02-23  Markus Triska  <markus.triska@gmx.at>

	* linum.el (linum-after-config): Update all visible windows.

2008-02-23  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-games-menu): Add Bubbles and Pong.
	Add :help for Solitaire and Tetris.

	* tree-widget.el (tree-widget-lookup-image): Let-bind `file'.

	* mail/smtpmail.el: Remove leading `*' from defcustom doc-strings.
	(smtpmail-code-conv-from): Doc fix.  Fix custom type.
	(smtpmail-queue-index-file): Make it a defcustom.
	(smtpmail-queue-index): Delete.
	(smtpmail-send-it, smtpmail-send-queued-mail):
	Use smtpmail-queue-index-file and smtpmail-queue-dir rather than
	smtpmail-queue-index.

	* net/net-utils.el (iwconfig-program, iwconfig-program-options):
	Add :version.

2008-02-23  Yoni Rabkin  <yoni@rabkins.net>  (tiny change)

	* net/net-utils.el (iwconfig-program, iwconfig-program-options):
	New variables.
	(iwconfig): New function.

2008-02-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-find-revision): Make vc-parent-buffer local before
	setting it.
	(vc-status-menu-map): Do not define using easy-menu.
	(vc-status-menu-map): New defalias.
	(vc-status-mode-map): Hook up the menu.
	(top-level): Update TODO.

	* vc-hg.el (vc-hg-extra-status-menu): Return a keymap.

	* vc-bzr.el (vc-bzr-init-version): Rename to ...
	(vc-bzr-init-revision): ... this.

2008-02-23  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in (WINS_ALMOST): Remove term.
	(WINS): Add term here.
	(custom-deps, finder-data): Use WINS_ALMOST.

2008-02-22  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (font-weight-table): Fix value of `semi-light'.

2008-02-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* faces.el (font-weight-table, font-slant-table, font-swidth-table):
	Make those tables bijective.

2008-02-22  Ken Manheimer  <ken.manheimer@gmail.com>

	Finish pdbtrack integration cleanup, settling missing-functions
	byte compiler warnings appropriately.

	* progmodes/python.el (python-point): Remove this - beginning-of-line
	was all that was necessary for `python-pdbtrack-overlay-arrow'.
	(python-end-of-def-or-class, python-beginning-of-def-or-class)
	(python-goto-initial-line): Drop these - they were only needed for
	python-point.
	(python-comint-output-filter-function): Use condition-case and
	beginning-of-line directly, instead of python-mode.el functions
	which require all sorts of baggage.
	(point-safe): Unnecessary - we're using condition-case directly,
	instead.
	(python-execute-file): Include for python-shell, which I'm leaving
	in keeping despite it being unnecessary for pdb tracking.

2008-02-22  Peter Danenberg  <pcd@wikitex.org>  (tiny change)

	* progmodes/scheme.el (scheme-font-lock-keywords-2):
	Add SRFI 11 support.
	(let-values, let*-values): Specify scheme-indent-function.

2008-02-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-exec-after): Move setting mode-line-process in the
	busy case ...
	(vc-set-mode-line-busy-indicator): ... in this new function.
	(vc-status-refresh): Call vc-set-mode-line-busy-indicator.
	(vc-update-vc-status-buffer): Reset mode-line-process.
	(vc-status-mark-all-files, vc-status-unmark-all-files): Change to
	mark/unmark all the files with the same state as the current one.
	With a prefix argument mark/unmark all files.
	(vc-status-mode-menu): Adjust strings.
	(vc-update-vc-status-buffer): Only do something when the argument
	is not nil.
	(vc-status-kill-dir-status-process): New function.
	(vc-status-mode-map): Bind it.
	(vc-status-process-buffer): New variable.
	(vc-status-mode): Make it local.
	(vc-status-refresh): Set it.

	* vc-hg.el (vc-hg-dir-status):
	* vc-git.el (vc-git-dir-status):
	* vc-svn.el (vc-svn-dir-status): Return the buffer in which the
	command is run.

2008-02-22  Glenn Morris  <rgm@gnu.org>

	* json.el (top-level): No need to require thingatpt.
	(json-read-keyword): Use thing-at-point rather than word-at-point.

	* time.el (top-level): No need to require time-date when compiling.

	* emacs-lisp/copyright.el (copyright-update-year):
	Fix subexpression numbering for the case when years are split over
	lines, and for the replace case.

	* emulation/tpu-edt.el (tpu-have-ispell): Doc fix.  Make obsolete.
	(tpu-caar, tpu-cadr): Delete functions.
	(zmacs-regions): No need to declare for compiler.
	(tpu-goto-breadcrumb): Use cadr rather than tpu-cadr.
	(tpu-spell-check): Rewrite, and handle mark after point.
	(tpu-special-insert): Use or rather than if.

	* emulation/vip.el (vip-special-prefix-com): Use ispell-region
	rather than spell-region.

	* textmodes/spell.el (spell-buffer, spell-word): Suppress compiler
	warnings about spell-region.

2008-02-22  Kenichi Handa  <handa@ni.aist.go.jp>

	* ldefs-boot.el: Regenerated.

	* loadup.el: Don't load language/devanagari, language/kannanda,
	language/malayalam, and language/tamil.  Load language/sinhala.

	* language/indian.el (indian-font-foundry)
	(indian-script-language-alist, indian-font-char-index-table)
	(indian-font-char, indian-font-char-range, indian-script-table)
	(indian-default-script, indian-composable-pattern): Delete them.
	("Devanagari", "Kannada", "Malayalam", "Tamil"): Definitions of
	language environments moved to here.
	("Bengali", "Punjabi", "Gujarati", "Oriya", "Telugu"):
	New language environments.

	* language/devanagari.el, language/devan-util.el,
	* language/kannanda.el, language/knd-util.el, language/malayalam.el,
	* language/mlm-util.el, language/tamil.el, language/tml-util.el:
	Delete them.

	* language/sinhala.el: New file.

2008-02-21  Ken Manheimer  <ken.manheimer@gmail.com>

	Update Nick Robert's port of pdb tracking from python-mode.el.

	* progmodes/python.el (python-pdbtrack-toggle-stack-tracking):
	Clarify docstring.
	(python-pdbtrack-minor-mode-string): A sign indicating that pdb
	tracking is happening.
	(python-pdbtrack-stack-entry-regexp): Better recognize stack traces.
	(python-pdbtrack-input-prompt): Better recognize PDB prompts.
	(comint-output-filter-functions): Add python-pdbtrack-track-stack-file.
	Tracking is plugged in to all comint buffers once python.el is loaded.
	(python-pdbtrack-overlay-arrow): Toggle activation of
	`python-pdbtrack-minor-mode-string' in addition to the overlay arrow.
	(python-pdbtrack-track-stack-file): Use new
	`python-pdbtrack-get-source-buffer' for more flexible access to
	debugging source files.
	(python-pdbtrack-get-source-buffer): Identify debugging target buffer
	according to pdb stack trace, optionally using new
	`python-pdbtrack-grub-for-buffer' if file is not locally available.
	(python-pdbtrack-grub-for-buffer): Find most recent python-mode
	named buffer, or having function with indicated name.
	(python-shell): Remove comint-output-filter-functions hook
	addition, it's being done elsewhere.  Wrap long line.

2008-02-21  Michael Olson  <mwolson@gnu.org>

	* json.el: Replace XEmacs compatibility code to get rid of
	compiler warnings.

	* time.el: Fix compiler warning.

2008-02-21  Edward O'Connor  <ted@oconnor.cx>

	* json.el: New file (JavaScript Object Notation parser / generator).

2008-02-21  Dave Love  <fx@gnu.org>

	* progmodes/sym-comp.el: New file.

	* progmodes/python.el: Merge from Dave Love's 2008-01-20 version.
	Require sym-comp.  Add Python buffer to same-window-buffer-names.
	Fixup whitespaces.
	(python-font-lock-keywords): Add highlighting for Python builtins.
	(python-font-lock-syntactic-keywords): Rewrite.
	(python-quote-syntax): Use syntax-ppss-context instead of parsing
	ppss directly.
	(python-mode-map): Add binding for python-find-function.
	(python-calculate-indentation): Clean up the logic.
	(python-beginning-of-defun): Explicitly set return value.
	(python-beginning-of-statement): Stop looping if we get stuck
	going backwards.
	(python-next-statement): Stop looping if we somehow end up inside
	a string while advancing.
	(python-preoutput-continuation, python-version-checked): New vars.
	(python-check-version): New function.
	(run-python): Set default command to python-command instead of
	python-python-command.
	(run-python): Use python-check-version.  Give PYTHONPATH
	precedence over data-directory in the process environment.
	Load function definitions in python process after.
	(python-check-comint-prompt): New function.
	(python-send-command, python-send-receive): Use it.
	(python-complete-symbol, python-try-complete): Functions deleted.
	Use symbol-complete instead of python-complete-symbol throughout.
	(python-fill-paragraph): Further refine the fenced-string regexp.
	(def-python-skeleton): Expand to the original abbrev instead if in
	a comment or string.  Tweak skeletons for `if', `while', `for',
	`try/except', `try/finally', `name'.
	(python-pea-hook, python-abbrev-pc-hook): New functions.
	(python-abbrev-syntax-table): New var.
	(python-mode): Add python-pea-hook to pre-abbrev-expand-hook.
	Use symbol-completion-try-complete for hippie expansion.
	Turn on font lock unconditionally.
	(python-mode-hook): Defcustom it.  No need to use make-local
	variable on indent-tabs-mode in "Turn off Indent Tabs mode"
	option, since it's buffer-local.

2008-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* play/hanoi.el (hanoi-internal): Set `show-trailing-whitespace' to nil.

2008-02-21  Drew Adams  <drew.adams@oracle.com>

	* mouse.el (minor-mode-menu-from-indicator): Create a menu with a
	"Turn off" and a "Help" entry when the minor mode has no menu.

2008-02-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-mark, vc-status-unmark): New functions.
	(vc-status-mode-map, vc-status-mode-menu): Bind them instead of
	vc-status-mark-file and vc-status-unmark-file.
	(vc-status-mark-unmark): New function.
	(vc-status-previous-line, vc-status-next-line): No longer interactive.

2008-02-21  Glenn Morris  <rgm@gnu.org>

	* composite.el (encode-composition-rule): Fix typo in error message.
	(composition-function-table, auto-composition-mode): Doc fixes.

	* subr.el (sit-for): Fix obsolete form for nil second argument.

	* textmodes/spell.el (spell-buffer, spell-word, spell-region)
	(spell-string): Make obsolete, in favor of ispell.

2008-02-21  Kenichi Handa  <handa@ni.aist.go.jp>

	* language/devanagari.el: Don't setup composition-function-table
	here.
	("Devanagari"): Change charset, coding-system, coding-priority to
	Unicode-based ones.  Don't require the feature devan-util.

	* composite.el (compose-chars-after): Fix arguments for a function
	in composition-function-table.
	(auto-compose-region): Likewise.

	* ps-mule.el (ps-mule-font-info-database-bdf): Use ethio16f-uni.bdf
	for Ethiopic.
	(ps-mule-plot-string): Ignore glyph-string based compositions.

2008-02-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el: Allow different windows to show different pages.
	(doc-view-current-page, doc-view-current-slice, doc-view-current-info)
	(doc-view-current-image, doc-view-current-overlay): Remove variables,
	add them back as macros instead, using image-mode-winprops instead.
	Update all users of those variables.
	(doc-view-new-window-function): New function to create a new overlay
	for each new window.
	(doc-view-mode): Use it and image-mode-setup-winprops.
	(doc-view-clone-buffer-hook): Rewrite accordingly.

	* image-mode.el: Extend [hv]scroll support to per-window properties.
	(image-mode-current-vscroll, image-mode-current-hscroll): Remove.
	(image-mode-winprops-alist): New var to replace them.
	(image-mode-new-window-functions): New hook.
	(image-mode-winprops, image-mode-window-get, image-mode-window-put):
	New funs.
	(image-set-window-vscroll, image-set-window-hscroll): Use them.
	Remove the `window' argument, update callers.
	(image-mode-reapply-winprops): Rename image-reset-current-vhscroll.
	Use the new functions.
	(image-mode-reapply-winprops): New fun.
	(image-mode): Use it.

2008-02-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-math.el (math-sin-raw): Add optional argument
	to keep track of original argument.
	(math-cos-raw): Use optional argument when calling math-sin-raw.
	(math-sin-raw-2, math-cos-raw-2): Check for a zero argument
	with close to original precision.

2008-02-20  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-convert-alien): Do not use optional
	args in calls of sit-for.

2008-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* vc-svn.el (vc-svn-program): Fix typo in docstring.
	(vc-svn-checkin): Fix typo in error message.

	* help-mode.el: Require easymenu when compiling.

2008-02-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* help-mode.el (help-mode-menu): New menu.

2008-02-20  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-autodetect): Add .exe extension to movemail
	on Windows.

2008-02-20  Kenichi Handa  <handa@ni.aist.go.jp>

	* ps-mule.el (ps-mule-encode-region): Return a single string.
	(ps-mule-plot-string): Adjust for the above change.
	(ps-mule-encode-header-string): Likewise.

	* international/latin1-disp.el (latin1-display): Don't use
	ucs-mule-8859-to-mule-unicode.  Fix the way of resetting
	standard-display-table.
	(latin1-display-identities): Adjust for the change of what is
	returned by (get-language-info charset 'charset).

	* international/mule-util.el (char-displayable-p): Fix for Latin-1
	characters and terminal case.

2008-02-19  Ken Manheimer  <ken.manheimer@gmail.com>

	Minor Adaptions by Nick Roberts <nickrob@snap.net.nz> for Emacs.

	* progmodes/python.el: Also require comint when loading.
	(python-mode-map): Bind python-pdbtrack-toggle-stack-tracking.
	Replace python-shell with run-python on menu bar.
	(python-shell-map): New map.
	(python-default-interpreter, python-python-command-args)
	(python-jython-command-args, python-pdbtrack-do-tracking-p):
	New options.
	(python-which-shell, python-which-args, python-which-bufname):
	New buffer local variables.
	(python-file-queue, python-pdbtrack-is-tracking-p): New variables.

	* progmodes/python.el (python-pdbtrack-stack-entry-regexp)
	(python-pdbtrack-input-prompt, python-pdbtrack-track-range):
	New constants.

	Pdbtrack features:

	(python-point, python-end-of-def-or-class)
	(python-beginning-of-def-or-class, python-goto-initial-line)
	(python-comint-output-filter-function)
	(python-pdbtrack-overlay-arrow)
	(python-pdbtrack-track-stack-file, python-toggle-shells)
	(python-shell, python-pdbtrack-toggle-stack-tracking)
	(turn-on-pdbtrack, turn-off-pdbtrack, python-sentinel):
	New functions.

2008-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* net/ange-ftp.el (ange-ftp-quote-string): Return the null string
	when the argument is nil.

2008-02-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (dir-status): Add a brief description.

2008-02-19  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc-hooks.el (vc-find-root): Take optional arg INVERT.
	If non-nil, reverse the sense of the check.

	* vc-rcs.el (vc-rcs-root): New func.
	* vc-cvs.el (vc-cvs-root): New func.
	* vc-svn.el (vc-svn-root): New func.
	* vc-sccs.el (vc-sccs-root): New func.

2008-02-18  Kenichi Handa  <handa@ni.aist.go.jp>

	* language/japan-util.el (setup-japanese-environment-internal):
	Call use-cjk-char-width-table.

	* language/japanese.el ("Japanese"): Set exit-function to
	use-default-char-width-table.

	* international/characters.el: Delete occurrences of non-Unicode
	tibetan and ethiopic characters.
	(cjk-char-width-table): New variable.
	(use-cjk-char-width-table, use-default-char-width-table):
	New functions.

2008-02-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-menu, vc-status-menu-map-filter): New functions.
	(vc-status-mode-menu): Add a :filter.
	(vc-status-printer): Add faces.

	* vc-hg.el (vc-hg-extra-status-menu): New function.
	(vc-hg-dir-status): Clean up the buffer before using it.

2008-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gdb-ui.el (gdb-output-sink): Define with an invalid value.
	(gdb): Initialize it here instead.

	* files.el (locate-dominating-file): Fix thinko in last change.
	Reported by Bruce Stephens <bruce.stephens@isode.com>.

2008-02-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-mode-menu): New menu for vc-status.

2008-02-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/verilog-mode.el (customize): Fix typo in error message.
	(verilog-mode, verilog-mode-indent, verilog-mode-actions)
	(verilog-mode-auto, verilog-indent-level-module)
	(verilog-minimum-comment-distance, verilog-library-flags)
	(verilog-library-directories, verilog-library-files)
	(verilog-auto-reset-widths, verilog-imenu-generic-expression)
	(verilog-xemacs-menu, verilog-set-compile-command)
	(verilog-set-compile-command, verilog-mode-syntax-table, verilog-mode)
	(verilog-get-expr, verilog-strip-comments, verilog-one-line)
	(verilog-lint-off, verilog-batch-auto, verilog-batch-delete-auto)
	(verilog-batch-inject-auto, verilog-batch-indent)
	(verilog-continued-line, verilog-type-keywords)
	(verilog-read-sub-decls-sig, verilog-read-sub-decls-line)
	(verilog-read-inst-pins, verilog-read-arg-pins)
	(verilog-read-auto-template, verilog-read-signals, verilog-getopt-file)
	(verilog-add-list-unique, verilog-symbol-detick, verilog-modi-filename)
	(verilog-auto-star, verilog-auto-inst, verilog-auto-wire)
	(verilog-enum-ascii, verilog-sk-begin, verilog-sk-fork)
	(verilog-sk-datadef, verilog-colorize-include-files-buffer)
	(verilog-mode-version, verilog-mode-release-date)
	(verilog-mode-release-emacs, verilog-linter, verilog-coverage)
	(verilog-simulator, verilog-compiler)
	(verilog-auto-sense-defines-constant, verilog-company)
	(verilog-project, verilog-mark-defun, verilog-submit-bug-report):
	Fix typos in docstrings.
	(verilog-set-auto-endcomments, verilog-calculate-indent)
	(verilog-inject-auto, verilog-auto-arg, verilog-auto-inout-module):
	Reflow docstrings.
	(verilog-tab-always-indent, verilog-highlight-p1800-keywords)
	(verilog-auto-star-save, verilog-auto-inst-vector, verilog-mode-hook)
	(electric-verilog-forward-sexp, verilog-in-case-region-p)
	(verilog-in-struct-region-p, verilog-in-generate-region-p)
	(verilog-leap-to-head, verilog-current-indent-level)
	(verilog-case-indent-level, verilog-cpp-keywords)
	(verilog-defun-keywords, verilog-block-keywords, verilog-tf-keywords)
	(verilog-case-keywords, verilog-separator-keywords, verilog-completion)
	(verilog-signals-not-in, verilog-symbol-detick-text)
	(verilog-modi-cache-preserve-tick, verilog-modi-cache-preserve-buffer)
	(verilog-forward-close-paren, verilog-backward-open-paren)
	(verilog-backward-open-bracket): Doc fixes.

	* progmodes/gud.el (gud-def, gud-last-speedbar-stackframe): Doc fixes.
	(gud-symbol, gud-expansion-speedbar-buttons, gud-speedbar-buttons)
	(gud-gdb-run-command-fetch-lines, gud-dbx-use-stopformat-p)
	(gud-jdb-classpath, gud-jdb-find-source-using-classpath, jdb)
	(gud-find-class, gdb-script-mode, gud-tooltip-event, gud-tooltip-tips):
	Fix typos in docstrings.

	* w32-vars.el (w32-system-shells): Add TCC (new name for 4NT).

2008-02-18  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* info.el (Info-read-node-name): Removed unused `default' arg.

2008-02-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc-git.el (vc-git-after-dir-status, vc-git-dir-status): New funcs.

2008-02-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* image-mode.el (image-get-display-property): New fun.
	(image-forward-hscroll, image-next-line, image-eol, image-eob)
	(image-mode, image-minor-mode, image-toggle-display-text)
	(image-toggle-display): Use it.

2008-02-18  Jason Rumney  <jasonr@gnu.org>

	* international/mule.el (xml-find-file-coding-system): Don't warn
	about utf-16 with BOM.

	* nxml/nxml-mode.el (nxml-mode): Don't add a write-contents-hook.

	* international/mule.el (sgml-xml-auto-coding-function): Detect and
	warn if file encoding is not utf-8 and encoding not specified.
	(xml-find-file-coding-system): New function.
	* international/mule-conf.el (file-coding-system-alist): Use it.

2008-02-17  Glenn Morris  <rgm@gnu.org>

	* international/mule-cmds.el (set-locale-environment):
	Pass `frame' to getenv for LC_MESSAGES.

2008-02-17  Juri Linkov  <juri@jurta.org>

	* time.el (emacs-init-time): Use format instead of format-seconds.

2008-02-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-search-entry): Rename from
	bibtex-find-entry.  Add autoload cookie.
	(bibtex-find-entry): Alias for bibtex-search-entry.
	(bibtex-search-crossref): Rename from bibtex-find-crossref.
	(bibtex-find-crossref): Alias for bibtex-search-crossref.
	(bibtex-clean-entry): atomic-change-group removed.
	(bibtex-format-entry): Use atomic-change-group.  Use unwind-protect
	to locate buffer location where error occurred.
	Make error messages more specific.
	(bibtex-parse-keys): Only parse if buffer uses bibtex-mode.

2008-02-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/hideshow.el (hs-minor-mode-map): Move menu creation to
	top level.

	* simple.el (transient-mark-mode): Add an :init-value.

	* startup.el (command-line): Use custom-reevaluate-setting for
	transient-mark-mode.

2008-02-17  Micha$(Q)a(Bl Cadilhac  <michael@cadilhac.name>

	* wdired.el (wdired-allow-to-change-permissions): Fix typo.

2008-02-16  Juri Linkov  <juri@jurta.org>

	* startup.el (after-init-time): New variable.
	(command-line): Set `after-init-time' to the current time.

	* time.el (emacs-init-time): New function.

2008-02-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-dominating-file): Remove initial loop because it's
	not careful enough.  Detect the uid-change all within the main loop.

2008-02-16  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* ielm.el (ielm-is-whitespace-or-comment): Docstring fix.

2008-02-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-annotate): Add new argument.
	(vc-annotate-warp-revision): Pass the current line to vc-annotate.

	* progmodes/hideshow.el: Remove the minor-mode bookkeeping.
	Move make-variable-buffer-local code after the corresponding defvar.
	(hs-minor-mode-map): Define and initialize in one step.
	(hs-minor-mode): Change from defun to define-minor-mode.

2008-02-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-gdb): Don't reset gdb-ready.
	(gdb-ready): Move declaration...

	* progmodes/gdb-ui.el (gdb-ready): ...to here.
	(gdb-early-user-input): New variable.
	(gdb): Reset gdb-flush-pending-output to nil and set
	comint-input-sender here (before gdb-prompt), instead of...
	(gdb-init-1): ...here.
	(gdb-send): If Emacs is not ready, defer user input to...
	(gdb-prompt): ...here.

2008-02-16  Glenn Morris  <rgm@gnu.org>

	* nxml/test.invalid.xml, nxml/test.valid.xml: Move to etc/nxml.

	* startup.el (emacs-startup-time): Rename to `before-init-time'.
	(before-init-time): New name for `emacs-startup-time'.
	(command-line): Use before-init-time rather than emacs-startup-time.
	* time.el (emacs-uptime): Use before-init-time rather than
	emacs-startup-time.

	* composite.el (composition-function-table): Doc fix.

	* calendar/time-date.el (format-seconds): Remove `nonzero' argument
	in favor of `%z' specifier.
	(emacs-uptime): Move to time.el.
	* time.el (emacs-uptime): Move here from time-date.el.  Add optional
	`format' argument.  Doc fix.  Use `%z' rather than removed `nonzero'
	argument of format-seconds.

2008-02-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* bindings.el (mode-line-mule-info): Make the tooltips more explicit.

2008-02-15  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* ielm.el (ielm-is-whitespace): Remove.
	(ielm-is-whitespace-or-comment): New function.
	(ielm-eval-input): Use it.

2008-02-15  Jason Rumney  <jasonr@gnu.org>

	* term/mac-win.el: Fix coding tag.

2008-02-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-menu-map):
	* bindings.el (mode-line-mode-menu): Add tooltips.

	* bindings.el (help-echo): Add more tooltips.  Use a less
	telegraphic style for existing tooltips.

2008-02-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (frame-notice-user-settings): Distinguish explicit parent-id
	from the auto-generated one.

2008-02-14  Glenn Morris  <rgm@gnu.org>

	* mail/rmail-spam-filter.el (rmail-spam-filter):
	Let-bind message-spam-status.

	* mail/smtpmail.el (password-cache-add): Declare as function.

2008-02-14  Justus Piater  <Justus-bulk@Piater.name>  (tiny change)

	* mail/smtpmail.el: Use password-cache.

2008-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* uniquify.el (uniquify-buffer-base-name): New function.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

	* desktop.el (uniquify-managed): Don't defvar.
	(desktop-buffer-info): Use `uniquify-buffer-base-name', not
	`uniquify-managed'.  Return also the buffer's base name.
	(desktop-save): When saving the buffer info, filter out the base name,
	and save it as buffer name if the buffer is managed by uniquify.
	(uniquify-item-base): Don't declare; not called anymore.

2008-02-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-annotate-find-revision-at-line): New function.
	(vc-annotate-mode-map): Bind it.
	(vc-annotate-mode-menu): Add a menu entry for it.  Add :help for
	some entries.

2008-02-14  Glenn Morris  <rgm@gnu.org>

	* calendar/time-date.el (format-seconds): New function.
	(emacs-uptime): Use format-seconds.

	* Makefile.in (custom-deps, finder-data, autoloads, recompile):
	Remove `LC_ALL=C', since it's included in $(emacs) now.

2008-02-14  Zhang Wei  <id.brep@gmail.com>

	* textmodes/org-publish.el (org-publish-timestamp-filename):
	Replace colon characters in filename too.

2008-02-13  Bastien Guerry  <bzg@altern.org>

	* mail/rmail.el (rmail-header-name): New face.
	(rmail-font-lock-keywords): Use rmail-header-name.

	* mail/rmail-spam-filter.el (rsf-definitions-alist): Allow check
	against X-Spam-Status header field.
	(rmail-spam-filter): Also check X-Spam-Status header field.

2008-02-14  Mark A. Hershberger  <mah@everybody.org>

	* progmodes/flymake.el (flymake-allowed-file-name-masks):
	Add support for .pm files and .php files.
	(flymake-err-line-patterns): Add pattern for PHP errors.
	(flymake-php-init): New function.  PHP support for flymake.

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Add regular expression for PHP errors.

2008-02-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-quote-string): Use `shell-quote-argument'.
	This DTRT even on w32 machines.
	(ange-ftp-cf1): Quote FILENAME.

2008-02-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-auto-combine-max-separation): New var.
	(smerge-auto-combine): New fun.

2008-02-12  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-startup-screen, normal-splash-screen):
	Set default-directory to command-line-default-directory.

	* desktop.el (after-init-hook): Set inhibit-startup-screen to t
	after reading the desktop.

	* progmodes/compile.el (compilation-auto-jump):
	Call compile-goto-error only when compilation-auto-jump-to-first-error
	is non-nil.
	(compilation-scroll-output): Replace :type 'boolean with a choice
	that has three options including a third option `first-error'.
	Doc fix.
	(compilation-start, compilation-forget-errors): Add an alternate
	condition comparing compilation-scroll-output with `first-error'
	in addition to compilation-auto-jump-to-first-error (to call
	compilation-auto-jump in the proper place).

2008-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Make sure the search limit is ahead.

	* tar-mode.el: Fix broken indentation.
	(tar-mouse-extract, tar-extract, tar-subfile-save-buffer):
	Use with-current-buffer.

2008-02-12  Juanma Barranquero  <lekktu@gmail.com>

	* hexl.el (hexl-mode): Don't make `font-lock-defaults' buffer-local;
	it is already automatically buffer-local.

2008-02-11  Drew Adams  <drew.adams@oracle.com>

	* help.el (describe-key): Join some split lines to facilitate filling.
	* help-fns.el (describe-function-1): Fill text of overlong lines.

2008-02-12  Kenichi Handa  <handa@ni.aist.go.jp>

	* emacs-lisp/bytecomp.el (byte-compile-lapcode):
	Use unibyte-string instead of string-make-unibyte.

	* Makefile.in (AUTOGENEL): Remove charprop.el and uni-*.el.

2008-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-display): Change file arg to buffer arg, so it
	works also for buffers w/o buffer-file-name.  Update callers.
	(doc-view-clone-buffer-hook): New fun.
	(doc-view-mode): Use it for indirect clones.  Mark the overlays with
	the `doc-view' property so they can be recognized.

	* simple.el (clone-indirect-buffer-hook): New hook.
	(clone-indirect-buffer): Run it.

2008-02-11  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa-menu-mode): Merge into epa-mode.
	(epa-menu-items): Rename the label "EasyPG Assistant" to
	"Encryption/Decryption".

	* epa-dired.el: Define a new minor-mode epa-dired-mode for dired.
	(epa-dired-mode-map): Rename from epa-dired-map.
	(epa-global-dired-mode): Rename the global minor mode.

2008-02-11 Drew Adams  <drew.adams@oracle.com>

	* isearch.el (isearch-fail): New face.
	(isearch-message): Highlight failure part of input.

2008-02-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ibuffer.el (ibuffer-header-line-format): New var.
	(ibuffer-mode): Set it instead of header-line-format.
	(ibuffer-update): Use it to set header-line-format.

	* international/mule-cmds.el (ucs-insert): Inherit surrounding
	properties like self-insert-command.

2008-02-11  Drew Adams  <drew.adams@oracle.com>

	* progmodes/etags.el: Add many doc strings.

2008-02-11  Jason Rumney  <jasonr@gnu.org>

	* ldefs-boot.el: Regenerated.

2008-02-11  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Shorten some names.

	* ffap.el (ffap-rfc-directories): Add :version.

2008-02-11  Chris Moore  <christopher.ian.moore@gmail.com>

	* jka-cmpr-hook.el (jka-compr-compression-info-list): Handle .sifz
	files, and backup files of same.

2008-02-11  Kevin Ryde  <user42@zip.com.au>

	* ffap.el (ffap-rfc-directories): New variable.
	(ffap-rfc): Look in those dirs before offering ffap-rfc-path.

	* info.el (Info-next-reference, Info-prev-reference)
	(Info-try-follow-nearest-node): Move to and follow https:// links too.

	* simple.el (completion-list-mode): Show full completion-list-mode-map
	in the docstring.

2008-02-11  Sam Steingold  <sds@gnu.org>

	* vc-hooks.el (vc-prefix-key): Remove (undo 2008-02-06 patch).

2008-02-11  Glenn Morris  <rgm@gnu.org>

	* startup.el (emacs-startup-time): New variable.
	(command-line): Set emacs-startup-time.

	* calendar/time-date.el (emacs-uptime): New function.

2008-02-10  Bastien Guerry  <bzg@altern.org>

	* mail/rmail.el (rmail-nonignored-headers): Allow to be nil.
	(rmail-clear-headers): Don't check `rmail-nonignored-headers' when
	it is nil.

2008-02-10  Daiki Ueno  <ueno@unixuser.org>

	* epg-config.el: Expand the contents of epg-package-info.el.
	(epg-package-name): New constant.
	(epg-version-number): New constant.
	(epg-bug-report-address): New constant.

	* epa-mail.el (epa-mail-mode): Add autoload cookie.
	(epa-global-mail-mode): New global minor mode.

	* epa-file.el (epa-file-mode): New global minor mode.

	* epa-dired.el (epa-dired-mode): New global minor mode.

	* epa.el (epa-menu): New variable.
	(epa-menu-items): New variable.
	(epa-menu-mode): New global minor mode.
	(epa-global-minor-modes): New user option.
	(epa-mode): New global minor mode.

2008-02-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el: Remove `no-byte-compile' cookie.
	(dbus-call-method, dbus-register-signal, dbus-debug)
	(dbus-registered-functions-table): Declare them with
	`declare-function' or `defvar', respectively.
	(top): Don't assert any longer.  Require 'cl when compiling.
	Apply `ignore-errors' but `dbus-ignore-errors'.

2008-02-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* diff-mode.el (diff-add-change-log-entries-other-window):
	Use add-change-log-entry.

2008-02-09  Jason Rumney  <jasonr@gnu.org>

	* button.el (button-map):
	* wid-edit.el (widget-keymap): Avoid line-end confusion in autoloads.
	* ldefs-boot.el: Regenerate.

2008-02-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* epa.el (epa-faces, epa):
	* epa-file.el (epa-file):
	* epg-config.el (epg): Add :version.

2008-02-09  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-exec-after): Append CODE to previous fragments.
	(vc-diff-finish): Take BUFFER directly, not BUFFER-NAME;
	take MESSAGES instead of VERBOSE; use it when non-nil.
	(vc-diff-internal): Compute messages once; use them;
	update call to vc-diff-finish.

2008-02-09  Michael Olson  <mwolson@gnu.org>

	* net/tramp.el (tramp-process-sentinel): Avoid error when process
	buffer has been killed, such as by
	`tramp-cleanup-all-connections'.

2008-02-09  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-omit-mode): Suppress invisibility ellipsis.

2008-02-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-add-change-log-entries-other-window): Avoid the
	splitter in context hunks.

2008-02-08  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (setup-default-fontset): Fix arabic otf
	font specification.

2008-02-08  Daiki Ueno  <ueno@unixuser.org>

	* epa-dired.el:
	* epa-file.el:
	* epa-mail.el:
	* epa-setup.el:
	* epa.el:
	* epg-config.el:
	* epg-package-info.el:
	* epg.el: Initial check-in of EasyPG.

2008-02-08  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-locale): New defcustom.
	(woman-expand-locale, woman-manpath-add-locales): New functions.
	(woman-manpath): Call woman-manpath-add-locales.  Bump :version.

	* international/mule-cmds.el (locale-translate): New function,
	with old code extracted from set-locale-environment.
	(set-locale-environment): Use locale-translate.  Set woman-locale.

	* cus-start.el (selection-coding-system): Remove, since it's now
	defined in select.el rather than in xselect.c.
	* select.el (selection-coding-system): Make it a defcustom, and
	add the properties from cus-start.el.  Bump :version.

	* custom.el (custom-theme-set-variables): Sort symbols that are
	dependencies before symbols that depend on them.
	(custom-enabled-themes): Set after custom-theme-directory.

	* pcmpl-unix.el (top-level): Move provide statement to end.
	(pcmpl-unix-group-file, pcmpl-unix-passwd-file): Remove leading
	`*' from doc-string.  Allow to be nil.
	(pcmpl-ssh-known-hosts-file): Convert comment into expanded doc-string.
	Allow to be nil.  Add :version.
	(pcmpl-ssh-hosts): Move definition before use.  Handle lines
	without hostnames, and multiple hostnames per line.

	* term/x-win.el (x-handle-parent-id): Remove free variable `parent-id'.

2008-02-08  Phil Hagelberg  <phil@evri.com>

	* pcmpl-unix.el (pcmpl-ssh-known-hosts-file): New defcustom.
	(pcomplete/ssh, pcomplete/scp, pcmpl-ssh-hosts): New functions.

2008-02-07  Timo Savola  <timo.savola@iki.fi>

	* startup.el (command-line-x-option-alist): Add --parent-id.

	* term/x-win.el (x-handle-parent-id): New function.

2008-02-07  Chris Moore  <christopher.ian.moore@gmail.com>

	* mouse.el (x-fixed-font-alist): Use consistent capitalization for
	"Font Menu".

2008-02-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-interface-peer): New defconst.
	(dbus-ping): New defun.

2008-02-06  Sam Steingold  <sds@gnu.org>

	* vc-hooks.el (vc-prefix-key): New user-customizable variable.

2008-02-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/ange-ftp.el (ange-ftp-unhandled-file-name-directory):
	Just return nil and let the C code provide a fallback.

2008-02-05  Glenn Morris  <rgm@gnu.org>

	* net/tramp-cmds.el (tramp-cleanup-connection): Update calls to
	tramp-flush-connection-property for removed 2nd argument.

2008-02-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-add-change-log-entries-other-window):
	Rename from diff-create-changelog.  Change users.
	Minor change to hopefully work with plain diffs.
	(diff-mode-map): Add binding for it.

2008-02-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* diff-mode.el: Add new TODO entry.
	(diff-create-changelog): New function.
	(diff-mode-menu): Bind it.

2008-02-04  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/mule-diag.el (print-fontset-element): Handle the
	case of inhibiting the fallback fonts.

2008-02-04  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-magic-forward-char, ido-magic-backward-char)
	(ido-magic-delete-char): Use prefix arg.

2008-02-03  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (image-library-alist): Prefer libpng12 to libpng13,
	because the latter is in fact a 1.2.8 build distributed with GTK+ (as
	of today, the most recent libpng is 1.2.24).

2008-02-03  Michael Albinus  <michael.albinus@gmx.de>

	* ediff-util.el (ediff-compute-custom-diffs-maybe): Handle remote files.

	* net/dbus.el (top): Check (featurep 'dbusbind).

	* net/tramp.el (tramp-process-sentinel): New defun.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-maybe-open-connection): Use it as process sentinel.
	(tramp-handle-delete-directory): Don't use the "-f" option; it
	isn't portable.
	(tramp-handle-start-file-process): Echo `tramp-end-of-output'
	after the command.
	(tramp-handle-shell-command): Set `mode-line-process' in the
	asynchronous case.

	* net/tramp-cache.el (tramp-flush-connection-property): Remove EVENT.

	* net/tramp-fish.el (tramp-fish-maybe-open-connection):
	* net/tramp-smb.el (tramp-smb-maybe-open-connection):
	Use `tramp-process-sentinel' as process sentinel.

2008-02-02  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (global-whitespace-mode): Revert last change.
	(whitespace-unload-function): Force `global-whitespace-mode'
	to deactivate local modes in a slightly less intrusive way.

2008-02-02  Eli Zaretskii  <eliz@gnu.org>

	* view.el (kill-buffer-if-not-modified): Add an autoload cookie.

2008-02-02  Glenn Morris  <rgm@gnu.org>

	* international/latin1-disp.el (latin1-display):
	* progmodes/fortran.el (fortran-comment-indent-char):
	* progmodes/idlw-shell.el (top-level):
	* term/mac-win.el (mac-keyboard-translate-char):
	* whitespace.el (whitespace-char-valid-p):
	* wid-edit.el (widget-key-sequence-read-event):
	Use characterp rather than char-valid-p.

	* progmodes/cap-words.el (capitalized-next-word-boundary): Rename
	to capitalized-find-word-boundary.  Doc fix.  Update callers.
	(capitalized-next-word-boundary-function-table): Rename to
	capitalized-find-word-boundary-function-table.  Doc fix.  Update users.

	* ps-bdf.el (bdf-read-font-info): Use string-to-number rather than
	string-to-int.

	* ps-def.el (declare-function): Add compatibility definition.
	(ps-plot-with-face, ps-plot-string): Declare as functions.
	(ps-bold-faces, ps-italic-faces): Declare variables.

	* ps-print.el (ps-mule-initialize, ps-mule-begin-job)
	(ps-mule-end-job): Declare as functions.

	* wid-edit.el (widget-string-complete): Use assoc-string rather
	than assoc-ignore-case.

2008-02-01  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/etags.el (next-file): Improve revert message.

2008-02-01  Andreas Schwab  <schwab@suse.de>

	* loadup.el: Load language/burmese instead of language/myanmar.

2008-02-01  Richard Stallman  <rms@gnu.org>

	* language/burmese.el: Rename from myanmar.el.
	("Burmese"): Rename from "Myanmar".

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (script-representative-chars): Add cham
	and tai-viet.
	(setup-default-fontset): Add iso10646-1 font for latin and ipa.
	Add fontconfig spec for cjk-misc.  Explicitly specify font font
	for U+E000..U+F8FF.

	* international/characters.el (script-list): Add cham.

	* language/cham.el: New file.

2008-02-01  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-escape-string): Don't do any encoding changes on the
	string.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* language/ind-util.el (in-is13194-post-read-conversion):
	Delete unnecessary call of indian-compose-region.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Some face attributes (like :strike-through) were not
	being recognised.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 7.3.2.
	(ps-screen-to-bit-face): Fix code.  Call ps-face-strikout-p,
	ps-face-overline-p and ps-face-box-p functions.

	* ps-def.el (ps-face-strikout-p, ps-face-overline-p, ps-face-box-p):
	New functions.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (font-encoding-alist): Add an entry for
	iso8859-16.
	(setup-default-fontset): Add iso8859-16 to latin.

	* descr-text.el (describe-char-display): Convert a GLYPH-CODE to a
	hexadigit string.
	(describe-char): Adjust for the above change.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (font-encoding-alist): Don't set the
	repertory of GB18030 fonts.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* language/indian.el: Set font-shape-text for all Indic characters
	in composition-function-table.

	* language/khmer.el: New file.

	* language/myanmar.el: New file.

	* loadup.el: Load "language/khmer" and "language/myanmar".

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (setup-default-fontset): Fix lao OTF
	script name.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* composite.el (terminal-composition-modification): Delete it.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (x-complement-fontset-spec):
	Complement size too.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (font-encoding-charset-alist):
	Initialize it.
	(otf-script-alist): Fix typo of canadian-aboriginal.
	(setup-default-fontset): Specify font-specs for many more scripts.
	(x-complement-fontset-spec): Change the first argument to a
	font-spec object.
	(create-fontset-from-fontset-spec): Adjust for the above change.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/devanagari.el: Register font-shape-text in
	composition-function-table.

	* language/tibetan.el: Register font-shape-text in
	composition-function-table.

	* language/thai-util.el (thai-composition-function): Fix arguments.

	* language/tamil.el: Register font-shape-text in
	composition-function-table.

	* language/malayalam.el: Register font-shape-text in
	composition-function-table.

	* language/lao.el: Register font-shape-text in
	composition-function-table.

	* language/kannada.el: Register font-shape-text in
	composition-function-table.

	* language/european.el (diacritic-composition-function): Fix arguments.

	* language/ethio-util.el (ethio-composition-function): Fix arguments.

	* language/tv-util.el (tai-viet-composition-function): Fix arguments.

	* composite.el (composition-function-table): Fix docstring.
	(terminal-composition-function): Fix arguments.
	(auto-compose-current-font): Delete it.
	(auto-compose-chars): Adjust for the change of
	composition-function-table.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (font-encoding-alist): Add the entry of
	"unicode-bmp".

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* composite.el (auto-compose-chars): Be sure to calculate
	composition at least at POS.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Fix pr-interface-map initialization code.
	(pr-version): New version 6.9.3.
	(pr-f-set-keymap-parents): Replace by pr-set-keymap-parents.
	(pr-f-set-keymap-name): Replace by pr-set-keymap-name.
	(pr-f-read-string): Replace by pr-read-string.
	(pr-set-keymap-parents, pr-set-keymap-name, pr-read-string):
	New function name.
	(pr-interactive-n-up, pr-interactive-regexp): Code fix.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/tv-util.el (tai-viet-re): Include '-'.
	(tai-viet-glyph-info): Handle '-'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Handle a composition of the new
	format.  Show font name.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* language/tibet-util.el (tibetan-composition-function): Use
	font-shape-text if auto-compose-current-font is non-nil.

	* language/tibetan.el: Fix the range for recording
	tibetan-composition-function in composition-function-table.

	* language/mlm-util.el (malayalam-composition-function): Use
	font-shape-text if auto-compose-current-font is non-nil.

	* international/mule-conf.el: Flag many charsets as supplementary.

	* international/mule.el (define-charset): Update the docstring for
	:supplementary-p.

	* international/fontset.el (setup-default-fontset): Add OpenType
	fonts for malayalam and tibetan.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (x-complement-fontset-spec): Use font-spec.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/fontset.el (otf-script-alist): Make all otf tags
	4-letters.
	(setup-default-fontset): Add OpenType fonts for devanagari and tamil.

	* language/tml-util.el (tamil-composition-function): Use
	font-shape-text if auto-compose-current-font is non-nil.

	* language/devan-util.el (devanagari-composition-function): Use
	font-shape-text if auto-compose-current-font is non-nil.

	* composite.el (auto-compose-chars): Change argument font-object
	to window.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-lpr-switches): Docstring fix.
	(ps-string-list): New function.
	(ps-do-despool): Code fix.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/utf-7.el (utf-7-imap-post-read-conversion)
	(utf-7-imap-pre-write-conversion): New functions.

	* international/mule-conf.el (utf-7-imap): New coding system.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-selection-value): If x-select-request-type is
	nil, try also STRING at last.
	(x-select-request-type): Doc fix for the change of x-selection-value.

	* select.el (selection-coding-system, next-selection-coding-system):
	Move declarations from xselect.c.
	(x-get-selection): Decode by selection-coding-system if it is non-nil.
	If it is nil, decode by a proper coding system.  Handle C_STRING.
	(ccl-check-utf-8, string-utf-8-p): Delete them.
	(xselect-convert-to-string): Fix determining data-type in the case
	that TEXT is requested.  Don't use selection-coding-system if it's
	not proper for the data-type.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-selection-value): If x-select-request-type is
	nil, simply try UTF8_STRING and COMPOUND-TEXT in this order.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-initialize-window-system): Use t, not nil
	to signify default fontset.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (describe-language-environment):
	Check if the specified input method exists or not.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-begin-job): Error if ps-lpr-switches is not a list.
	(ps-face-background-name): Remove this function.  It's already defined
	in ps-def.el file.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Eliminate the check if ps-print was running on Lucid or
	Epoch emacsen.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Now detect if text foreground and background colors are
	equals and replace the foreground color by another color, so the text
	becomes visible.  Doc fix.
	(ps-print-version): New version 7.3.
	(ps-default-fg, ps-default-bg): Docstring fix.
	(ps-fg-list, ps-fg-validate-p): New options.
	(ps-foreground-list): New variable.
	(ps-generate-header-line): Replace fboundp by functionp.
	(ps-setup, ps-begin-job, ps-plot-region): Fix code.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Pacify byte compiler, that is, no compiler warnings.
	Move (again) some variable definitions before use, define some
	function aliases, no code change.
	(pr-version): New version 6.9.2.
	(pr-path-style, pr-auto-region, pr-menu-char-height)
	(pr-menu-char-width, pr-menu-lock, pr-ps-printer-alist)
	(pr-txt-printer-alist, pr-ps-utility-alist): Options declaration
	via (defvar VAR).
	(pr-menu-lookup, pr-menu-lock, pr-menu-alist, pr-even-or-odd-pages)
	(pr-menu-get-item, pr-menu-set-item-name, pr-menu-set-utility-title)
	(pr-menu-set-ps-title, pr-menu-set-txt-title, pr-region-active-p)
	(pr-do-update-menus, pr-update-mode-line, pr-f-read-string)
	(pr-f-set-keymap-parents, pr-keep-region-active): Function aliases.
	(pr-menu-print-item, pr-ps-printer-menu-modified)
	(pr-txt-printer-menu-modified, pr-ps-utility-menu-modified)
	(pr-even-or-odd-alist): Move variable definitions.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/chinese.el (cp936): Delete duplicated alias.

	* international/mule-diag.el (list-block-of-chars): Don't insert
	non-Unicode characters.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* loadup.el [windows-nt]: Don't load code-pages and ccl.
	* term/w32-win.el: Don't require code-pages.

2008-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix up multi-tty merge.

	* version.el (emacs-version): Bump to 23.0.60.

	* term/x-win.el (x-initialize-window-system): Don't try to create
	a fontset from a font-specification anymore.  This was removed on the
	unicode branch and mistakenly re-added by the multi-tty merge.

	* term/w32-win.el: Remove duplicate code that's now in
	w32-initialize-window-system.
	(w32-initialize-window-system): Don't try to create a fontset from
	a font-specification anymore.  This was removed on the unicode branch
	and mistakenly re-added by the multi-tty merge.

	* term/mac-win.el: Remove duplicate top-level code.

	* language/ethio-util.el:
	* international/characters.el: Use utf-8 rather than utf-8-emacs
	since it works as well and has the advantage of working with
	non-unicode versions of Emacs.

	* international/encoded-kb.el (encoded-kbd-setup-display): Use the new
	multi-tty code, which includes the previous local change.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-print-version): New version 7.2.5.
	(ps-background, ps-begin-file, ps-build-reference-face-lists):
	Use `mapc' rather than `mapcar'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* skeleton.el (skeleton-internal-1): Use integerp and stringp
	instead of char-or-string-p to catch -1.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (inactivate-input-method):
	Set input-method-function to nil before calling
	inactivate-current-input-method-function.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* play/gamegrid.el (gamegrid-setup-default-font): Calculate a font
	height that doesn't exceed the requested height by rounding off.

2008-02-01  Andreas Schwab  <schwab@suse.de>

	* international/mule-diag.el (print-fontset-element):
	Use fontp only if defined.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-mule.el (ps-mule-prepare-font, ps-mule-encode-region)
	(ps-mule-plot-composition, ps-mule-encode-header-string): Docstring fix.
	(ps-mule-prologue-generated): Code fix.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* dnd.el (dnd-get-local-file-name): Call replace-regexp-in-string
	with FIXEDCASE t.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (print-fontset-element): Fix for the
	format change of a fontset element for font-backend feature.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Fix for the case that a component
	character is TAB.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Fix printing of rejected and unsafe coding-systems.

	* international/fontset.el (setup-default-fontset): Add tai-viet.

	* international/characters.el: Setup syntax/category table for Tai Viet.
	(script-list): Add tai-viet.

	* loadup.el: Load "language/tai-viet".

	* language/tai-viet.el: New file.

	* language/tv-util.el: New file.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* faces.el (font-weight-table): Use defaults on w32 that match
	LOGFONT.lfWeight.

	* term/w32-win.el: Don't create fontset from command-line font.

2008-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (toggle-enable-multibyte-characters)
	(sort-coding-systems, search-unencodable-char): Doc fixes.
	(default-input-method, input-method-verbose-flag)
	(input-method-highlight-flag): Remove * in defcustom's docstrings.
	(exit-language-environment-hook, set-default-coding-systems)
	(coding-system-change-eol-conversion, prefer-coding-system)
	(find-multibyte-characters, leim-list-entry-regexp)
	(set-input-method, input-method-exit-on-first-char, princ-list)
	(locale-language-names, locale-charset-language-names)
	(define-char-code-property): Fix typos in docstrings.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* disp-table.el (make-glyph-code, glyph-char, glyph-face):
	Fix for a new character code space (22-bit).

2008-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* printing.el (pr-ps-fast-fire): Fix typos in docstring.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Add more cases/syntaxes from Latin
	characters.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-def.el (installation-directory): Must be initialized when defining
	it in XEmacs.
	(coding-system-for-read): Eliminate duplicated definition.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace some (defvar VAR) by (defvar VAR nil).

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace (defvar VAR nil) by (defvar VAR).
	(ps-print-emacs-type): Eliminate variable.
	(ps-setup): Remove ps-print-emacs-type.  Print which Emacsen is
	running ps-print package.

	* ps-def.el: Replace (defvar VAR nil) by (defvar VAR).
	(ps-frame-parameter): Replace defun by defalias.
	(mark-active): Eliminate defvar.

	* ps-samp.el (ps-prsc, ps-c-prsc, ps-s-prsc): Eliminate macros.
	(ps-rmail-mode-hook, ps-vm-mode-hook, ps-gnus-summary-setup)
	(ps-jts-ps-setup): Replace macros by vector key definition.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf-abn.el (ebnf-abn-skip-comment):
	* progmodes/ebnf-bnf.el (ebnf-bnf-skip-comment):
	* progmodes/ebnf-dtd.el (ebnf-dtd-skip-comment):
	* progmodes/ebnf-ebx.el (ebnf-ebx-skip-comment):
	* progmodes/ebnf-iso.el (ebnf-iso-skip-comment):
	* progmodes/ebnf-yac.el (ebnf-yac-skip-comment): New version.
	New command actions for EPS header and EPS footer.

	* progmodes/ebnf2ps.el: New command actions for EPS header and EPS
	footer.  Fix some problems with one-or-more, zero-or-more and
	alternative constructions generation.  Some implementation of log
	messages.  Doc fix.
	(ebnf-version): New version 4.4.
	(ebnf-eps-header-font, ebnf-eps-header, ebnf-eps-footer-font)
	(ebnf-eps-footer, ebnf-log): New options.
	(ebnf-find-style, ebnf-eps-header-footer, ebnf-eps-header)
	(ebnf-eps-footer, ebnf-eps-string, ebnf-eps-header-footer-comment)
	(ebnf-eps-header-footer-p, ebnf-eps-header-comment)
	(ebnf-eps-footer-comment, ebnf-eps-header-footer-file)
	(ebnf-eps-header-footer-set, ebnf-log-header, ebnf-log): New functions.
	(ebnf-style-custom-list, ebnf-style-database): Put new values.
	(ebnf-print-directory, ebnf-print-file, ebnf-print-buffer)
	(ebnf-print-region, ebnf-spool-directory, ebnf-spool-file)
	(ebnf-spool-buffer, ebnf-spool-region, ebnf-eps-directory)
	(ebnf-eps-file, ebnf-eps-buffer, ebnf-eps-region)
	(ebnf-syntax-directory, ebnf-syntax-file, ebnf-syntax-buffer)
	(ebnf-syntax-region, ebnf-parse-and-sort, ebnf-begin-job)
	(ebnf-dimensions, ebnf-production-dimension, ebnf-terminal-dimension)
	(ebnf-non-terminal-dimension, ebnf-special-dimension)
	(ebnf-terminal-dimension1, ebnf-repeat-dimension)
	(ebnf-except-dimension, ebnf-alternative-dimension)
	(ebnf-optional-dimension, ebnf-one-or-more-dimension)
	(ebnf-zero-or-more-dimension, ebnf-sequence-dimension):
	Insert log message function.
	(ebnf-setup, ebnf-generate-one-or-more, ebnf-generate-zero-or-more)
	(ebnf-begin-job, ebnf-begin-file, ebnf-eps-finish-and-write)
	(ebnf-insert-ebnf-prologue, ebnf-production-dimension)
	(ebnf-terminal-dimension1, ebnf-alternative-dimension)
	(ebnf-one-or-more-dimension, ebnf-zero-or-more-dimension)
	(ebnf-eps-add-context, ebnf-eps-add-production): Fix code.
	(ebnf-eps-filename, ebnf-trim-right): Replace `?\s' by `?\ ' to keep
	compatibility with Emacs 20 & 21.
	(ebnf-eps-header-comment, ebnf-eps-footer-comment)
	(ebnf-eps-file-alist, ebnf-basic-width-extra)
	(ebnf-basic-empty-height): New variables.
	(ebnf-prologue): Fix PostScript code.
	(ebnf-make-empty, ebnf-make-terminal1, ebnf-make-or-more1)
	(ebnf-make-production, ebnf-make-alternative, ebnf-make-optional)
	(ebnf-make-except, ebnf-make-repeat, ebnf-make-sequence)
	(ebnf-make-dup-sequence, ebnf-token-alternative): Add comments.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Group together all XEmacs/Emacs definitions.
	(pr-version): New version 6.9.
	(pr-global-menubar, pr-menu-char-height, pr-menu-char-width):
	New functions.
	(pr-menu-char-height, pr-menu-char-width): Fix initialization code.
	(pr-menu-bind): Fix code.
	(pr-e-frame-char-height, pr-e-frame-char-width)
	(pr-e-mouse-pixel-position, pr-x-add-submenu, pr-x-event-function)
	(pr-x-event-object, pr-x-find-menu-item, pr-x-font-height)
	(pr-x-font-width, pr-x-get-popup-menu-response, pr-x-make-event)
	(pr-x-misc-user-event-p, pr-x-relabel-menu-item, pr-x-event-x-pixel)
	(pr-x-event-y-pixel): Eliminate aliases.
	(pr-xemacs-global-menubar): Move macro.
	(current-menubar, current-mouse-event, zmacs-region-stays)
	(deactivate-mark, pr-menu-position, pr-menu-state, pr-ps-name-old)
	(pr-txt-name-old, pr-ps-utility-old, pr-even-or-odd-old, pr-temp-menu):
	Move variables.
	(pr-region-active-p, pr-menu-position, pr-menu-lookup, pr-menu-lock)
	(pr-update-mode-line, pr-do-update-menus, pr-menu-alist)
	(pr-relabel-menu-item, pr-menu-set-ps-title, pr-menu-set-txt-title)
	(pr-menu-set-utility-title, pr-even-or-odd-pages)
	(pr-f-set-keymap-parents, pr-f-set-keymap-name, pr-f-read-string)
	(pr-keep-region-active, pr-menu-get-item, pr-menu-set-item-name):
	Move functions.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: The ps-print commands without face printing should not
	print background color.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 7.2.2.
	(ps-begin-job): New arg.  Fix ps-default-background and
	ps-default-foreground initialization.
	(ps-face-attributes): Fix doc string.
	(ps-face-background, ps-generate-postscript, ps-generate): Fix code.

	* printing.el: Fix ps-print link.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (list-character-sets-2): Don't print width.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.ps: Fix background height.
	(ps-print-version): New version 7.2.1.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Split XEmacs/Emacs definitions and sample setup code
	into separate files.
	(ps-print-version): New version 7.2.
	(ps-postscript-code-directory): Fix XEmacs initialization.
	(ps-generate-postscript-with-faces):
	Call ps-generate-postscript-with-faces1 (new function).
	(ps-color-format, ps-float-format): Move variables to ps-def.el.
	(ps-xemacs-color-name, ps-mapper, ps-extent-sorter)
	(ps-xemacs-face-kind-p, ps-mark-active-p, ps-face-foreground-name)
	(ps-face-background-name, ps-frame-parameter, ps-color-device)
	(ps-color-values, ps-face-bold-p, ps-face-italic-p):
	Move functions to ps-def.el.
	(ps-prsc, ps-c-prsc, ps-s-prsc, ps-rmail-mode-hook)
	(ps-rmail-print-message-from-summary, ps-print-message-from-summary)
	(ps-article-subject, ps-article-author, ps-gnus-article-prepare-hook)
	(ps-vm-mode-hook, ps-gnus-print-article-from-summary)
	(ps-vm-print-message-from-summary, ps-gnus-summary-setup, ps-info-file)
	(ps-info-node, ps-info-mode-hook, ps-jts-ps-setup, ps-jack-setup):
	Move functions to ps-samp.el.

	* ps-bdf.el (installation-directory, coding-system-for-read):
	Move variables to ps-def.el.

	* ps-mule.el (leading-code-private-22): Move variables to ps-def.el.
	(charset-bytes, charset-dimension, charset-id, charset-width)
	(find-charset-region, char-width, chars-in-region, forward-point)
	(decompose-composite-char, encode-coding-string, coding-system-p)
	(ccl-execute-on-string, define-ccl-program, multibyte-string-p)
	(string-make-multibyte, encode-char): Move functions to ps-def.el.

	* ps-def.el: New file.  XEmacs/Emacs definitions.
	(ps-generate-postscript-with-faces1): New function.
	(ps-color-format, ps-float-format): Move variables from ps-print.el.
	(ps-xemacs-color-name, ps-mapper, ps-extent-sorter)
	(ps-xemacs-face-kind-p, ps-mark-active-p, ps-face-foreground-name)
	(ps-face-background-name, ps-frame-parameter, ps-color-device)
	(ps-color-values, ps-face-bold-p, ps-face-italic-p):
	Move functions from ps-print.el.
	(installation-directory, coding-system-for-read):
	Move variables from ps-bdf.el.
	(leading-code-private-22): Move variable from ps-mule.el.
	(charset-bytes, charset-dimension, charset-id, charset-width)
	(find-charset-region, char-width, chars-in-region, forward-point)
	(decompose-composite-char, encode-coding-string, coding-system-p)
	(ccl-execute-on-string, define-ccl-program, multibyte-string-p)
	(string-make-multibyte, encode-char): Move functions from ps-mule.el.

	* ps-samp.el: New file.  Sample setup code.
	(ps-prsc, ps-c-prsc, ps-s-prsc, ps-rmail-mode-hook)
	(ps-rmail-print-message-from-summary, ps-print-message-from-summary)
	(ps-article-subject, ps-article-author, ps-gnus-article-prepare-hook)
	(ps-vm-mode-hook, ps-gnus-print-article-from-summary)
	(ps-vm-print-message-from-summary, ps-gnus-summary-setup, ps-info-file)
	(ps-info-node, ps-info-mode-hook, ps-jts-ps-setup, ps-jack-setup):
	Move functions from ps-print.el.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Handle frame parameters (background and/or foreground
	colors) changing dynamically.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 7.1.
	(ps-x-frame-property, ps-e-frame-parameter): New aliases.
	(ps-frame-parameter): New function.
	(ps-default-fg, ps-default-bg): New default value ('frame-parameter).
	Fix doc and customization.
	(ps-begin-job): Get frame parameters (background and/or foreground
	colors).
	(ps-do-despool): Ensure ps-printer-name has a valid value.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf-abn.el:
	* progmodes/ebnf-bnf.el:
	* progmodes/ebnf-dtd.el:
	* progmodes/ebnf-ebx.el:
	* progmodes/ebnf-iso.el:
	* progmodes/ebnf-otz.el:
	* progmodes/ebnf-yac.el:
	* progmodes/ebnf2ps.el:
	* delim-col.el:
	* printing.el:
	* ps-bdf.el:
	* ps-mule.el:
	* ps-print.el: Remove 'Time-stamp' comment mark.

	* printing.el (pr-menu-bind): Replace 'easy-menu-change' by
	'easy-menu-add-item' when called in Emacs 21 or higher.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el : Fix doc.
	(ps-print-version): New version 7.0.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* mail/emacsbug.el (report-emacs-bug): Insert also the value of
	XMODIFIERS.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Fix maintainer email.  Eliminate function declaration
	that kept compatibility with older Emacs version.
	(ps-print-version): New version 6.7.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-get-translations):
	Make quail-current-key multibyte if not yet done.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* language/chinese.el ("Chinese-GBK"): Add tutorial.
	("Chinese-GB18030"): Add sample-text and tutorial.

	* international/fontset.el (font-encoding-alist)
	(setup-default-fontset): Add gb18030.
	(x-pixel-size-width-font-regexp, vertical-centering-font-regexp)
	(charset-script-alist): Add gbk and gb18030.

	* international/characters.el: Put property
	preferred-coding-system on gbk and gb18030.

	* international/mule-cmds.el (locale-language-names): Add an entry
	for "zh_CN.UTF-8" and change "chs" to "Chinese-GBK".

	* faces.el (face-font-registry-alternatives): Add gb18030.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-mule.el: Fix maintainer email.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-insert-kbd-layout): Check the
	length of (cdr translation).
	(quail-get-current-str): Check the length of (cdr def).

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* ruler-mode.el (ruler-mode-ruler): Make the string `ruler' multibyte.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (ucs-insert): Re-implement.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (terminal-composition-modification): New function.
	(terminal-composition-function): Create composition with the above
	modification function.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* international/characters.el: Add more full-width characters in
	char-width-table.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (create-fontset-from-fontset-spec):
	Fix script name handling.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (terminal-composition-function): New function.
	(terminal-composition-function-table): New variable.
	(auto-compose-chars): If running on a terminal, use
	terminal-composition-function-table.

	* loadup.el: Load "composite" after "international/characters".

	* international/characters.el: Delete codes for setting up charset
	property nospace-between-words.  Fix setting up of
	char-width-table.  Don't make ethiopic and tibetan double column.

	* textmodes/fill.el (fill-find-break-point-function-table):
	 Don't set it up in defvar.
	(fill-nospace-between-words-table): New variable.
	(fill-delete-newlines): Check fill-nospace-between-words-table
	instead of charset property nospcae-between-words.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (global-auto-composition-mode): Make the initial
	value not depend on emacs-basic-display.

	* textmodes/fill.el: Don't use charset property
	`fill-find-break-point-function'.
	(fill-find-break-point-function-table): New variable.
	(fill-find-break-point): Lookup fill-find-break-point-function-table.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (coding-system-list): Be sure to exclude
	subsidiary coding systems.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-composition-after-change)
	(toggle-auto-composition): Remove `auto-composed' property instead
	of setting it to nil.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/misc-lang.el (iso-8859-6): New coding system.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* dnd.el (dnd-get-local-file-name): Give a unibyte string to
	replace-regexp-in-string as replacement.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (otf-script-alist): Add byzm, math,
	musc, and nko.

	* international/characters.el (script-list): Add nko,
	byzantine-musical-symbol, musical-symbol, and mathematical.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-compose-current-font): New variable.
	(auto-compose-chars): New arg FONT-OBJECT.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Modify category-table and
	script-table for new Ethiopic character range.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment-fontset):
	Delete it.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (otf-script-alist): Set it.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist):
	Fix for "ethiopic-unicode".

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (script-representative-chars):
	Add an entry for latin script.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* faces.el (font-weight-table): Treat regular and normal as the
	same as medium.
	(font-slant-table): Add (roman . 100).

2008-02-01  Kenichi Handa  <handa@m17n.org>

	These changes are for the new font handling codes.

	* faces.el (font-weight-table, font-slant-table)
	(font-swidth-table): New customizable variables.

	* international/fontset.el (font-encoding-alist): Add koi8-4.
	(script-representative-chars): Set the default value.
	(create-fontset-from-x-resource): Delete `message'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* tar-mode.el (tar-untar-buffer, tar-summarize-buffer):
	Call set-buffer-multibyte with arg `to'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* info.el (Info-fontify-node): Check if already fontified or not
	by next-single-property-change.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (ctext-pre-write-conversion): Produce
	extra designation sequence for ASCII at the end off extended segment.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (ctext-non-standard-encodings-table):
	Reverse the returning list.
	(ctext-pre-write-conversion): Fix encoding with extended segments.

	* international/mule-conf.el (compound-text)
	(compound-text-with-extensions): Add long-form in :flags.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (create-fontset-from-fontset-spec): Fix
	regexp for paring FONTSET-SPEC (allow spaces after `:').

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (create-fontset-from-fontset-spec): Fix
	for the case that a charset is specified as target.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/ccl.el (ccl-embed-string): Check string length.
	Set special flag for multibyte character sequence.
	(ccl-compile-write-string, ccl-compile-write-repeat): Don't make
	str unibyte.
	(ccl-compile-write): If the character code doesn't fit in 22-bit
	(ccl-dump-write-const-string): Check special flag for multibyte
	character sequence.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el (ps-mule-eight-bit-char): Delete this function.
	(ps-mule-encode-region, ps-mule-plot-composition): Don't use
	ps-mule-eight-bit-char.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/chinese.el ("Chinese-BIG5"):
	Set ctext-non-standard-encodings property to "big5-0".

	* international/mule.el (ctext-non-standard-encodings):
	Initialize to nil.
	(ctext-non-standard-encodings-alist): Set charset `big5' in the
	entry for "big5-0".
	(ctext-non-standard-encodings-table): Return a list instead of
	char-table.
	(ctext-pre-write-conversion): Adjust for the above change.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* international/mule.el (ctext-non-standard-encodings-alist):
	Add an entry for gbk-0.
	(ctext-post-read-conversion): Use multibyt-char-to-unibyte to read
	a row 8-bit.

	* language/chinese.el ("Chinese-GBK"):
	Set ctext-non-standard-encodings property to "gbk-0".
	Add sample-text property.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/kkc.el (kkc-region): Use
	this-single-command-raw-keys on pushing back an unhandled key sequence.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-mode):
	Check saved-input-mode on turning off Encoded Kbd mode.

	* composite.el (auto-composition-after-change): Use save-buffer-state.
	(turn-on-auto-composition-if-enabled): Don't turn on
	auto-composition-mode in a unibyte buffer.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* startup.el (command-line): Use custom-reevaluate-setting for
	global-auto-composition-mode.

	* composite.el (auto-composition-function): Make it buffer local.
	(auto-composition-mode): New minor mode.
	(turn-on-auto-composition-if-enabled): New function.
	(global-auto-composition-mode): New global minor mode.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Use insert-text-button instead of
	widget-create for "customize what to show" button.

2008-02-01  Naoto Takahashi  <ntakahas@m17n.org>

	* language/ethiopic.el: Fix copyright.
	(composition-function-table): Support a new character in Unicode 4.1.

	* language/ethio-util.el (ethio-fidel-to-tex-buffer)
	(ethio-tex-to-fidel-buffer, ethio-composition-function)
	("ethiopic-tex"): Support new characters in Unicode 4.1.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Register characters in
	auto-fill-chars.  Put nospace-between-words to more charsets.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* international/mule-cmds.el (locale-language-names): Add entries
	for zh_CN.GB2312, zh_CN.GBK, and zh_CN.GB18030.
	(locale-preferred-coding-systems): Fix entries for Chinese locales.

2008-02-01  Kenichi Handa  <handa@etlken>

	* international/utf-7.el: Delete the definition of utf-7.
	(utf-7-post-read-conversion, utf-7-pre-write-conversion):
	Add autoload cookies.

2008-02-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Delete the code to create a fontset from the X
	resource "Font".

2008-02-01  Naoto Takahashi  <ntakahas@m17n.org>

	* international/robin.el (robin-define-package): Be sure to call
	put-char-code-property.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/korean.el (iso-2022-kr): Set :suitable-for-keyboard
	property to 1.

	* international/mule-conf.el (cp1125): Set :ascii-compatible-p
	property to t.

	* international/mule.el (coding-system-get):
	Check `ascii-incompatible' for backward compatiblity.
	(set-file-name-coding-system): Signal an error for a coding system
	not suitable for file name.
	(set-keyboard-coding-system): Signal an error for a coding system
	not suitable for keyboard.

	* language/chinese.el (iso-2022-cn, iso-2022-cn-ext):
	Set :suitable-for-keyboard property to 1.

	* language/japanese.el (iso-2022-jp, iso-2022-jp-2)
	(iso-2022-jp-2004): Set :suitable-for-keyboard property to 1.

	* language/vietnamese.el (vietnamese-viscii, vietnamese-vscii)
	(vietnamese-tcvn): Set :suitable-for-file-name property to t.

2008-02-01  Naoto Takahashi  <ntakahas@m17n.org>

	* international/robin.el (robin-define-package): Delete redundant code.
	(robin-add-rule): Allow N-1 reverse conversion.

2008-02-01  Naoto Takahashi  <ntakahas@m17n.org>

	* international/robin.el (robin-define-package): Make the
	expanded form shorter.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* language/chinese.el (chinese-iso-8bit): Fix mime-charset of
	chiense-iso-8bit.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* loadup.el: If we are byte-compiling unidata-gen.el or running
	unidata-ge-files, set purify-flag to nil.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* loadup.el: Load international/charprop.el with NOERROR t.

	* Makefile.in (AUTOGENEL): Add charprop.el and uni-*.el.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* term/mac-win.el (mac-centraleurroman, mac-cyrillic):
	New charsets and coding systems.
	(mac-symbol, mac-dingbats): New charsets.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Set syntax of NBSP to punctuation.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el: Don't require wid-edit.

2008-02-01  Naoto Takahashi  <ntakahas@m17n.org>

	* international/robin.el: New file.

	* language/ethiopic.el: Change encoding to utf-8-emacs.
	Register ethio-composition-function in composition-function-table.
	("Ethiopic"): Change coding-systems to utf-8-emacs.

	* language/ethio-util.el: Change encoding to utf-8-emacs.
	Rewrite all transliteration functions to use robin.el.
	(ethio-fidel-to-sera-map, ethio-fidel-to-tex-map)
	(ethio-sera-to-fidel-table, ethio-implicit-period-conversion)
	(ethio-prefer-ascii-punctuation): Delete variables.
	(ethio-char-to-ethiocode, ethio-convert-digit)
	(ethio-ethiocode-to-char, ethio-fidel-to-sera-mail)
	(ethio-fidel-to-sera-mail-or-marker, ethio-lone-consonant-p)
	(ethio-sera-to-fidel-english, ethio-sera-to-fidel-ethio)
	(ethio-sera-to-fidel-mail, ethio-sera-to-fidel-mail-or-marker)
	(ethio-tilde-escape, ethio-toggle-punctuation): Delete functions.
	(ethio-adjust-robin, ethio-composition-function)
	(ethio-get-consonant, ethio-prefer-amharic, ethio-process-digits)
	(ethio-sera-to-fidel-region-ethio)
	(ethio-sera-to-fidel-region-noethio)
	(ethio-use-colon-for-colon, ethio-use-three-dot-question):
	New functions.

2008-02-01  Miles Bader  <miles@gnu.org>

	* international/mule.el (auto-coding-regexp-alist)
	(ctext-pre-write-conversion): Replace embedded control characters
	with octal escapes; this prevents diff from thinking the file is binary.

2008-02-01  Miles Bader  <miles@gnu.org>

	* descr-text.el (describe-char-unidata-list):
	* emacs-lisp/bytecomp.el (byte-compile-fix-header)
	(byte-compile-insert-header):
	* international/mule.el (charset-list, set-coding-priority)
	(ignore-relative-composition):
	* international/mule-util.el (detect-coding-with-priority):
	* international/mule-diag.el:
	* international/mule-cmds.el (language-info-custom-alist):
	* international/codepage.el (codepage-setup):
	Replace references to Emacs version "22" with "23".

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* Makefile.in (DONTCOMPILE): Include charprop.el and uni-*.el.

	* international/fontset.el (font-encoding-alist): Add an entry for
	microsoft-cp1251.
	(setup-default-fontset): Add entries for microsoft-cp1251 and
	koi8-r for cyrillic.

	* international/mule-cmds.el (char-code-property-alist): New variable.
	(define-char-code-property): New function.
	(get-char-code-property, put-char-code-property): Handle a
	char-table registerd in char-code-property-alist.
	(set-language-environment): Check :ascii-compatible-p property of
	nonascii charset instead of its dimension.

	* international/uni-bidi.el, international/uni-category.el:
	* international/uni-combining.el, international/uni-comment.el:
	* international/uni-decimal.el, international/uni-decomposition.el:
	* international/uni-digit.el, international/uni-lowercase.el:
	* international/uni-mirrored.el, international/uni-name.el:
	* international/uni-numeric.el, international/uni-old-name.el:
	* international/uni-titlecase.el, international/uni-uppercase.el:
	* international/charprop.el: New files automatically generated by
	admin/unidata/Makefile.

	* loadup.el: Load internationnal/charprop.el.

	* descr-text.el (describe-char-unidata-list): New variable.
	(describe-char-unicode-data): Use char-code-property-description.
	(describe-char): Add lines for describing Unicode-based character
	properties.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* textmodes/ispell.el: These changes are to fix the code merged
	from trunk for the change on 2008-02-01.
	(ispell-unified-chars-table): Delete it.
	(ispell-get-decoded-string): Don't check ispell-unified-chars-table.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-util.el (char-displayable-p): Check
	:charset-list property of CODING.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Change 'mime-charset to :mime-charset.
	(select-safe-coding-system): Use above.
	(set-language-environment): Delete unnecessary code for handling
	overriding-fontspec.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el: New coding system aliases unix, dos,
	and mac.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/titdic-cnv.el (tit-process-header): Fix embedded
	coding tag.
	(titdic-convert): Bind coding-system-for-write to the coding
	system specfied in the map file.  Remove `charset' property after
	decoding.
	(miscdic-convert): Bind coding-system-for-write to the coding
	system specfied for the map file.  Fix LANGUAGE arg to
	quail-define-package.
	(batch-miscdic-convert): Check if a file is directory or not.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (coding-system-equal): Move from mule-util.el.

	* international/mule-util.el (coding-system-equal): Move to mule.el.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-decode-code-list):
	New function.
	(encoded-kbd-self-insert-charset, encoded-kbd-setup-keymap):
	Support multibyte charsets.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/china-util.el (hz-set-msb-table): Turn chars beyond 128
	to eight-bit chars.

	* international/mule-conf.el: Don't define coding system
	`undecided' here.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (locale-language-names): Fix for
	gb18030 and gdk.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist): Add gbk.
	(charset-script-alist): Add chinese-gbk.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/chinese.el (chinese-gbk): Include ascii in charset-list.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el ("Japanese"): Fix ordering of charsets.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-self-insert-charset)
	(encoded-kbd-self-insert-utf-8, encoded-kbd-setup-keymap)
	(encoded-kbd-mode): Adjust code merged from trunk for unicode branch.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Fix for the case CODE is a cons
	of integers.

2008-02-01  Steven Tamm  <steventamm@mac.com>

	* term/mac-win.el: Use mac-standard-fontset-spec to create fontset-mac.
	(mac-standard-fontset-spec): Create.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (unicode-data):
	Call find-file-noselect with NOWARN t.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (cp932-2-byte): Fix :code-space.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Give more CJK characters the
	category `|'.

	* descr-text.el (describe-char): Make it work on *Help* buffer.
	Suppress auto-composition on a region describing about composition.

	* language/european.el (diacritic-compose-region)
	(diacritic-compose-string, diacritic-composition-function):
	Compose diacritical marks only with a character whose syntax is
	word constituent.
	(diacritic-post-read-conversion): Delete it.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-compose-chars): Execute the main code in
	condition-case.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (x-complement-fontset-spec):
	Don't change CHARSET_REGISTRY and CHARSET_ENCODING fields.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el (next-word-boundary-kana):
	Handle half-width kana.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (indian-1-column): Fix :emacs-mule-id.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (japanese-iso-8bit): Fix order of :charset-list.

	* mail/rmail.el (rmail-decode-babyl-format):
	Use with-coding-priority instead of detect-coding-with-priority.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (make-translation-table)
	(make-translation-table-from-vector): Set the second extra slot of
	the char table to 1.
	(make-translation-table-from-alist): Fix handling of multiple entries.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (jisx0213-to-unicode, unicode-to-jisx0213):
	New translation tables.

	* international/mule.el (make-translation-table-from-alist):
	New function.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (translate-region): Re-implement it here.
	Make it interactive.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el (ps-mule-font-info-database): Doc fix.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (chinese-cns11643-15): New charset.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist): Add entries for
	variations of cns11643 fonts.
	(setup-default-fontset): Add cns11643 fonts as fallback fonts.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (list-charset-chars): Put charset
	text property.

	* international/fontset.el (setup-default-fontset): Delete the
	entry for symbol script, add JISX0213 to kana script, specify
	fallback fonts.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset)
	(font-encoding-alist): Register "JISX0213.2004-1".

	* international/mule-diag.el (list-character-sets): Fix the first
	line message.
	(sort-listed-character-sets): Adjust for the change of
	list-characters-sets-1.
	(list-character-sets-1): List supplementary character sets in a
	different section.
	(list-charset-chars): Validate charset at early stage.

	* international/characters.el: Fix `han' script range.

	* international/mule-conf.el (japanese-jisx0213.2004-1):
	Specify :code-space.
	(cp932-2-byte): Fix :code-space.
	(unicode-smp, unicode-sip, unicode-ssp): New charsets.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (japanese-jisx0213.2004-1):
	Specify :dimension 2.

	* language/japanese.el (iso-2022-jp): Exclude japanese-jisx0212.
	(iso-2022-jp-2004, euc-jis-2004, japanese-shift-jis-2004):
	New coding systems.
	(iso-2022-jp-3, euc-jisx0213, shift_jis-2004): New coding system
	aliases.
	("Japanese"): Add new charsets and coding systems.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (japanese-ucs-cp932-to-jis-map):
	Rename from japanese-ucs-cp932-map.
	(japanese-ucs-jis-to-cp932-map): Rename from japanese-ucs-jis-map.
	(japanese-ucs-glibc-map): Delete this translation table.
	(japanese-ucs-glibc-to-jis-map, japanese-ucs-jis-to-glibc-map):
	New translation tables.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* cus-start.el: Handle charset-map-path, not charset-map-directory.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-selection-value): Optimize for ASCII only case.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el: Add map #x00A6 <-> #xFFE4 to translation
	tables japanese-ucs-*-map.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/eucjp-ms.el: New file (automatically generated by
	admin/charsets/Makefile).

	* international/cp51932.el: New file (automatically generated by
	admin/charsets/Makefile).

	* language/japanese.el: Load cp51932 and eucjp-ms.
	(japanese-ucs-cp932-map, japanese-ucs-jis-map)
	(japanese-ucs-glibc-map): New translation tables.
	(eucjp-ms): New coding system.

	* international/mule.el (coding-system-put): Delete it.
	It's implemented in C now.

	* international/mule-conf.el (katakana-sjis): Fix :superset to :subset.
	(japanese-jisx0213-a): New supplementary charset.
	(japanese-jisx0213.2004-1): New charset.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (japanese-cp932): New coding system.
	(cp932): New alias of it.

	* international/mule-conf.el (katakana-sjis, cp932-2-byte)
	(cp932): New charsets.

	* international/mule.el (define-charset): If :code-space is not
	given, generate it from :dimension.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (reference-point-alist): Doc fix.
	(encode-composition-rule, decode-composition-rule):
	Handle a rule (GREF NREF XOFF YOFF).

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/european.el (diacritic-composition-function): Fix for
	the case that POS is at the head.  Allow combining with more characters.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Check `charset' property.
	Show the code point in the charset in hexadigits.

	* international/mule-diag.el (stretches-for-character-list):
	Delete it.
	(list-block-of-chars): Use tabs instead of `display' property for
	aligning characters.
	(print-fontset-element): Fix the printing of XLFD.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-self-insert-utf-8):
	New function.
	(encoded-kbd-setup-keymap, encoded-kbd-mode): Add code for
	handling utf-8.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* faces.el (read-face-font): Include fontsets in the completion list.

	* international/mule-cmds.el (set-locale-environment):
	Insert locale-translation-file-name in a unibyte buffer.

	* international/characters.el: Fix setting of category `|'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/chinese.el (chinese-gb18030): Fix :charset-list.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system): Fix for
	the case that the first element of default-coding-system is t.
	Fix a message when some coding systems are rejected.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment): Put
	higher priority to charsets listed in `charset' property of the
	language environment.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-compose-chars): Don't do unnecessary
	save-exclusion and save-restriction.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (ctext-no-compositions):
	Remove garbage arguments.

	* international/mule.el (make-coding-system): Fix generation of
	properties.

	* international/fontset.el (setup-default-fontset): Specify fonts
	for `symbol' script.

	* international/characters.el (script-list): Include `currency'
	in `symbol'.

2008-02-01  Alex Schroeder  <alex@gnu.org>

	* timezone.el (timezone-parse-date): Fix style 8 to accept ISO
	8601 format (a capital T between the date and the time).

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (private-char-area-1-min)
	(private-char-area-1-max, private-char-area-2-min)
	(private-char-area-2-max, emacs-mule-charset-table): New variables.
	(convert-define-charset-argument): New function.
	(define-charset): Handle the old calling style.
	Update emacs-mule-charset-table.
	(make-char-internal): New function.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* w32-charset-info-alist: Define iso10646-1 always.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (compose-region): Doc fix (delete duplicated line).

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix syntax for Ethiopic.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (w32-charset-info-alist): Accept more charset aliases.

	* makefile.w32-in (DONTCOMPILE): Remove old languages.
	Add international/latin1-disp.el.
	(LC_ALL): Define as C.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el: Don't set fontsets to use sjis.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/japanese.el (iso-2022-jp, iso-2022-jp-2)
	(japanese-iso-8bit): Fix the order of charsets in :charset-list.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-composition-chunk-size): Delete variable.
	(auto-compose-chars): Always stop after processing a newline.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (define-coding-system): Fix attribute
	name :for-unibyte.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* ps-bdf.el: Largely re-write.

	* ps-mule.el: Largely re-write.

	* ps-print.el (ps-generate-string-list): Delete function.
	(ps-rh-cache, ps-lf-cache, ps-rf-cache): Delete variables.
	(ps-header-footer-string): Delete function.
	(ps-encode-header-string-function): New variable.
	(ps-generate-header-line): Call ps-encode-header-string-function.
	(ps-basic-plot-string-function): New variable
	(ps-begin-job): Set ps-basic-plot-string-function and
	ps-encode-header-string-function.  For setting up headers and
	footers, don't use caches such as ps-rh-cache.  Don't call
	ps-mule-begin-page.
	(ps-basic-plot-str, ps-basic-plot-string, ps-control-character):
	Don't call ps-mule-prepare-ascii-font.
	(ps-plot-region): Don't pay attention to composition and
	non-ASCII characters.
	(ps-generate): Call ps-mule-end-job.
	(ps-mule-prepare-ascii-font, ps-mule-set-ascii-font)
	(ps-mule-plot-string, ps-mule-begin-page): Delete autoload.
	(ps-mule-end-job): Declare autoload.

	* composite.el (auto-compose-region): New function.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-util.el
	(detect-coding-with-language-environment): Doc fix.

	* composite.el: Doc fixes.
	(auto-compose-chars): Use functionp, not fboundp.

	* international/mule-diag.el (list-charset-chars): Set buffer file
	coding system.

	* progmodes/cap-words.el (capitalized-words-mode): Add autoload
	cookie.  Doc fix.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-diag.el (list-charset-chars): Set buffer file
	coding system.

	* progmodes/cap-words.el (capitalized-words-mode): Add autoload
	cookie.  Doc fix.

	* textmodes/tex-mode.el (tex-font-lock-syntactic-face-function):
	* progmodes/sh-script.el (sh-font-lock-syntactic-face-function):
	* progmodes/perl-mode.el (perl-font-lock-syntactic-face-function):
	* eshell/esh-opt.el (eshell-process-option):
	* emulation/keypad.el (keypad-setup):
	* emacs-lisp/lisp-mode.el (prin1-char):
	* emacs-lisp/generic.el (generic-mode-set-comments):
	* edmacro.el (edmacro-parse-keys):
	* disp-table.el (standard-display-default): Use characterp.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-16-be): Make it an alias of
	utf-16be-with-signature.
	(utf-16-le): Make it an alias of utf-16le-with-signature.
	(utf-16-be-with-signature, utf-16-le-with-signature): Remove these
	coding system aliases.

	* international/utf-7.el (utf-7-decode, utf-7-encode):
	Use utf-16be, not utf-16-be.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (coding-system-category): New function.
	(set-coding-priority): Re-write.
	(make-translation-table): Re-write.

	* international/mule-cmds.el (universal-coding-system-argument):
	Check the coding system type `undecided', not `t'.
	(sort-coding-systems): Fix for iso-2022 coding systems.
	(find-multibyte-characters): Fix for eight-bit chars.
	(set-language-environment): Set charset priorities according to
	the charsets supported by the coding systems of higher priorities.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* font-lock.el
	(font-lock-match-c-style-declaration-item-and-skip-to-next):
	Check (match-end 2) before going there.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (ctext-non-standard-designations-alist):
	Exclude entries for iso8859-1[03456].  Fix docstring.
	(ctext-pre-write-conversion): Make it work for the case that FROM
	is a string.  Don't do unnecessary save-restriction and
	narrow-to-region.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (ctext-non-standard-encodings-alist):
	Rename from non-standard-icccm-encodings-alist.
	(ctext-non-standard-encodings-regexp): New variable
	(ctext-post-read-conversion): Full rewrite.
	(ctext-non-standard-designations-alist): Rename from
	non-standard-designations-alist.
	(ctext-pre-write-conversion): Full rewrite.
	(define-coding-system): Doc fix (escape '"' by '\').

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (utf-16le, utf-16be-16be)
	(utf-16le-with-signature, utf-16be-with-signature, utf-16):
	Define :mime-text-unsuitable.  Rename `utf-16{b,l}e...' from
	`-16-{b,l}e-' and define aliases for the old names.

	* international/mule.el (define-coding-system): Doc fix.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/utf-7.el: New file.

	* international/mule-conf.el (utf-7): New.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-16): Add :endian 'big.

	* international/mule.el (define-coding-system): Fix docstring
	about :bom and :endian.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-diag.el (describe-character-set):
	Fix printing dimensions.  Use `,AW(B', not `x'.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el: Register CDAC fonts in
	face-font-rescale-alist instead of face-resizing-fonts.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-16-le): Rename from utf-16-le-nosig.
	(utf-16-be): Rename from utf-16-be-nosig.
	(utf-16-le-with-signature): Rename from utf-16-le.
	(utf-16-be-with-signature): Rename from utf-16-be.
	(utf-16): Set :bom to (utf-16-le-with-signature .
	utf-16-be-with-signature).

2008-02-01  Dave Love  <fx@gnu.org>

	* language/georgian.el (georgian-ps, georgian-academy): New coding
	system.

	* language/chinese.el (chinese-big5-hkscs): New coding system.
	(big5-hkscs, cn-big5-hkscs): New aliases.

	* international/mule-conf.el (big5-hkscs, georgian-academy):
	New charset.
	(ibm1047): Doc fix.
	(pt154): Add mime-charset.
	(ptcp154, cp154): New aliases.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule.el (charset-iso-final-char, define-coding-system):
	Doc fix.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/ccl.el (define-ccl-program): Fset charset-id
	to charset-id-internal temporarily.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (list-block-of-chars):
	Use decode-char instead of make-char.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el: Enable the default fontset to use
	unicode fonts for ASCII characters.
	(x-decompose-font-name): Don't try to resolve PATTERN by
	x-resolve-font-name.
	(x-complement-fontset-spec): Never prepend an ASCII font.
	(create-fontset-from-fontset-spec): If a fontset of the same name
	already exists, override it instead of signalling an error.  Don't
	turn `ascii' into `latin'.  Don't update fontset-alias-alist here.

	* international/mule-conf.el (unicode-bmp): Delete duplicated
	definition.  Give it :code-offset 0.

	* international/mule-diag.el (print-fontset-element): New function.
	(print-fontset): Use print-fontset-element to print the elements
	of a fontset.  Use it also to print fonts fallen back to the
	default fontsets.

	* term/x-win.el: Delete the code to create a fontset from the X
	resource "Font".

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (print-fontset): Insert proper
	newline and indentation spaces.

2008-02-01  Dave Love  <fx@gnu.org>

	* emacs-lisp/byte-opt.el (side-effect-free-fns): Add langinfo,
	multibyte-char-to-unibyte.

	* emacs-lisp/cl-macs.el (cl-make-type-test): Use characterp.

	* international/mule-cmds.el (find-coding-systems-for-charsets):
	Use coding-system-type, coding-system-charset-list.
	(standard-keyboard-coding-systems): Delete.
	(set-locale-environment): Maybe set keyboard coding system.
	Avoid typical warning about codeset in C locale.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el (x-complement-fontset-spec): If a
	fontname doesn't conform to XLFD format, try to get XLFD name by
	x-list-fonts.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (mik, pt154): New charsets.

	* language/cyrillic.el (mik, pt154): New coding systems.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/characters.el: Move parts around so that syntax
	definitions aren't overwritten wrongly.

	* international/mule-diag.el (unicode-data): Fix treatment of
	numeric-value fields.

2008-02-01  Dave Love  <fx@gnu.org>

	* progmodes/cap-words.el: New file.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	The following changes are to make character composition happen
	automatically on displaying.

	* composite.el: Remove all autoload cookies.
	(composition-function-table): Move variable declaration from
	composite.c.  Change format.
	(save-buffer-state): Copy from font-lock.el.
	(auto-composition-chunk-size): New variable.
	(auto-compose-chars): New function.  Set
	auto-composition-function to it.
	(toggle-auto-composition): New function.

	* international/characters.el: Make all chararacters in the
	charset tibetan to tibetan script.

	* international/mule-conf.el (tibetan): Fix :code-space property.
	(tibetan-1-column): Delete :superset property, add :code-offset
	property.

	* international/quail.el (quail-input-string-to-events): Don't
	generate compose-chars-after events.

	* language/devanagari.el: Register devanagari-composable-function
	in composition-function-table for Devanagari characters.

	* language/devan-util.el: Register devanagari-composable-pattern
	in indian-composable-pattern.
	(devanagari-composition-function): Add autoload cookie.  Change
	arguments to conform to composition-function-table.

	* language/european.el: Register combining characters in
	composition-function-table.
	(diacritic-composition-function): Change arguments to conform to
	composition-function-table.

	* language/indian.el (indian-composable-pattern): New variable.

	* language/ind-util.el (indian-compose-region): Don't call
	compose-chars-after, instead call a function registered in
	composition-function-table.

	* language/lao.el: Register lao-composition-function in
	composition-function-table for Lao vowels and tones.
	(lao): Don't use lao-post-read-conversion.

	* language/lao-util.el (lao-post-read-conversion): Delete this function.
	(lao-composition-function): Change arguments to conform to
	composition-function-table.

	* language/thai.el: Register thai-composition-function in
	composition-function-table for Thai vowels and tones.
	(thai-tis620): Don't use thai-post-read-conversion.

	* language/thai-util.el (thai-post-read-conversion): Delete function.
	(thai-composition-function): Change arguments to conform to
	composition-function-table.

	* language/tibetan.el: Register tibetan-composition-function in
	composition-function-table for Tibetan characters.

	* language/tibet-util.el (tibetan-composition-function):
	Change arguments to conform to composition-function-table.

	* loadup.el: Load composite.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-diag.el (unicode-data): Find unicodedata-file
	literally.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/fontset.el: Doc fixes.
	("fontset-default"): Add iso8859-15.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el ("fontset-default"): Add an entry for
	`indian-is13194' charset.

	* international/mule-conf.el (indian-is13194): Delete :unify-map
	property.  Don't unify this charset.
	(indian-2-column): Delete :superset property, add :code-offset property.

	* language/devan-util.el: Delete the superfluous autoload cookie
	near the head of the file.
	(devanagari-compose-region): Add autoload cookie.

	* language/ind-util.el (indian-2-column-to-ucs-region):
	Add autoload cookie.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el ("fontset-default"): Add an entry for
	`devanagari' script and `malayalam-glyph' charset.
	(face-resizing-fonts): Register CDAC fonts.

	* international/mule-conf.el (malayalam-glyph): New charset.

2008-02-01  Dave Love  <fx@gnu.org>

	* term/x-win.el: Fix typo in loop setting x-keysym-table.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (utf-8-emacs): Delete :mime-charset.

	* term/x-win.el: Remove some ancient compatibility code.  Populate
	x-keysym-table.

	* international/mule-cmds.el (wid-edit): Require when compiling.
	(set-locale-environment): Check locale against coding system
	aliases too.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (in-is13194-devanagari):
	Fix :post-read-conversion and :pre-write-conversion.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (charset): Supply doc, :tag.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* emacs-lisp/bytecomp.el (byte-compile-lapcode): Be sure to
	return a unibyte string.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-locale-environment):
	Delete superfluous ')'s at the tail.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (define-coding-system): Fix typo;
	"docode" -> "decode".

2008-02-01  Dave Love  <fx@gnu.org>

	* emacs-lisp/byte-opt.el (side-effect-free-fns):
	 Add string-make-unibyte string-make-multibyte string-to-multibyte
	 string-as-multibyte string-as-unibyte.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/english.el (ibm1047, cp1047): New.

	* international/mule-conf.el (alternativnyj): Use new table.
	(cp866): Define standalone, not as alias.
	(ibm866): Change alias.
	(ibm1047): New.

	* language/cyrillic.el (cyrillic-alternativnyj):
	Remove mime-charset.  Use alternativnj charset.
	(cp866): Remove alias.  Define standalone.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/european.el ("Latin-2", "Latin-5"): Doc fix.

	* language/cyrillic.el ("Bulgarian"): Fix input method and charset.
	("Tajik", "Belarusian"): Fix charset.

	* international/mule-cmds.el (describe-language-environment):
	Be case-insensitive when looking for input methods.
	(locale-name-match): Doc fix.
	(locale-charset-match-p): New.
	(set-locale-environment): Warn if coding system doesn't agree
	with system locale.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system): If
	:mime-charset property of a coding system is not equal to that
	coding system, don't show that :mime-charset name.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/quail.el (quail-help): Fix underlining.

	* language/chinese.el (chinese-gb18030, gb18030)
	("Chinese-GB18030"): New.

	* international/mule-cmds.el (locale-language-names): Add GB18030.

	* international/swedish.el: Don't require latin-1.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/czech.el ("Czech"):
	* language/slovak.el ("Slovak"):
	* language/romanian.el ("Romanian"): Remove unibyte-syntax property.

	* language/greek.el ("Greek"): Remove unibyte-syntax property.
	(cp737): New coding system.

	* language/european.el: Remove unibyte-syntax properties.
	Augment some coding-system properties.

	* international/mule-cmds.el (set-language-environment):
	Check for charset property of environment.
	(language-info-alist): Doc fix.

	* Makefile.in (DONTCOMPILE): Remove latin-N.el.

	* international/characters.el: Add Latin-1.

	* international/latin-1.el, international/latin-2.el,
	* international/latin-3.el, international/latin-4.el,
	* international/latin-5.el, international/latin-8.el,
	* international/latin-9.el: Delete.

	* loadup.el: Remove international/latin-N.el.

	* case-table.el (set-case-syntax-charset, set-case-syntax-1)
	(set-case-syntax-delims, set-case-syntax-pair, set-case-syntax):
	Undo last changes.

	* international/mule-diag.el (unicode-data): Check that
	`unicodedata-file' exists.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (charset-script-alist): Fix script names.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* international/latin-1.el: Bind set-case-syntax-charset to
	iso-8859-1.  Never provide latin-1.

	* international/latin-2.el: Bind set-case-syntax-charset to
	iso-8859-2.  Never provide latin-2.

	* international/latin-3.el: Bind set-case-syntax-charset to
	iso-8859-3.  Never provide latin-3.

	* international/latin-4.el: Bind set-case-syntax-charset to
	iso-8859-4.  Never provide latin-4.

	* international/latin-5.el: Bind set-case-syntax-charset to
	iso-8859-9.  Never provide latin-5.

	* international/latin-8.el: Bind set-case-syntax-charset to
	iso-8859-14.  Never provide latin-8.

	* international/latin-9.el: Bind set-case-syntax-charset to
	iso-8859-15.  Never provide latin-9.

	* case-table.el (set-case-syntax-set-multibyte): Delete variable.
	(set-case-syntax-charset): New variable.
	(set-case-syntax-1): New function.
	(set-case-syntax-delims, set-case-syntax-pair, set-case-syntax):
	Call set-case-syntax-1 on arguments.

	* international/mule-cmds.el (set-language-environment): Delete
	unnecessary setup of syntax/case for unibyte case.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el (generate-fontset-menu): Exclude the
	default fontset.

	* faces.el (describe-face): Describe :fontset property too.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/characters.el: Don't set char width of CJK
	charsets generally.  Add some non-word syntax cases.
	(korean-ksc5601): Fix ranges with symbol syntax.

2008-02-01  Dave Love  <fx@gnu.org>

	* Makefile.in (DONTCOMPILE): Add indian.el.

	* language/ind-util.el:
	(ucs-bengali-to-is13194-alist, ucs-assamese-to-is13194-alist)
	(ucs-gurmukhi-to-is13194-alist, ucs-gujarati-to-is13194-alist)
	(ucs-oriya-to-is13194-alist, ucs-tamil-to-is13194-alist)
	(ucs-telugu-to-is13194-alist, ucs-malayalam-to-is13194-alist):
	Remove declarations and let-bind them in re-written top-level loop
	over scripts, including ucs-devanagari-to-is13194-alist.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (charset): Move.
	(language-info-custom-alist): Move.  Alter :set.
	(find-coding-systems-for-charsets): Check charset type before
	getting :charset-list.

	* language/ind-util.el (iscii-to-ucs-region): Fix typo.

2008-02-01  Dave Love  <fx@gnu.org>

	* wid-edit.el (widget-string-complete): New.
	(widget-coding-system-prompt-value-history): Delete.
	(coding-system): Use coding-system-value-history.

	* international/mule-cmds.el (charset): New widget.
	(language-info-custom-alist): Use it.
	(default-input-method): Modify :type.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/ind-util.el (ucs-devanagari-to-is13194-alist)
	(indian-glyph-char, indian-char-glyph): Delete.
	(is13194-default-repertory): Rename from is13194-default-repartory.
	(iscii-to-ucs-region): Hoist evals from loop.

	* language/devan-util.el (dev-charseq): Avoid indian-glyph-char.

	* language/indian.el (indian-script-table)
	(ccl-encode-indian-glyph-font): Delete.

	* international/mule-cmds.el (language-info-custom-alist): New.
	(input-method-activate-hook, input-method-inactivate-hook)
	(input-method-after-insert-chunk-hook)
	(input-method-use-echo-area, set-language-environment-hook)
	(exit-language-environment-hook): Customize.
	(find-coding-systems-for-charsets): Rewrite.
	(default-input-method): Add :link.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (eight-bit): Add :docstring,
	:short-name properties.
	(cp851): Doc fix.
	(unicode-bmp): New.

	* case-table.el (set-case-syntax-pair): Remove check on byte lengths.

	* language/european.el (cp858): New.
	("Turkish"): Add special case rules.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/characters.el: Make ,_/(B and ,A(B a case pair.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-conf.el: Don't define the charset iso-8859-1
	here, just setup its properties.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-conf.el (utf-8): Give :mime-charset property.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Remove duplicated case setting for
	Cyrillic and Greek letters.  Don't setup printable-chars here.

	* case-table.el (describe-buffer-case-table): Handle the case
	that KEY is a cons within map-char-table.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Fix categories ?A and ?C.
	Treat ASCII characters as `latin' script.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el (fontset-plain-name): If the fontset
	name doesn't ends with "-fontset-*", use family name as the first
	part of the plain name.
	(create-fontset-from-ascii-font): If "fontset-startup" is not yet
	created, use that name for the fontset.  Fix arguments to
	subst-char-in-string.

2008-02-01  Dave Love  <fx@gnu.org>

	* term.el (term-char-mode): Remove generic-character-list code.

	* ruler-mode.el (ruler-mode-character-validate): Use characterp.

	* wid-edit.el (character): Use characterp.

	* international/mule-diag.el (describe-coding-system): Add utf-16 case.

	* language/viet-util.el (viet-encode-viscii-char): Use encode-char.

	* language/cyrillic.el ("Tajik", "Bulgarian", "Belarusian"):
	Add charset.
	("Ukrainian"): New.

	* language/georgian.el (georgian-ps): New coding system.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (reset-language-environment):
	Don't set nonascii-translation-table and nonascii-insert-offset.
	Call set-unibyte-charset, not set-primary-charset.
	(nonascii-translation-table, nonascii-insert-offset):
	Declare these variable as obsolete ones.
	(set-language-environment): Call set-unibyte-charset, not
	set-primary-charset.  Call set-charset-priority with `charset'
	info of the language environment.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el (next-word-boundary-han):
	Don't treat katakana following han characters as a part of a word.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Call map-charset-chars on big5 (not
	chinese-big5-1/2) to set categories `c', `C', and `|'.
	(next-word-boundary-han, next-word-boundary-kana): New function.
	Register it in next-word-boundary-function-table.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* arc-mode.el (archive-file-name-coding-system): New variable.
	Make it permanent-local.
	(byte-after, bref, insert-unibyte): New function.  Change most of
	char-after, aref, insert to them respectively.
	(archive-mode): Set archive-file-name-coding-system.
	(archive-summarize): Don't change the buffer's multibyteness.
	(archive-extract): Inherit archive-file-name-coding-system from
	archive-superior-buffer.  Bind coding-system-for-write to
	archive-file-name-coding-system.
	(archive-*-write-file-member): Encode ENAME by
	archive-file-name-coding-system.  Bind coding-system-for-write to
	no-conversion.
	(archive-rename-entry): Encode the filename by
	archive-file-name-coding-system.
	(archive-mode-revert): Don't change the buffer's multibyteness.
	(archive-arc-summarize, archive-lzh-summarize)
	(archive-zoo-summarize): Don't change the buffer's multibyteness.
	Decode filenames by archive-file-name-coding-system.
	(archive-arc-rename-entry, archive-zip-chmod-entry): Don't change
	the buffer's multibyteness.

	* tar-mode.el (tar-file-name-coding-system): New variable.
	Make it permanent-local.
	(tar-header-block-tokenize): Decode filename and linkname by
	tar-file-name-coding-system.
	(tar-header-block-checksum): Call multibyte-char-to-unibyte to get
	the byte value of eight-bit chars.
	(tar-summarize-buffer): Call set-buffer-multibyte with METHOD
	`to'.  Delete unnecessary call of position-bytes.
	(tar-mode): Set tar-file-name-coding-system.  Delete unnecessary
	call of position-bytes.
	(tar-extract): Simplify by calling decode-coding-region with
	DESTINATION argument.  Don't toggle multibyteness of tar buffer.
	(tar-copy, tar-expunge): Don't toggle multibyteness of tar buffer.
	(tar-clear-modification-flags): Delete unnecessary call of
	position-bytes.
	(tar-rename-entry): Call tar-alter-one-field with encoded new name.
	(tar-alter-one-field): Don't toggle multibyteness of tar buffer.
	Convert new-data-string by string-to-multibyte before inserting it.
	(tar-subfile-save-buffer): Don't toggle multibyteness of tar
	buffer.  Simplify by calling encoding-coding-region with
	DESTINATION argument.
	(tar-mode-write-file): Delete unnecessary call of byte-to-position.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/titdic-cnv.el (quail-cxterm-package-ext-info): Doc fix.

	* emacs-lisp/copyright.el (copyright-regexp): Remove redundancy.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Setup char-script-table.

	* international/fontset.el: Setup the default fontset by the new
	script-based way.
	(x-complement-fontset-spec): Change the format of arg FONTLIST to
	an alist of charsets vs font name lists.
	(charset-script-alist): New variable.
	(create-fontset-from-fontset-spec): Allow script name in
	FONTSET-SPEC.  If charset is specified in FONTSET-SPEC, change it
	to the corresponding script name.
	(create-fontset-from-ascii-font): Slight tuning.

	* international/mule-conf.el (devanagari-glyph): New charset.
	Unify these charsets: korean-ksc5601, ipa, tibetan, ethiopic,
	japanese-jisx0208, japanese-jisx0212, japanese-jisx0213-1,
	japanese-jisx0213-2.

	* international/mule-diag.el (print-fontset): Use describe-vector
	to handle a char table returned by fontset-info.

	* language/indian.el: Don't register ccl-encode-indian-glyph-font
	and ccl-encode-unicode-font in font-ccl-encoder-alist.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-util.el (detect-coding-with-priority):
	Fix the place of using `,' marker in backguote form.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (mule-unicode-e000-ffff): Set :max-code.

	* international/mule-util.el (with-coding-priority): Fix.

	* international/mule.el (set-coding-priority): Fix obsolete spec.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (leim-list-header): Add coding tag.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (find-coding-systems-region)
	(language-info-alist, reset-language-environment, princ-list): Doc fix.
	(input-method-verbose-flag): Fix :type.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule.el (set-char-table-default): Make obsolete.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/devanagari.el ("Devanagari"): Fix coding-system,
	coding-priority.

	* international/mule-diag.el (describe-char-after): Modify display
	list processing.
	(unicodedata-file, unicodedata-find): New.

2008-02-01  Dave Love  <fx@gnu.org>

	* emacs-lisp/bytecomp.el (batch-byte-compile-if-not-done): Add
	autoload cookie.

	* international/ja-dic-cnv.el (skkdic-convert): Add coding tag.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-util.el (detect-coding-with-priority): Rewrite.

2008-02-01  Dave Love  <fx@gnu.org>

	* composite.el (compose-string): Doc fix.

	* language/georgian.el ("Georgian"): Delete code-pages feature,
	add nonascii-translation.

	* language/european.el ("German", "French", "Spanish"):
	Add latin-9 as alternative coding system.
	("Slovenian", "Polish"): Add windows-1250 as alternative coding system.
	("Dutch"): Add latin-9 as alternative coding system.  Add input method.
	("Turkish"): Add windows-1254 and latin-3 as alternative coding systems.
	("Lithuanian", "Latvian"): Add windows-1257 as alternative coding
	system.

	* emacs-lisp/byte-opt.el (side-effect-free-fns): Add decode-char,
	encode-coding-char.
	(side-effect-and-error-free-fns): Add charsetp, max-char,
	primary-charset.

	* simple.el: Don't require cl when compiling.

	* Makefile.in (DONTCOMPILE): Fix duplicates.

	* emacs-lisp/bytecomp.el (byte-compile-insert-header): Fix typo.

	* international/mule.el: Doc fixes.
	(load-with-code-conversion): Fix coding-system-type test.

	* international/mule-cmds.el (sort-coding-systems): Comment out
	iso-2022 case.
	(encoded-string-description): Fix coding-system-type test.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/characters.el: Make korean-ksc5601 double-width.

	* international/mule.el (auto-coding-regexp-alist):
	Recognize Emacs 20/1 byte-compiled files.

	* international/mule-conf.el (file-coding-system-alist):
	Change .elc to utf-8-emacs.

	* emacs-lisp/bytecomp.el (byte-compile-fix-header): Adjust for use
	of utf-8-emacs.
	(byte-compile-insert-header): Update magic number.  Add ballast.
	(map-char-table): Use byte-compile-funarg-2.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/cyrillic.el ("Belarusian"): Doc fix.
	(cp1125, koi8-t): Doc fix.

	* international/mule-cmds.el (find-multibyte-characters): Doc fix.
	(find-multibyte-characters): Don't test for charset `unknown'.
	(locale-language-names): Change or add: be, bs, cy, mk, ru.koi8,
	ru, sr_YU, tg, wa, zh.gbk.
	(locale-language-names): Change sp to Cyrillic.
	(locale-charset-language-names): Match @euro after utf-8.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/chinese.el (chinese-gbk, gbk, cp936, windows-936):
	New coding systems.
	("Chinese-GBK"): New environment.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/chinese.el (chinese-gbk, gbk, cp936, windows-936):
	New coding systems.
	("Chinese-GBK"): New environment.

	* language/thai-util.el: Remove redundant unicodes in category-setting.

	* language/lao-util.el: Remove redundant unicodes in category-setting.

	* international/mule-conf.el (japanese-jisx0213-1)
	(japanese-jisx0213-2): Add unify-map.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/quail.el (quail-update-leim-list-file):
	Force writing the file by iso-2022-7bit.

	* international/titdic-cnv.el (miscdic-convert): Force writing the
	file by iso-2022-7bit.

	* international/mule.el (define-charset): Change the attribute
	:parents to :subset or :superset.

	* international/mule-conf.el: Adjust for the change of
	define-charset (:parent -> :subset or :superset).

	* international/characters.el: Fix the last change.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/cyril-util.el (cyrillic-encode-koi8-r-char)
	(cyrillic-encode-alternativnyj-char): Fix.
	(standard-display-cyrillic-translit): Remove redundant unicodes.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/cyrillic.el ("Tajik", "Bulgarian", "Belarusian"):
	New environments.

	* international/mule-conf.el (control-1): New charset.
	(eight-bit-control, eight-bit-graphic): Redefine to use raw-bytes space.
	(korean-ksc5601): Redefine to use code-offset and unify-map.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (tcvn-5712): New charset.

	* language/vietnamese.el (vietnamese-tcvn, tcvn): New coding system.
	("Vietnamese"): Doc fix.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (windows-936): New alias.

	* cus-start.el: Add scalable-fonts-allowed.

	* international/characters.el: Reinstate various CJK syntax and
	category setup.  Remove obsolete syntax setting in Greek section.
	Optimize the char tables.

	* language/thai.el ("Thai"): Add cp874, iso-8859-11 coding systems.

	* language/vietnamese.el ("Vietnamese"): Add windows-1258 coding system.

	* language/greek.el ("Greek"): Add windows-1253, cp851, cp869
	coding systems.

	* language/romanian.el ("Romanian"): Add iso-latin-10 coding system.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el (printable-chars): Setup correctly.

2008-02-01  Dave Love  <fx@gnu.org>

	* cus-start.el: Add selection-coding-system.

	* language/hebrew.el ("Hebrew"): Add windows-1255, cp862 coding systems.

	* language/china-util.el (post-read-decode-hz)
	(pre-write-encode-hz): Move from chinese.el.
	(big5-to-flat-code, flat-code-to-big5, euc-to-flat-code)
	(flat-code-to-euc, expand-euc-big5-alist, big5-to-cns): Delete.

	* language/chinese.el (post-read-decode-hz)
	(pre-write-encode-hz): Move to china-util.el.

	* case-table.el (set-case-syntax-pair): Test again for equal byte
	lengths of the pair.

	* international/characters.el: Add Vietnamese category to
	equivalent unicodes.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (chinese-sisheng, ipa)
	(indian-is13194, tibetan, ethiopic): Add :unify-map.

	* international/mule-diag.el (describe-character-set): Account for
	more than two dimensions of possibly different size.
	(describe-current-coding-system): Add selection-coding-system.

	* international/mule-cmds.el (unify-8859-on-encoding-mode)
	(unify-8859-on-decoding-mode): Move from mule.el.

	* international/mule.el (unify-8859-on-encoding-mode)
	(unify-8859-on-decoding-mode): Remove :init-value.
	(charset-chars): Add optional dimension arg.
	(unify-8859-on-encoding-mode, unify-8859-on-decoding-mode):
	Move to mule-cmds.el.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el: Change registry for japanese-jisx0208
	to "JISX0208*" in the default fontset.
	(font-encoding-alist): Add an entry for "JISX0208.1983" and
	"ISO10646.indian-1".

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* language/japanese.el (japanese-iso-7bit-1978-irv):
	Add `designation' to :flags, `ascii' to :charset-list.

	* international/mule.el (define-charset): New args :min-code and
	:max-code.
	(coding-system-iso-2022-flags): Add use-roman, use-oldjis.

	* international/mule-conf.el (chinese-gbk): Change :code-offset to
	#x160000.
	(gb18030-2-byte, gb18030-4-byte-bmp, gb18030-4-byte-smp)
	(gb18030-4-byte-ext-1, gb18030-4-byte-ext-2, gb18030): New charsets.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/thai.el (iso-8859-11): New coding system.

	* international/mule-conf.el: Doc fixes.
	(iso-8859-11): New.

2008-02-01  Dave Love  <fx@albion.dl.ac.uk>

	* cus-start.el (scalable-fonts-allowed): Add.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule.el (unify-8859-on-encoding-mode)
	(unify-8859-on-decoding-mode): Dummy versions.

	* international/ucs-tables.el: Remove.

	* Makefile.in (DONTCOMPILE): Add language/chinese.el,
	language/japanese.el.

	* international/mule-conf.el: Doc fixes.
	(cp936): New alias.
	(cp720, cp858): New charsets.

	* mail/sendmail.el (mail-recover-1, mail-recover): Use utf-8-emacs
	coding system, not emacs-mule.

	* files.el (revert-buffer, recover-file): Likewise.

	* desktop.el (desktop-save): Likewise.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule.el (with-category-table): Use make-symbol.
	(coding-system-list): Use coding-system-aliases.
	(make-translation-table): Don't deal with generic characters.

	* international/mule-util.el (coding-system-post-read-conversion)
	(coding-system-pre-write-conversion)
	(coding-system-translation-table-for-decode)
	(coding-system-translation-table-for-encode): Get the right properties.
	(with-coding-priority): New macro.
	(detect-coding-with-language-environment): Use it.
	(coding-system-equal): Use coding-system-plist.

	* international/encoded-kb.el (encoded-kbd-setup-keymap) <ccl>:
	Use :valid property.

	* international/mule-cmds.el (encode-coding-char):
	Use find-coding-systems-string.  Don't use make-char.
	(describe-language-environment): Use coding-system-aliases.
	(prefer-coding-system): Doc fix.

	* international/mule-diag.el (describe-current-coding-system):
	Fix aliases listing.
	(print-iso-2022-flags): Delete.
	(print-designation): Partial re-write.
	(describe-coding-system): Deal with iso-2022 designations, flags.
	Fix shift_jis case.
	(describe-char-after): Use characterp.  Print explicit unicode.
	Remove some obsolete code.
	(print-coding-system-briefly): Fix printing aliases.
	(print-coding-system): Use coding-system-aliases.
	(mule-diag): Don't list coding categories.

	* international/mule-conf.el: Doc fixes.  Remove redundant :long-name properties.
	Re-order charset priorities.
	(binary): New alias.
	(iso-8859-16): Fix nickname.
	(define-iso-single-byte-charset): Un-define after use.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/characters.el: Additional double width specifications.

	* international/mule-diag.el (print-coding-system): Incomplete updates.
	(describe-character-set): List more properties.
	(print-fontset): Fix case of vector font-spec.
	(describe-current-coding-system): Fix iso-7, iso-7-else.

	* international/mule-conf.el (ibm866): Fix alias.
	(iso-8859-16): Fix nickname.

2008-02-01  Dave Love  <fx@gnu.org>

	* language/ind-util.el: Avoid decode-char.
	(indian--puthash-char, indian--puthash-c, indian--puthash-cv):
	Use characterp, not char-valid-p.

	* language/devan-util.el: Add coding tag, avoid decode-char.

	* international/titdic-cnv.el: Add coding tag.
	(tit-process-header): Add coding tag to output.

	* language/thai.el (cp874, ibm874): New coding systems.

	* emacs-lisp/byte-opt.el <side-effect-and-error-free-fns>:
	Add character-p.

	* language/european.el (cp852, ibm852, cp857, ibm857, cp860)
	(ibm860, cp861, ibm861, cp863, cp865, ibm865, cp437, ibm437):
	New coding systems.
	<set-language-info-alist>: Avoid decode-char.

	* language/hebrew.el (cp862, ibm862): New coding systems.

	* language/greek.el (cp851, ibm851, cp869, ibm869): New coding systems.

	* language/cyrillic.el (cp855, ibm855): New coding systems.

	* international/mule-conf.el: Avoid decode-char in top-level code
	for self-inserting multibyte chars.
	(cp437, cp737, cp775, cp851, cp852, cp855, cp857, cp855, cp857)
	(cp860, cp861, cp862, cp863, cp864, cp865, cp869, cp874):
	New charsets.

	* international/characters.el: Various simplifications and additions.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (code-pages): Provide, for compatibility.

	* international/code-pages.el: Remove.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* Makefile.in: Cancel the 2008-02-01 change of mine.

	* international/fontset.el: Add setting for unicode font at the
	end of the default fontset.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-conf.el (adobe-standard-encoding, symbol):
	Adjust :code-space.
	(ibm850): Add :ascii-compatible-p.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-conf.el (vietnamese-viscii-lower)
	(vietnamese-viscii-upper): Supply them :code-offset, then unify by
	mapping table.

2008-02-01  Dave Love  <fx@gnu.org>

	* cus-start.el: Add charset-map-directory.

	* international/fontset.el (font-encoding-alist): Add adobe-symbol.

	* format.el (format-alist): Remove ibm, mac, hp entries (available
	natively).

	* language/romanian.el (iso-latin-10): Add :mime-charset.
	("Romanian"): Add doc.

	* international/mule-conf.el (iso-8859-10, symbol)
	(adobe-standard-encoding, ibm850): New charsets.
	(iso-8859-13): Fix IR number, final char.
	(file-coding-system-alist): Add .xml.

	* language/european.el (iso-latin-6, iso-8859-10, latin-6)
	(iso-latin-7, iso-8859-13, latin-7, hp-roman8, roman8)
	(adobe-standard-encoding, cp850, ibm850): New coding systems.
	("Latin-6", "Latin-7"): New language environments.

2008-02-01  Dave Love  <fx@gnu.org>

	* Makefile.in (DONTCOMPILE): Remove ucs-tables, utf-8,
	utf-8-subst; add vietnamese, cyrillic, czech.

	* language/romanian.el (iso-latin-10): New coding system.

	* international/mule-conf.el (emacs-mule): Set :charset-list,
	consistent with coding-system-charset-list doc.
	(iso-8859-16): New charset.

	* international/mule-diag.el (describe-coding-system): Avoid error
	for iso-2022, emacs-mule.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/codepage.el: Remove or comment out most of code.
	(codepage-setup): Re-write as trivial, obsolete function.

	* language/utf-8-lang.el ("UTF-8"): Use utf-8, not mule-utf-8.
	Remove setup function.

	* language/english.el (ebcdic-us, ebcdic-uk): New coding systems.

	* Makefile.in (DONTCOMPILE): Add language/vietnamese.el,
	language/cyrillic.el, language/czech.el.

	* language/vietnamese.el (windows-1258, cp1258): New coding systems.
	(font-ccl-encoder-alist): Remove viscii, vscii.

	* language/hebrew.el (windows-1255, cp1255): New coding systems.

	* language/european.el (windows-1254, cp1254, windows-1257)
	(cp1257, next, iso-latin-7, iso-8859-13, latin-7): New coding systems.
	("Latin-7", "Lithuanian", "Latvian"): Don't require code-pages.

	* language/greek.el (windows-1253, cp1253): New coding systems.

	* international/mule-conf.el (ebcdic-us, ebcdic-uk): Change map
	file name.
	(windows-1253, windows-1254, windows-1255, windows-1256)
	(windows-1257, windows-1258, next): New charsets.

	* international/utf-8.el, international/utf-8-subst.el: Remove.

	* international/mule.el: Doc fixes.
	(charset-list, generic-char-p, set-coding-priority): Make obsolete.
	(coding-system-get): Try to convert old-style symbol to keyword.
	(define-charset): Purecopy strings in property list.
	(define-coding-system): Purecopy docstring.

	* international/mule-diag.el (list-character-sets-2): Avoid
	charset-bytes.
	(list-iso-charset-chars, list-non-iso-charset-chars): Delete.
	(list-block-of-chars): Re-write.
	(describe-character-set): Show more properties.
	(describe-char-after): Correct codepoint display.
	(print-coding-system): Use symbolic types.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* Makefile.in: Be sure also to run emacs with LANG=C.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-diag.el: Doc fixes.
	(sort-charset-list, charset-multibyte-form-string): Remove.
	(list-character-sets, list-character-sets-1)
	(list-character-sets-2): Re-write.
	(non-iso-charset-alist): Set to nil and made obsolete.
	(decode-codepage-char): Re-write and made obsolete.
	(read-charset): Don't use non-iso-charset-alist.
	(describe-coding-system): Use keyword properties.
	(describe-character-set): Re-write.

	* international/mule-conf.el (koi8-u, koi8-t, georgian-ps)
	(windows-1250, windows-1251, windows-1252, cp1125, ebcdic-us)
	(ebcdic-uk): New charsets.

	* language/cyrillic.el (koi8-u, koi8-t, windows-1251, cp1125):
	New coding systems.

	* language/european.el (windows-1252): New coding system.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* Makefile.in: By sure to run emacs with LC_ALL=C.

	* international/encoded-kb.el (encoded-kbd-handle-8bit): Call
	encoded-kbd-self-insert-iso2022-8bit with argument 1.
	(encoded-kbd-self-insert-charset): New function.
	(encoded-kbd-setup-keymap, encoded-kbd-mode): Handle a
	coding-system of type charset.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (set-locale-environment): Comment out
	set-keyboard-coding-system stuff.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (define-coding-system): Doc fix;
	sjis->shift-jis.

	* international/mule-conf.el: Use decode-char instead of make-char.

	* international/encoded-kb.el (encoded-kbd-self-insert-iso2022-8bit):
	New arg ARG.  Directly call self-insert-command.  This is a
	temporary workaround to make it work with latin-1.
	(encoded-kbd-mode): Change `sjis' to `shift-jis'.

	* international/characters.el: Setup char-width-table for CJK
	characters.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/ja-dic-utl.el (skkdic-jisx0208-hiragana-block):
	Fix the initial value to specify character range of
	japanese-jisx0208, not unicode.

	* international/characters.el: Set syntax/category for
	japanese-jisx0208.

2008-02-01  Dave Love  <fx@gnu.org>

	* mail/sendmail.el (sendmail-send-it): Use :mime-charset, not
	mime-charset.

	* language/vietnamese.el, language/korean.el, language/japanese.el:
	* language/hebrew.el, language/greek.el, language/chinese.el:
	Fix :mime-charset properties.

	* language/cyrillic.el (cyrillic-iso-8bit, cyrillic-koi8)
	(cyrillic-alternativnyj): Fix :mime-charset.
	(cp878, cp866): New alias.

	* language/european.el: Fix mime-charset properties.

	* international/mule-cmds.el (sort-coding-systems)
	(select-safe-coding-system, select-message-coding-system): Use
	:mime-charset, not 'mime-charset.

	* international/mule-conf.el: Add various :mime-charset properties.

2008-02-01  Dave Love  <fx@gnu.org>

	* international/encoded-kb.el (encoded-kbd-self-insert-ccl): Fix
	getting decoder.
	(encoded-kbd-mode): Fix code for coding system type and designations.

	* international/mule-conf.el: Spelling fixes.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el (fontset-plain-name): Handle the case
	that size, weight, slant are not specified in the fontset name.

2008-02-01  Yong Lu  <lyongu@asia-infonet.com>

	* language/greek.el (greek-iso-8bit): Fix typo.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* language/chinese.el (chinese-big5): Change :coding-type to `charset'.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Change encoding to utf-8-emacs.
	Remove apparent duplicate codes.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el: Change the registry for
	chinese-gb2312 and add the registry for chinese-gbk.

	* international/mule.el (charset-chars): Fix typo.

	* international/mule-conf.el (chinese-gbk): New charset.

	* international/titdic-cnv.el (titdic-convert): Read into a
	unibyte buffer then make the buffer multibyte.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-conf.el (utf-16-le, utf-16-be): Use :bom attribute
	instead of :signature.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* language/czech.el ("Czech"): Set `iso-8859-2' for
	`nonascii-translation'.

	* language/romanian.el ("Romanian"): Likewise.

	* language/slovak.el ("Slovak"): Likewise.

	* international/characters.el: Optimize calls of modify-category-entry.

2008-02-01  Kenichi Handa  <handa@etl.go.jp>

	* bindings.el: Don't bind multibyte characters to
	self-insert-command here.  It's done in mule-conf.el.

	* case-table.el (set-case-syntax-offset): Delete variable.
	(set-case-syntax-1): Delete function.  Change callers.
	(set-case-syntax-delims): Don't check byte length of characters.

	* isearch.el (isearch-mode-map): Call set-char-table-range to bind
	characters to isearch-printing-char.

	* loadup.el: Don't load "international/utf-8".  Don't call
	update-coding-systems-internal.  Bind coding-system-for-write to
	`utf-8' while writing fns-XXX.el.  Call clear-charset-maps before
	dumping.

	* emacs-lisp/regexp-opt.el (regexp-opt-charset): Adjust for the
	change of map-char-table.

	* eshell/esh-mode.el: Adjust for the change of map-char-table.

	* international/characters.el: Adjust for the deletion of
	generic characters.

	* international/code-pages.el (cp-make-translation-table)
	(cp-valid-codes, cp-fix-safe-chars): Delete.  Change caller.
	(cp-make-coding-system): Call define-coding-system.

	* international/fontset.el: Rewrite most code.

	* international/ja-dic-cnv.el (skkdic-get-kana-compact-codes):
	Call encode-char instead of split-char.

	* international/ja-dic-utl.el (skkdic-jisx0208-hiragana-block):
	Change value.
	(skkdic-lookup-key): Call encode-char instead of split-char.

	* international/titdic-cnv.el (titdic-convert): Bind
	coding-system-for-write to 'iso-2022-7bit.  Don't work on unibyte
	buffer.

	* international/latin-1.el: Don't bind set-case-syntax-offset.

	* international/latin-2.el: Don't bind set-case-syntax-offset.

	* international/latin-3.el: Don't bind set-case-syntax-offset.

	* international/latin-4.el: Don't bind set-case-syntax-offset.

	* international/latin-5.el: Don't bind set-case-syntax-offset.

	* international/latin-8.el: Don't bind set-case-syntax-offset.

	* international/latin-9.el: Don't bind set-case-syntax-offset.

	* international/mule-cmds.el: Don't use coding category.
	Call set-coding-system-priority instead of set-coding-priority.
	(sort-coding-systems, select-safe-coding-system):
	Call coding-system-priority-list to get the most preferred one.
	(reset-language-environment): Order of coding system priority
	changed.  Set primary charset to iso-8859-1.
	(set-language-environment-coding-systems):
	Call set-coding-system-priority instead of set-coding-priority.
	(get-charset-property, put-charset-property): Move to mule.el.

	* international/mule-conf.el: Ful re-write.

	* international/mule-diag.el (print-designation): Change arguments.
	(print-iso-2022-flags): New function.
	(describe-coding-system, describe-current-coding-system):
	Adjust for the new structure of coding system.

	* international/mule.el (char-valid-p): Make it an alias of characterp.
	(define-charset): Full re-design.
	(charset-quoted-standard-p): Delete.
	(charsetp): Move to charset.c.
	(charset-info, charset-id, charset-bytes, charset-width)
	(charset-directioin, charset-iso-graphic-plane)
	(charset-reverse-charset): Delete.
	(charset-dimension, charset-chars, charset-iso-final-char)
	(charset-description, charset-short-name, charset-long-name):
	Call charset-plist instead of charset-info.
	(charset-plist, set-charset-plist): Move to charset.c.
	(get-charset-property, put-charset-property): Move from
	mule-cmds.el.  Call charset-plist and set-charset-plist.
	(make-char): Delete.
	(generic-char-p): Make it always return nil.
	(decode-char, encode-char): Move to charset.c.
	(coding-spec-XXX-idx): Delete variables.
	(coding-system-iso-2022-flags): New variable.
	(define-coding-system): New function.
	(transform-make-coding-system-args, make-coding-system): Delete.
	(set-coding-priority): Make it obsolete.
	(after-insert-file-set-buffer-file-coding-system)
	(find-new-buffer-file-coding-system): Adjust for the new coding
	system structure.

	* language/chinese.el, language/cyrillic.el, language/european.el:
	* language/greek.el, language/hebrew.el, language/indian.el:
	* language/japanese.el, language/korean.el, language/lao.el:
	* language/thai.el, language/tibetan.el, language/vietnamese.el:
	Call define-coding-system instead of make-coding-system.
	Delete all CCL program.

	* textmodes/sgml-mode.el (sgml-mode-map): Use encode-char instead
	of make-char.
	(sgml-char-names-table): Fix iteration limit.

	* term/mac-win.el: Delete unnecessary calls of set-fontset-font.
	(ccl-encode-mac-roman-font): Delete.

	* Makefile.in (DONTCOMPILE): Add latin1-disp.el, ucs-tables.el,
	utf-8.el, and utf-8-subst.el as they can't be bytecompiled
	currently.  This is just a temporary workaround.

2008-02-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (global-whitespace-mode): Use `find-file-hook' instead
	of `find-file-hooks'.
	(global-whitespace-toggle-options): Doc fix.

2008-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (whitespace): Set :version tag to 23.1.
	(whitespace-turn-off, whitespace-toggle-options): Fix typos.
	(whitespace-style, whitespace-chars, whitespace-space)
	(whitespace-hspace, whitespace-tab, whitespace-newline)
	(whitespace-trailing, whitespace-line, whitespace-space-before-tab)
	(whitespace-indentation, whitespace-empty, whitespace-space-after-tab)
	(whitespace-hspace-regexp, whitespace-space-regexp)
	(whitespace-tab-regexp, whitespace-trailing-regexp)
	(whitespace-space-before-tab-regexp, whitespace-indentation-regexp)
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp)
	(whitespace-space-after-tab-regexp, whitespace-line-column)
	(whitespace-display-mappings, global-whitespace-toggle-options)
	(whitespace-cleanup, whitespace-cleanup-region)
	(whitespace-interactive-char): Doc fixes.

2008-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (global-whitespace-mode): Fix modeline lighter.
	When turning off the global mode, turn off the local modes too
	if whitespace is being unloaded.
	(whitespace-unload-function): New function.

2008-02-01  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-update): Fix bug: Specify branch tip as
	vc-checkout REVISION.  Reported by Dan Nicolaescu.

2008-02-01  Glenn Morris  <rgm@gnu.org>

	* info.el (bookmark-make-cell-function, bookmark-search-size)
	(bookmark-current-bookmark): Declare variables for compiler.
	(bookmark-buffer-file-name, bookmark-get-filename)
	(bookmark-get-front-context-string)
	(bookmark-get-rear-context-string, bookmark-get-position)
	(bookmark-get-info-node, bookmark-file-or-variation-thereof)
	(bookmark-jump-noselect): Declare functions for compiler.
	(Info-bookmark-make-cell): Fix argument list to match example of
	`bookmark-make-cell-for-text-file'.
	(Info-bookmark-jump): Don't require info inside info.el.

2008-02-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-sk-prompt-msb)
	(verilog-sk-module, verilog-sk-function, verilog-sk-begin)
	(verilog-sk-if, verilog-sk-wire, verilog-sk-for)
	(verilog-sk-state-machine): Quote all calls to
	"auxiliary skeleton"s to prevent infloops.

2008-02-01  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el: Partially revert 2007-11-10 change.

2008-02-01  Martin Rudalics  <rudalics@gmx.at>

	* mail/rmail.el (rmail-highlight): Fix specification.
	Reported by pod <pod@herald.ox.ac.uk>.

2008-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* image-mode.el (image-mode-current-vscroll)
	(image-mode-current-hscroll): Make buffer-local.
	(image-set-window-vscroll, image-set-window-hscroll): Simplify.
	(image-reset-current-vhscroll): Use the latest setting when displaying
	for the first time in a window.  Apply to all windows in the frame.
	(image-mode): Don't make image-mode-current-[vh]scroll buffer-local.

	* progmodes/grep.el (grep-compute-defaults):
	Don't mix up defaults for different connections to the same host.

2008-01-31  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* blank-mode.el: Rename to whitespace.el.

	* obsolete/whitespace.el: Rename to obsolete/old-whitespace.el.

2008-01-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/rcompile.el (remote-compile): Remove broken code.

2008-01-31  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (image-library-alist): Prefer libxpm.dll.

2008-01-31  Juanma Barranquero  <lekktu@gmail.com>

	* linum.el (linum-unload-function): New function.

2008-01-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-set-format-regexp): New constant.
	(gdb-var-set-format-handler): New function.
	(gdb-var-set-format): Use it.

2008-01-30  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/check-declare.el (check-declare-directory):
	* emacs-lisp/authors.el (authors): Use `find-program' and
	`grep-program' instead of hardcoded program names.

	* emacs-lisp/cl-loaddefs.el: Update.

2008-01-30  Tassilo Horn  <tassilo@member.fsf.org>

	* info.el (Info-bookmark-make-cell, Info-bookmark-jump): New functions.
	Implement bookmark support the new make-cell/handler way.
	(Info-mode): Bind bookmark-make-cell-function to
	Info-bookmark-make-cell buffer locally.

2008-01-30  Richard Stallman  <rms@gnu.org>

	* progmodes/etags.el (tags-query-replace): Delete unused optional args.
	Doc fix.

	* files.el (hack-local-variables): Don't query about fake variables.

2008-01-30  Markus Triska  <markus.triska@gmx.at>

	* linum.el: New file.

2008-01-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Use "-H" option for "sudo".
	Suggested by Trent W. Buck <trentbuck@gmail.com>.  Make ("%h")
	a single element in "plinkx".
	(tramp-handle-shell-command): Reuse "*Async Shell Command*" or
	"*Shell Command Output*" buffers.  Check, whether there is already
	an asynchronous process running.  Display always the buffer of the
	asynchronous process.
	(tramp-compute-multi-hops): Adapt error message.

2008-01-29  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-specifier-key): Exclude "template"
	from this regexp; part of same fix as next change to cc-engine.el.

	* progmodes/cc-engine.el (c-guess-basic-syntax, CASE 5A.5):
	Anchor the "{" of a template function correctly on "template", not the
	following "<".

	* progmodes/cc-defs.el (c-version): Increase to 5.31.5.

2008-01-29  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Adapt to image-mode-current-vscroll
	and image-mode-current-hscroll being alists now.

	* image-mode.el (image-mode-current-vscroll)
	(image-mode-current-hscroll): Add doc strings.
	(image-set-window-vscroll, image-set-window-hscroll)
	(image-reset-current-vhscroll, image-mode): Adapt to
	image-mode-current-vscroll and image-mode-current-hscroll being
	alists now.

2008-01-29  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-function-search-for-symbol):
	Strip extension from .emacs.el to make sure symbol is searched
	in .emacs too.

2008-01-29  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Use facilities below to
	restore [vh]scroll when switching buffers.

	* image-mode.el (image-mode-current-vscroll)
	(image-mode-current-hscroll): New variables.
	(image-set-window-hscroll, image-set-window-vscroll): New functions.
	(image-forward-hscroll, image-next-line, image-bol, image-eol)
	(image-bob, image-eob): Use them.
	(image-reset-current-vhscroll): New function.
	(image-mode): Make new variables buffer-local and reset [vh]scroll
	on window configuration changes.

2008-01-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-create-define-alist): Don't call
	gdb-cpp-define-alist-program if file is nil (currently only
	" *partial-output-...").

2008-01-27  Richard Stallman  <rms@gnu.org>

	* allout.el: Many doc fixes.
	(allout-encrypt-string): Fix error message.

2008-01-26  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/etags.el (tags-query-replace): Doc fix.

2008-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-unload-function): New function.

2008-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-prefix-data): Doc fix.
	(allout-show-current-subtree): Reflow docstring.
	(allout-use-mode-specific-leader, allout-use-hanging-indents)
	(produce-allout-mode-map, allout-overlay-interior-modification-handler)
	(allout-next-heading, allout-previous-heading, allout-rebullet-heading)
	(allout-rebullet-topic, allout-rebullet-topic-grunt, allout-kill-topic)
	(allout-copy-topic-as-kill, allout-listify-exposed)
	(allout-process-exposed, allout-encrypted-key-info)
	(allout-update-passphrase-mnemonic-aids)
	(allout-next-topic-pending-encryption)
	(allout-tests-globally-true): Fix typos in docstrings.

2008-01-23  Jason Rumney  <jasonr@gnu.org>

	* lpr.el (printer-name): Do not set on MS Windows.

2008-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-shell-command): Use "/bin/sh -c" for
	the command.

2008-01-28  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Moved to obsolete dir.

	* blank-mode.el: New version 9.2.  Replace whitespace functions by
	aliases in blank-mode.
	(whitespace-buffer): New fun.
	(whitespace-region): Alias for whitespace-buffer, because there is no
	blank-region fun.
	(whitespace-cleanup): Alias for blank-cleanup.
	(whitespace-cleanup-region): Alias for blank-cleanup-region.

2008-01-27  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-log-time-function): Doc fix.
	(server-buffer): Fix typo in docstring.

2008-01-27  Martin Rudalics  <rudalics@gmx.at>

	* view.el (view-buffer): Explain in doc-string why exit-action
	should not be set to kill-buffer.

	* arc-mode.el (archive-extract):
	* tar-mode.el (tar-extract): Use kill-buffer-if-not-modified as
	exit-action when viewing the buffer.

2008-01-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* add-log.el (change-log-search-file-name): Work harder to find
	the correct file name.
	(change-log-find-file): Fix typo.
	(change-log-start-entry-re): Move definition earlier.

2007-01-27  Jan Nieuwenhuizen  <janneke@gnu.org>

	* add-log.el (change-log-search-file-name, change-log-find-file):
	New function.
	(change-log-font-lock-keywords): Move file name matching ...
	(change-log-file-names-re): ... here.  New defconst.
	(change-log-mode-map): New binding C-c C-f to change-log-find-file.

2008-01-27  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-awk.el, progmodes/cc-engine.el: Correct typos,
	enhance comments.

2008-01-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-compute-multi-hops): In case of su(do)?
	methods, the host name must be a local host.

2008-01-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add TODO item about not defaulting to RCS.

	* server.el (server-process-filter): Check for non-nil before
	calling file-directory-p.

2008-01-27  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-hanging-braces-alist): New element for
	arglist-cont-nonempty.

	* progmodes/cc-cmds.el (c-brace-newlines): Determine the newlines
	for a brace with syntax arglist-cont-nonempty.

	* progmodes/cc-styles.el (c-style-alist): Add elements for
	arglist-cont-nonempty into 5 styles (gnu, ellemtel, linux, python, awk).

2008-01-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* button.el (define-button-type): Clarify type of NAME in docstring.

2008-01-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-buffer): New const.
	(server-log): New var.
	(server-log): Use them.
	(server-process-filter): (Try to) run the continuation in the same cwd
	as the client's.

2008-01-26  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-save-buffer-state):
	Bind buffer-file-name and buffer-file-truename to nil, to prevent
	primitives generating "buffer is read only" messages.

2008-01-20  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to "0.17".
	(icalendar-import-format): Doc fix.  Allow function type.
	(icalendar--read-element): Doc fix.
	(icalendar--parse-summary-and-rest): Doc fix.  Handle function
	type icalendar-import-format.  Make regexps non-greedy.
	(icalendar--format-ical-event): Handle function type
	icalendar-import-format.
	(icalendar-import-format-sample): New function.

2008-01-26  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-exec-after): For mode-line-process highlighting, if
	`compile' is not available, fall back to font-lock-warning-face.

2008-01-26  Phil Sung  <psung@mit.edu>  (tiny change)

	* wdired.el (wdired-get-filename): Change `(1+ beg)' to `beg' so
	that the filename end is found even when the filename is empty.
	Fixes error and spurious newlines when marking files for deletion.

2008-01-26  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (find-tag-default): Simplify using exclusively
	skip-syntax-backward/-forward.

2008-01-26  Michael Albinus  <michael.albinus@gmx.de>

	* vc.el (vc-directory, vc-update-change-log): Remove check for
	Tramp.  Both functions work for it, though pretty slow
	(`vc-directory').  Maybe the implementation can be optimized.

	* net/tramp.el (tramp-dissect-file-name): Raise an error when
	Tramp 2.0 syntax is used.
	Suggested by Trent W. Buck <trentbuck@gmail.com>.

2008-01-26  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-insert-directory): If -n switch is used,
	invoke directory-files-and-attributes with last argument `integer'
	instead of `string'.
	(insert-directory): Add -n to the list of supported switches
	mentioned in the doc string.

2008-01-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* blank-mode.el: New version 9.1.  Handle "long" line tail
	visualization.  Doc fix.
	(blank-line-length): Rename to blank-line-column.
	(blank-chars-value-list, blank-toggle-option-alist, blank-help-text):
	Initialization fix.
	(blank-replace-spaces-by-tabs): New fun.
	(blank-cleanup, blank-cleanup-region, blank-color-on): Code fix.

2008-01-25  Richard Stallman  <rms@gnu.org>

	* subr.el (add-hook): Implement `permanent-local-hook' property.

	* loadhist.el (file-provides, file-requires): Push the filename right.

2008-01-25  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-library): Wrap search for
	library name in condition-case to avoid reporting a scan-error.

2008-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Don't force
	the authentication string to be followed by "\n".

2008-01-25  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* blank-mode.el: New version 9.0.  New commands to clean up some blank
	problems like trailing blanks.  New faces and regexp for visualizing
	the blank problems.  Doc fix.
	(blank-chars, blank-global-modes, blank-chars-value-list)
	(blank-toggle-option-alist, blank-help-text): Initialization fix.
	(blank-indentation, blank-empty, blank-space-after-tab): New faces.
	(blank-indentation, blank-empty, blank-space-after-tab)
	(blank-indentation-regexp, blank-empty-at-bob-regexp)
	(blank-empty-at-eob-regexp, blank-space-after-tab-regexp): New options.
	(blank-cleanup, blank-cleanup-region): New commands.
	(blank-color-on): Code fix.

2008-01-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-default-sorting-mode): Add option to sort by
	file name.
	(ibuffer-mode-map): Add binding to sort by file name.
	(ibuffer-filename/process-header-map): New variable.
	(filename-and-process): Add a header that sorts by file name.
	(ibuffer-mode): Mention sorting by file name.

	* ibuf-ext.el (filename/process): New sorter.

2008-01-25  Sven Joachim  <svenjoac@gmx.de>

	* view.el (kill-buffer-if-not-modified): Don't pass t to
	buffer-modified-p.

2008-01-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file): Flush the cache of
	the source file in case of `rename'.
	Reported by Pete Forman <pete.forman@westerngeco.com>.

2008-01-24  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-keybindings-list): In initial setting, express
	meta-prefixed allout keys as vectors instead of strings, since the
	string form is interpreted in some cases as composed key
	modifiers, eg, accented keys.

	(allout-line-boundary-regexp): Clarify description.

	(set-allout-regexp): Repair the expressions so that the formfeed
	part is identified as one of the top-level groups, and is
	included in all the forms, not just the -line-boundary-regexp one.

	(allout-prefix-data): Incorporate information from the various
	allout regexp's formfeed alternative group, when present.

	(allout-write-file-hook-handler): Rectify mangling of the error
	handling.  It was broken in version 1.100, where an `error'
	condition-case handler was apparently reformatted as if it was a
	call to the error function.  An apparent repair attempt in version
	1.101 situated the original body of the error handling code as
	bogus condition-case handlers.  I've returned to just about the
	working code that was originally there, removing an unnecessary -
	but benign - enclosing 'progn'.  \(Automated or cursory code fixes
	often aren't.)

	(allout-region-active-p): Fallback to value of mark-active if
	neither use-region-p nor region-active-p are present, for
	compatability with current and recent emacs major releases.

2008-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/reftex-toc.el (reftex-toc-next, reftex-toc-previous)
	(reftex-toc-restore-region):
	* textmodes/reftex-index.el (reftex-index-initialize-phrases-buffer)
	(reftex-index-phrases-apply-to-region):
	* textmodes/ispell.el (ispell-word):
	* progmodes/vhdl-mode.el (vhdl-keep-region-active):
	* progmodes/pascal.el (pascal-mark-defun):
	* progmodes/f90.el (f90-mark-subprogram, f90-indent-region)
	(f90-fill-region):
	* emulation/tpu-edt.el (tpu-set-mark):
	* emulation/crisp.el (crisp-region-active):
	* winner.el (winner-active-region):
	* ansi-color.el (ansi-color-set-extent-face): Use featurep instead
	of bound tests in order to resolve conditionals at compile time.

2008-01-24  Juanma Barranquero  <lekktu@gmail.com>

	* delsel.el (delsel-unload-function): Don't use `remprop'; it is
	not autoloaded, and we wouldn't want to load CL just to unload
	delsel.el anyway.  Suggested by Martin Rudalics <rudalics@gmx.at>.

2008-01-24  Martin Rudalics  <rudalics@gmx.at>

	* delsel.el (delete-selection-pre-hook): Avoid clearing out
	pre-command-hook when text is read-only.

2008-01-24  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-process-filter): Do nothing if buffer not live.
	(vc-diff-finish): Rename from vc-diff-sentinel.
	No longer take REV1-NAME and REV2-NAME.
	Instead, take BUFFER-NAME.  Do nothing if buffer not live.
	Don't do window resize if no window displays buffer.
	(vc-diff-internal): Use vc-diff-finish.

	* vc.el (vc-next-action): Fix two instances of "free-var file" bug:
	In both cases, convert single call to one wrapped in dolist.

2008-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add a TODO item about missing files.
	(vc-exec-after): Add a tooltip to the new mode-line item.

2008-01-24  Glenn Morris  <rgm@gnu.org>

	* t-mouse.el (gpm-mouse-start): Declare as a function.

2008-01-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-process-environment): Set "LC_ALL=C".
	(tramp-end-of-output): Add `tramp-rsh-end-of-line' into the regexp.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	Don't send `tramp-rsh-end-of-line' additionally, when setting the
	prompt.
	(tramp-wait-for-output): Distinguish different prompt formats.
	(tramp-get-test-nt-command): Don't check for "\n" in the prompt.
	(tramp-local-host-p): Check whether temp directory is writable.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add TODO items.

2008-01-23  Carsten Dominik  <dominik@science.uva.nl>

	* replace.el (occur-mode-find-occurrence-hook): New hook that can
	be used to reveal or highlight the location of a match.
	(occur-mode-goto-occurrence, occur-mode-goto-occurrence-other-window)
	(occur-mode-display-occurrence): Run `occur-mode-find-occurrence-hook'.

2008-01-23  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/hideif.el (hide-ifdef-shadow): Add version number
	for defcustom.
	(hide-ifdef-shadow): Add version number for defface.

2008-01-23  Glenn Morris  <rgm@gnu.org>

	* textmodes/org.el (org-export-latex-cleaned-string): Fix declaration.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-basic-offset):
	* progmodes/cc-vars.el (c-syntactic-indentation)
	(c-syntactic-indentation-in-macros): Mark as safe.

2008-01-23  Richard Stallman  <rms@gnu.org>

	* icomplete.el (icomplete-get-keys):
	Look up KEYS using all maps in proper buffer.

2008-01-23  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (display-mm-height, display-mm-width):
	* whitespace.el (whitespace-check-leading-whitespace)
	(whitespace-check-trailing-whitespace)
	(whitespace-check-spacetab-whitespace)
	(whitespace-check-indent-whitespace)
	(whitespace-check-ateol-whitespace):
	* progmodes/ada-xref.el (ada-convert-file-name): Fix typo in docstring.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-arch.el (vc-arch-delete-rej-if-obsolete): Remove the
	after-save-hook so that it is not called multiple times.

	* vc-svn.el (vc-svn-resolve-when-done): Likewise.

2008-01-23  Eli Zaretskii  <eliz@gnu.org>

	* view.el (view-file-other-window, view-file-other-frame):
	Don't kill the buffer if it is modified.  Doc fixes.
	(kill-buffer-if-not-modified): New function.
	(view-file): Don't kill the buffer if it is modified.

	* progmodes/ebrowse.el (ebrowse-view-file-other-window): Delete.
	(ebrowse-view/find-file-and-search-pattern):
	Call view-file-other-window instead of ebrowse-view-file-other-window.
	(ebrowse-view-file-other-frame): Don't call
	current-window-configuration.  Fix second argument in the call to
	view-mode-enter.  Doc fix.

2008-01-23  Richard Stallman  <rms@gnu.org>

	* subr.el (atomic-change-group): Prevent undo list truncation.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (safe-local-eval-forms):
	Mark (add-hook 'write-file-hooks 'time-stamp) as safe.

2008-01-23  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Set point first.

	* progmodes/gdb-ui.el (gdb-dequeue-input): Make doubly sure
	session doesn't hang because gdb-pending-triggers is non-nil.
	(gdb-frame-handler): Use buffer-file-name instead of
	buffer-name in case of duplicate file names.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-mode-map): Don't bind C-M-a,
	C-M-e and C-M-h for emacs, they work by default.
	(verilog-emacs-features): Remove.
	(verilog-setup-dual-comments, verilog-populate-syntax-table):
	Remove.  Move syntax table initialization ...
	(verilog-mode-syntax-table): ... here.
	(verilog-mode): Don't initialize the syntax table here.
	(verilog-mark-defun): Only do something useful for XEmacs, Emacs
	does not need it.

2008-01-23  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-booleanp): New function for
	backward compatibility.  Replace all uses of booleanp with
	verilog-booleanp.

2008-01-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-diff): Don't pass an empty string.

2008-01-23  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (top-level): Fix spacing.
	(verilog-mode-version, verilog-mode-release-date):
	Update version number.
	(verilog-mode-release-emacs): New variable.
	(compile-command, reporter-prompt-for-summary-p):
	Define for byte compiler.
	(verilog-startup-message-lines, verilog-startup-message-displayed)
	(verilog-display-startup-message): Remove.
	(verilog-highlight-p1800-keywords): Improve docstring.
	(sigs-in, sigs-out, got-sig, got-rvalue, uses-delayed)
	(vector-skip-list): Only defvar at compile time.
	(verilog-highlight-translate-off, verilog-indent-level)
	(verilog-indent-level-module, verilog-indent-level-declaration)
	(verilog-indent-declaration-macros, verilog-indent-lists)
	(verilog-indent-level-behavioral, verilog-indent-level-directive)
	(verilog-cexp-indent, verilog-case-indent, verilog-auto-newline)
	(verilog-auto-indent-on-newline, verilog-tab-always-indent)
	(verilog-tab-to-comment, verilog-indent-begin-after-if)
	(verilog-align-ifelse, verilog-minimum-comment-distance)
	(verilog-auto-lineup, verilog-highlight-p1800-keywords)
	(verilog-auto-endcomments, verilog-auto-read-includes)
	(verilog-auto-star-expand, verilog-auto-star-save)
	(verilog-library-flags, verilog-library-directories)
	(verilog-library-files, verilog-library-extensions)
	(verilog-active-low-regexp, verilog-auto-sense-include-inputs)
	(verilog-auto-sense-defines-constant, verilog-auto-reset-widths)
	(verilog-assignment-delay, verilog-auto-inst-vector)
	(verilog-auto-inst-template-numbers, verilog-auto-input-ignore-regexp)
	(verilog-auto-inout-ignore-regexp, verilog-auto-output-ignore-regexp)
	(verilog-auto-unused-ignore-regexp, verilog-typedef-regexp):
	Add safe-local-variable properties.
	(verilog-statement-menu, verilog-company, verilog-re-search-forward)
	(verilog-re-search-backward, verilog-error-regexp-add)
	(verilog-end-block-re, verilog-emacs-features)
	(verilog-populate-syntax-table, verilog-setup-dual-comments)
	(verilog-type-font-keywords, verilog-inside-comment-p)
	(electric-verilog-backward-sexp, verilog-backward-sexp)
	(verilog-forward-sexp, verilog-font-lock-init, verilog-mode)
	(electric-verilog-terminate-line, electric-verilog-semi)
	(electric-verilog-tab, verilog-insert-1, verilog-insert-indices)
	(verilog-generate-numbers, verilog-comment-region, verilog-label-be)
	(verilog-beg-of-statement, verilog-in-case-region-p)
	(verilog-in-struct-region-p, verilog-in-generate-region-p)
	(verilog-in-fork-region-p, verilog-backward-case-item)
	(verilog-set-auto-endcomments, verilog-get-expr)
	(verilog-expand-vector-internal, verilog-surelint-off)
	(verilog-batch-execute-func, verilog-calculate-indent)
	(verilog-calc-1, verilog-calculate-indent-directive)
	(verilog-leap-to-head, verilog-continued-line)
	(verilog-backward-token, verilog-backward-syntactic-ws)
	(verilog-forward-syntactic-ws, verilog-backward-ws&directives)
	(verilog-forward-ws&directives, verilog-at-constraint-p)
	(verilog-skip-backward-comments, verilog-indent-line-relative)
	(verilog-do-indent, verilog-indent-comment, verilog-more-comment)
	(verilog-pretty-declarations, verilog-pretty-expr)
	(verilog-just-one-space, verilog-indent-declaration)
	(verilog-get-completion-decl, verilog-goto-defun, verilog-showscopes)
	(verilog-header, verilog-signals-combine-bus, verilog-read-decls)
	(verilog-read-always-signals-recurse, verilog-read-instants)
	(verilog-read-auto-template, verilog-set-define)
	(verilog-read-defines, verilog-read-signals, verilog-getopt)
	(verilog-is-number, verilog-expand-dirnames, verilog-modi-lookup)
	(verilog-modi-cache-results, verilog-insert-one-definition)
	(verilog-make-width-expression, verilog-delete-autos-lined)
	(verilog-auto-save-check, verilog-auto-arg, verilog-auto-inst-port)
	(verilog-auto-inst, verilog-auto-inst-param, verilog-auto-reg)
	(verilog-auto-reg-input, verilog-auto-wire, verilog-auto-output)
	(verilog-auto-output-every, verilog-auto-input, verilog-auto-inout)
	(verilog-auto-inout-module, verilog-auto-sense, verilog-auto-reset)
	(verilog-auto-tieoff, verilog-auto-unused, verilog-auto-ascii-enum)
	(verilog-auto, verilog-sk-define-signal, verilog-mode-mouse-map)
	(verilog-load-file-at-mouse, verilog-load-file-at-point)
	(verilog-library-files): Cleanup spacing of )'s they should not be
	on unique lines.  Fix checkdoc warnings.

2008-01-22  Glenn Morris  <rgm@gnu.org>

	* progmodes/hideif.el (hide-ifdef-initially, hide-ifdef-read-only)
	(hide-ifdef-lines, hide-ifdef-shadow): Remove autoload cookies
	from defcustoms.
	(hide-ifdef-shadow): Remove autoload cookie from defface.

	* vc.el (vc-diff-sentinel): Do not write a footer if there were
	differences.

2008-01-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* pcvs-defs.el (cvs-menu): Improve cvs-mode-find-file,
	cvs-mode-find-file-other-window.  Add cvs-mode-diff-yesterday and
	manual entry.

2008-01-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-ignore-errors): New macro.
	(dbus-unregister-object): New defun.  Moved from dbusbind.c.
	(dbus-handle-event, dbus-list-activatable-names, dbus-list-names)
	(dbus-list-queued-owners, dbus-get-name-owner, dbus-introspect)
	(dbus-get-signatures): Apply `dbus-ignore-errors'.

2008-01-21  Martin Rudalics  <rudalics@gmx.at>

	* outline.el (outline-up-heading): Fix check for top level to
	avoid infinite looping in hide-other.

2008-01-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-process-sentinel): After calling the previous
	sentinel, do nothing if the process' buffer is not live.

2008-01-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* blank-mode.el: Fix a problem of cleaning blank faces when turning off
	blank-mode in some buffers (like *info* buffers).  Reported by Juanma
	Barranquero <lekktu@gmail.com>.  Eliminate `-face' suffix of all
	blank-mode faces.  Doc fix.  New version 8.1.
	(blank-turn-on, blank-turn-off): Replace (and CONDITION BODY) by (when
	CONDITION BODY).
	(blank-space-face): Face/option name replaced by blank-space.
	(blank-hspace-face): Face/option name replaced by blank-hspace.
	(blank-tab-face): Face/option name replaced by blank-tab.
	(blank-newline-face): Face/option name replaced by blank-newline.
	(blank-trailing-face): Face/option name replaced by blank-trailing.
	(blank-line-face): Face/option name replaced by blank-line.
	(blank-space-before-tab-face): Face/option name replaced by
	blank-space-before-tab.
	(blank-color-on, blank-color-off, blank-display-char-on): Fix code.

2008-01-21  Juanma Barranquero  <lekktu@gmail.com>

	* blank-mode.el (blank-style, blank-chars, blank-hspace-regexp)
	(blank-space-regexp, blank-tab-regexp, blank-trailing-regexp)
	(blank-space-before-tab-regexp, blank-global-modes, blank-mode)
	(global-blank-mode): Doc fixes.
	(blank, blank-space-face, blank-hspace-face, blank-tab-face)
	(blank-newline-face, blank-trailing-face, blank-line-face)
	(blank-space-before-tab-face, blank-display-mappings)
	(blank-chars-value-list, blank-style-value-list, blank-toggle-options)
	(global-blank-toggle-options, blank-help-text, blank-interactive-char)
	(blank-turn-on, blank-turn-off, blank-color-on, blank-color-off):
	Fix typos in docstrings.

2008-01-21  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-log-time-function): New variable.
	(server-log): Use it.

2008-01-21  Glenn Morris  <rgm@gnu.org>

	* progmodes/hideif.el: Move defcustoms and defface to start of file.

	* textmodes/org.el (org-entry-properties): Let-bind `clocksum'.

2008-01-21  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/org.el (org-unmodified, org-cycle-emulate-tab)
	(org-descriptive-links, org-link-file-path-type)
	(org-remember-use-refile-when-interactive)
	(org-agenda-skip-timestamp-if-done, org-agenda-scheduled-leaders)
	(org-export-ascii-bullets, org-agenda-deadline-faces)
	(turn-on-orgstruct++, orgtbl-to-texinfo, org-mhe-get-header)
	(org-batch-agenda, org-batch-agenda-csv, org-fix-agenda-info)
	(org-kill-note-or-show-branches): Fix typos in docstrings.

2008-01-20  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-process-sentinel): Set mode-line-process.
	(vc-exec-after): Likewise, for the `run' process status.

2008-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ibuffer.el (ibuffer-mode): Fix last change.

2008-01-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-registered):
	* vc-svn.el (vc-svn-registered): Make it work for non-existent files.

2008-01-20  Martin Rudalics  <rudalics@gmx.at>

	* repeat.el (repeat-undo-count): New variable.
	(repeat): For self-insertions make undo boundary only after 20
	repetitions.  Inhibit point recording unless repeat-repeat-char is nil.

2008-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/imap.el (imap-ping-server): New variable.
	(imap-opened): On add extra ping if imap-ping-server is non-nil.
	(imap-ping-server): Minor doc string fixes.

2008-01-19  Knut Anders Hatlen  <kahatlen@gmail.com>  (tiny change)

	* net/imap.el (imap-ping-server): New function.
	(imap-opened): Call imap-ping-server.

2008-01-20  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el: Quote all calls to "auxiliary skeleton"s to
	prevent infloops.

2008-01-20  Martin Svenson  <phromo@gmail.com>  (tiny change)

	* progmodes/python.el (python-imports): Default to "None".

2008-01-19  Tom Tromey  <tromey@redhat.com>

	* vc-svn.el (vc-svn-after-dir-status): New function.
	(vc-svn-dir-status): Run svn asynchronously.

2008-01-19  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/hideif.el (hide-ifdef-shadow): New option.
	(hide-ifdef-shadow): New face.
	(hide-ifdef-toggle-shadowing): New function to toggle between
	shadowing and making code invisible.
	(hide-ifdef-mode-submap): Add binding for hide-ifdef-toggle-shadowing.
	(hide-ifdef-mode-menu): Add entry for hide-ifdef-toggle-shadowing.
	(hide-ifdef-region-internal): Give new overlay hide-ifdef
	property.  Shadow text when hide-ifdef-shadow is non-nil.
	(hif-show-ifdef-region): Remove overlays with hide-ifdef property set.
	(hif-hide-line): Use when instead of if.
	(hide-ifdef-initially, hide-ifdef-read-only, hide-ifdef-lines):
	Remove unneeded * from doc-strings.

2008-01-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-goto-page): Don't move point any more, now that
	the hscroll behavior was fixed.
	(doc-view-mode): Disable auto-hscroll-mode.

2008-01-18  Tom Tromey  <tromey@redhat.com>

	* vc-svn.el (vc-svn-dir-status): New function.

2008-01-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Make vc-status asynchronous.
	(vc-update-vc-status-buffer): New function broken out of ...
	(vc-status-refresh): ... here.  Pass vc-update-vc-status-buffer to
	the dir-status backend function.

	* vc-hg.el (vc-hg-dir-status): Compute the status asynchronously.
	Move the output processing to ...
	(vc-hg-after-dir-status): ... here.  Call the function passed as
	an argument with the results.

2008-01-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-pdf/ps->png): Make sure we a have a valid cwd.
	(doc-view-insert-image): Do something if the image is missing.
	(doc-view-mode): Don't use file-remote-p.

2008-01-18  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* textmodes/org-export-latex.el (org-export-latex-cleaned-string): Fix.
	(org-export-latex-special-chars): Convert "..." in \ldots
	and skip tables.
	(org-export-latex-fontify-headline): Change parameter name.
	(org-export-as-latex): Handle export of subtrees.
	(org-export-latex-make-header): New argument TITLE.
	(org-export-latex-content): New argument EXCLUDE-LIST.
	(org-list-parse-list): New name for org-export-latex-parse-list.
	(org-export-latex-make-header): New name for
	org-export-latex-make-preamble.
	(org-list-to-generic): New name of org-export-list-to-generic.
	(org-list-to-latex): New name of org-export-list-to-latex.
	(org-list-item-begin, org-list-end, org-list-insert-radio-list)
	(org-list-send-list, org-list-to-texinfo)
	(org-list-to-html): New functions.
	(org-export-latex-tables-column-borders)
	(org-export-latex-default-class, org-export-latex-classes)
	(org-export-latex-classes-sectioning)
	(org-list-radio-list-templates): New options.
	(org-export-latex-header): New variable.
	(org-latex-entities): New constant.
	(org-export-latex-default-sectioning, org-export-latex-preamble)
	(org-export-latex-prepare-text-option)
	(org-export-latex-get-sectioning): Remove.

2008-01-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org-publish.el (org-publish-current-project):
	Fix bug with forcing publication.

	* textmodes/org.el (org-export-with-special-strings): New option.
	(org-export-html-convert-special-strings): New function.
	(org-html-do-expand): `org-export-html-convert-special-strings'
	added to the list of conversion.
	(org-infile-export-plist, org-get-current-options): Add support
	for "-" in the #+OPTION line to let user switch on/off special
	strings conversion.
	(org-export-plist-vars): New :html-table-tag property.
	(org-export-as-html, org-format-org-table-html)
	(org-format-table-table-html) Use the :html-table-tag property
	instead of the `org-export-html-table-tag' global value.
	(org-additional-option-like-keywords): Add "TBLFM".
	(org-entry-properties): Include the CLOCKSUM special property.
	(org-columns-edit-value): Do not allow to edit the special
	CLOCKSUM property.
	(org-flag-drawer): Use the original value of `outline-regexp'.
	(org-remember-handler): Add invisible-ok flag to call to
	`org-end-of-subtree'.
	(org-agenda-highlight-todo): Respect
	`org-agenda-todo-keyword-format'.
	(org-agenda-todo-keyword-format): New option.
	(org-infile-export-plist): No restriction while searching for options.
	(org-remember-handler): Remove comments at the end of the buffer.
	(org-remember-use-refile-when-interactive): New option.
	(org-table-sort-lines): Make sure sorting works on link
	descritions only, and ignores the link.
	(org-sort-entries-or-items): Make sure the end of the subtree is
	included.
	(org-refile-use-outline-path): New allowed values `file' and
	`full-file-path'.
	(org-get-refile-targets): Respect new values for
	`org-refile-use-outline-path'.
	(org-agenda-get-restriction-and-command): DEL goes back to initial list.
	(org-export-as-xoxo): Restore point when done.
	(org-open-file): Allow multiple %s in command.
	(org-clock-in-switch-to-state): New option.
	(org-first-list-item-p): New function.
	(org-last-remember-storage-locations): New variable.
	(org-get-refile-targets): Interpret the new maxlevel setting.
	(org-refile-targets): New option `:maxlevel'.
	(org-copy-subtree): Include empty lines before but not after subtree.
	(org-back-over-empty-lines, org-skip-whitespace): New functions.
	(org-move-item-down, org-move-item-up): Include empty lines before
	but not after item.
	(org-first-sibling-p): New function.
	(org-remember-apply-template): Defaults, completions and history
	for template prompts.  Also, interpret new `%!' escape.
	(org-context-choices): New constant.
	(org-bound-and-true-p): New macro.
	(org-imenu-depth): New option.
	(org-imenu-markers): New variable.
	(org-imenu-new-marker, org-imenu-get-tree)
	(org-speedbar-set-agenda-restriction): New functions.
	(org-agenda-set-restriction-lock)
	(org-agenda-remove-restriction-lock)
	(org-agenda-maybe-redo): New functions.
	(org-agenda-restriction-lock): New face.
	(org-agenda-restriction-lock-overlay)
	(org-speedbar-restriction-lock-overlay): New variables.
	(org-open-at-point): Remove obsolete way to do redirection in
	shell links.
	(org-imenu-and-speedbar): New customization group.
	(org-entry-properties): Return keyword-less time strings.
	(org-clock-heading-function): New option.
	(org-clock-in): Use `org-clock-heading-function'.
	(org-calendar-holiday): Try to use `calendar-check-holidays'
	instead of the obsolete `check-calendar-holidays'.
	(org-export-html-special-string-regexps): New constant.
	(org-massive-special-regexp): New variable.
	(org-compute-latex-and-specials-regexp)
	(org-do-latex-and-special-faces): New functions.
	(org-latex-and-export-specials): New face.
	(org-highlight-latex-fragments-and-specials): New option.
	(org-link-escape-chars): Use characters instead of strings.
	(org-link-escape-chars-browser, org-link-escape)
	(org-link-unescape): Use characters instead of strings.
	(org-export-html-convert-sub-super, org-html-do-expand): Check for
	protected text.
	(org-emphasis-alist): Additional `verbatim' flag.
	(org-set-emph-re): Handle the verbatim flag and compute
	`org-verbatim-re'.
	(org-cleaned-string-for-export): Protect verbatim elements.
	(org-verbatim-re): New variable.
	(org-hide-emphasis-markers): New option.
	(org-additional-option-like-keywords): Add new keywords.
	(org-get-entry): Rename from `org-get-cleaned-entry'.
	(org-icalendar-cleanup-string): New function for quoting icalendar text.
	(org-agenda-skip-scheduled-if-done): New option.
	(org-agenda-get-scheduled, org-agenda-get-blocks): Use
	`org-agenda-skip-scheduled-if-done'.
	(org-prepare-agenda-buffers): Allow buffers as arguments.
	(org-entry-properties): Add CATEGORY as a special property.
	(org-use-property-inheritance): Allow a list of properties as a value.
	(org-eval-in-calendar): No longer update the prompt.
	(org-read-date-popup-calendar): Rename from
	`org-popup-calendar-for-date-prompt'.
	(org-read-date-display-live): New variable.
	(org-read-date-display): New function.
	(org-read-date-analyze): New function.
	(org-remember-apply-template): Define `remember-finalize' if it is
	not yet defined.
	(org-remember-insinuate): New function.
	(org-read-date-prefer-future): New option.
	(org-read-date): Respect the setting of
	`org-read-date-prefer-future'.  Use `org-read-date-analyze'.
	(org-set-font-lock-defaults): Use `org-archive-tag' instead of a
	hardcoded string.
	(org-remember-apply-template): Use `remember-finalize' instead of
	`remember-buffer'.
	(org-columns-compute, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format)
	(org-columns-compile-format): Handle printf format specifier.
	(org-columns-new, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format):
	Support for new currency summary type.
	(org-tree-to-indirect-buffer): Do not kill old buffer when
	`org-indirect-buffer-display' is `new-frame'.
	(org-indirect-buffer-display): Document that `new-frame' leads to
	indiret buffer proliferation.
	(org-agenda-list): Use `org-extend-today-until'.
	(org-extend-today-until): New option.
	(org-format-org-table-html): Use lower-case for <col> tag.
	(org-agenda-execute): New command.
	(org-agenda-mode-map): Keybindings of "g" "G", "e" modified.
	(org-select-remember-template): New function.
	(org-remember-apply-template): Use `org-select-remember-template'.
	(org-go-to-remember-target): New function.

2008-01-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add a TODO note about vc-state.
	(vc-next-action): Register 'unregistered and 'ignored files.
	Use when and unless instead of if where appropriate.
	(vc-start-entry): Fix typo.
	(vc-status): Autoload it.

2008-01-18  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-alist): Remove space from RFC regexp.

2008-01-18  Richard Stallman  <rms@gnu.org>

	* custom.el (custom-theme-recalc-face): Use face-spec-set rather
	than face-spec-recalc.

2008-01-18  Glenn Morris  <rgm@gnu.org>

	* ibuffer.el (ibuffer-mode): Fix typo in previous change.

2008-01-17  Vinicius Jose Latorre  <viniciusjl@ig.com.br>
	    Miles Bader  <miles@gnu.org>

	* blank-mode.el: New file.  Minor mode to visualise (HARD) SPACE,
	TAB, NEWLINE.  Miles Bader <miles@gnu.org> wrote the original code
	for handling display table (via visws.el package), his code was
	modified, but the main idea was kept.

2008-01-17  Glenn Morris  <rgm@gnu.org>

	* ibuf-ext.el (ibuffer-auto-mode, ibuffer-save-filter-groups)
	(ibuffer-save-filters): Remove calls to deleted
	ibuffer-update-mode-name.

2008-01-16  Martin Rudalics  <rudalics@gmx.at>

	* longlines.el (longlines-mode, longlines-show-region)
	(longlines-unshow-hard-newlines): Bind buffer-file-name and
	buffer-file-truename to nil while modifying buffer.

	* cus-edit.el (custom-reset-standard-variables-list)
	(custom-reset-standard-faces-list): New variables.
	(custom-reset-standard-save-and-update): New function.
	(Custom-save): Apply custom-mark-to-save before and
	custom-state-set-and-redraw after saving options.
	(Custom-reset-standard): Apply custom-mark-to-reset-standard to
	options and call custom-reset-standard-save-and-update.
	(custom-variable, custom-face, custom-group): Provide new
	entries for custom-mark-to-save, custom-mark-to-reset-standard,
	and custom-state-set-and-redraw.
	(custom-variable-mark-to-save)
	(custom-variable-state-set-and-redraw)
	(custom-variable-mark-to-reset-standard)
	(custom-face-mark-to-save, custom-face-state-set-and-redraw)
	(custom-face-mark-to-reset-standard)
	(custom-group-mark-to-save, custom-group-state-set-and-redraw)
	(custom-group-mark-to-reset-standard): New functions.
	(custom-variable-save): Move save, state-set, and redraw
	functionality to custom-variable-mark-to-save.
	(custom-face-save): Move save, state-set, and redraw
	functionality to custom-face-mark-to-save.
	(custom-group-save): Move save, state-set, and redraw
	functionality to custom-group-mark-to-save.
	(custom-variable-reset-standard, custom-face-reset-standard)
	(custom-group-reset-standard): Move save, state-set, and redraw
	functionality to custom-reset-standard-save-and-update.

	(custom-buffer-create-internal): Fix text in verbose help.
	(custom-face-value-create): Indent doc-strings of faces like
	those of variables.

2008-01-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-process-filter): Replace lineno and columnnno
	which defaulted to 1&0 with filepos which defaults to nil.
	(server-goto-line-column): Only receive the filepos.
	Only move if filepos is non-nil.
	(server-visit-files): Slight restructure to consolidate two calls to
	server-goto-line-column into just one.

	* nxml/nxml-mode.el (nxml-mode): Use mode-line-process to indicate
	the use of degraded mode.
	(nxml-degrade): Don't change mode-name.

	* nxml/rng-nxml.el (rng-nxml-mode-init):
	Don't overwrite mode-line-process.

	* ibuffer.el (mode): Pass the buffer to format-mode-line.
	(ibuffer-update-mode-name): Remove.
	(ibuffer-redisplay, ibuffer-update, ibuffer-mode): Don't call it.
	(ibuffer-mode): Use mode-line-process instead.

	* ibuf-ext.el (ibuffer-auto-update-changed, ibuffer-auto-mode):
	Use derived-mode-p.
	(ibuffer-mark-by-mode-regexp): Pass the buffer to format-mode-line.

	* help.el (describe-mode): Pass the right buffer to format-mode-line.

2008-01-16  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-regexp-arg): Fix no-input case.

2008-01-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* smerge-mode.el (smerge-start-session): Rename from smerge-auto.
	* pcvs.el (cvs-revert-if-needed):
	* vc.el (vc-maybe-resolve-conflicts): Rename callers.

	* vc-svn.el (vc-svn-find-file-hook):
	* vc-arch.el (vc-arch-find-file-hook): Undo previous change.

2008-01-16  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to 0.16.
	(icalendar-export-file, icalendar-import-file):
	Restore significant trailing whitespace in `interactive' prompts.

2008-01-16  Tom Tromey  <tromey@redhat.com>

	* calendar/icalendar.el (icalendar--convert-tz-offset)
	(icalendar--parse-vtimezone, icalendar--convert-all-timezones)
	(icalendar--find-time-zone): New functions.
	(icalendar--decode-isodatetime): Add `zone' argument, passed to
	`decode-time'.  Doc fix.
	(icalendar--convert-ical-to-diary): Compute zone-map.
	Pass timezone to icalendar--decode-isodatetime.

2008-01-16  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-constant-symbol): Put this defun inside
	an eval-and-compile, so as to permit byte-compiling (e.g. in
	bootstrap).

2008-01-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-avoid-duplicate-keys): New var.
	(easy-menu-create-menu, easy-menu-convert-item-1): Use it to avoid
	using the same key for different menu entries.

	* smerge-mode.el (smerge-refine): Also work on "same change conflicts".
	(smerge-makeup-conflict): New command.

2008-01-15  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* log-edit.el (log-edit): Doc fix.

2008-01-15  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-end-of-hunk): Revert 2008-01-08 change.

2008-01-14  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-constant-symbol): New function which
	supersedes c-const-symbol.  During a customize-.. call it enables
	an element of (e.g.) c-hanging-braces alist to have its name
	displayed, even when the default value of c-h-b etc. doesn't
	include the elemnt.  Replace uses of the old function by the new.

	* progmodes/cc-vars.el (c-hanging-braces-alist): Remove the
	obscure non-working fragment ":value c-".

2008-01-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (clear-abbrev-table): Can't pass a symbol to intern.

2008-01-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-local-host-p): Use `tramp-file-name-host'
	instead of `tramp-file-name-real-host'.

	* net/trampver.el: Update release number.

2008-01-14  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-guess-basic-syntax): Prevent a macro
	call inside a struct being recognised as a K&R argument.

2008-01-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Accept "fatal error" from MSFT.
	Reported by Jared Finder <jfinder@crypticstudios.com>.

2008-01-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* smerge-mode.el (smerge-auto): New function.
	* vc-svn.el (vc-svn-find-file-hook):
	* vc-arch.el (vc-arch-find-file-hook):
	* pcvs.el (cvs-revert-if-needed):
	* vc.el (vc-maybe-resolve-conflicts): Use it instead of vc-mode.
	(top-level): Add a Todo list.

2008-01-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-update): Resolve conflicts if necessary instead of
	just updating the buffer.

	* vc-cvs.el (vc-cvs-merge-news): Ignore the error status of the
	update command so that we can parse the output.

2008-01-13  Martin Rudalics  <rudalics@gmx.at>

	* mail/rmail.el (rmail-convert-to-babyl-format):
	Remove save-excursion to avoid infinite looping.
	Reported by dnz <dnz@bk.ru>.

2008-01-12  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-parse-numeric-arg): Change handling of `==':
	can be interned without a function definition.

2008-01-12  Jason Rumney  <jasonr@gnu.org>

	* nxml/nxml-mode.el (nxml-enable-unicode-char-name-sets)
	(rng-nxml-mode-init): Declare.

2008-01-11  Jason Rumney  <jasonr@gnu.org>

	* nxml/rng-nxml.el (rng-preferred-prefix-alist): Add some defaults.
	(rng-preferred-prefix-alist-default): Remove.

	* nxml/nxml-uchnm.el (nxml-internal-unicode-char-name-sets-enabled):
	Rename from nxml-enable-unicode-char-name-sets-flag.
	(nxml-enable-unicode-char-name-sets-1): Merge into
	nxml-enable-unicode-char-name-sets.
	(nxml-enable-unicode-char-name-sets): Don't unconditionally set
	nxml-char-name-ignore-case here.

	* nxml/nxml-mode.el (nxml-mode): Call rng-nxml-mode-init directly.
	Update doc string and commentary.
	(nxml-char-name-ignore-case): Change default value.
	(nxml-mode): Call nxml-enable-unicode-char-name-sets directly.

2008-01-11  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el (all): Add missing version entries.

2008-01-11  Glenn Morris  <rgm@gnu.org>

	* language/china-util.el (big5-to-flat-code, flat-code-to-big5)
	(euc-to-flat-code, flat-code-to-euc):
	* textmodes/org.el (elmo-msgdb-overview-get-entity)
	(wl-summary-buffer-msgdb): Declare as funtions.

2008-01-10  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/ada-mode.el (ada-set-syntax-table-properties):
	Bind buffer-file-name and buffer-file-truename.

	* fringe.el (fringe-mode-explicit): New variable.
	(set-fringe-mode): Don't alter default-frame-alist when just
	loading this file.

2008-01-10  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-buffer-file-name): New variable.
	(doc-view-convert-current-doc, doc-view-search)
	(doc-view-current-cache-dir, doc-view-initiate-display)
	(doc-view-mode): Use it.
	(doc-view-bookmark-make-cell): Use variable buffer-file-name
	instead of function.

2008-01-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-svn.el (vc-svn-registered): Return the correct value for
	ignored and unregistered files.

2008-01-10  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (tramp): Require tramp because we use tramp-tramp-file-p.

2008-01-10  Tom Tromey  <tromey@redhat.com>

	* vc.el (vc-status-unmark-all-files): New function.
	(vc-status-unmark-all-files): Likewise.
	(vc-status-mode-map): Add bindings.

2008-01-10  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff*.el: Uncomment declare-function.

	* viper*.el: Uncomment declare-function.

2008-01-09  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Support tramp, compressed files and
	files inside archives uniformly.

2008-01-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* textmodes/sgml-mode.el (sgml-tag-syntax-table): Initialize this
	constant with a computation on sgml-specials rather than a literal
	list.  Without this change the syntax table is generated
	incorrectly, and the mode will think it's in a comment following
	any instance of the string "--".

2008-01-09  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode-p): Add EPS as supported type.
	(doc-view-mode): Support document files inside archives.

2008-01-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-deduce-fileset): Return the currently selected file if
	no files are selected when using vc-status.

2008-01-09  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff*.el: Comment out declare-function.  "make bootstrap"
	stops with an error and Emacs does not compile with those things in.
	Besides, declare-function is not defined in XEmacs.

	* ediff-util (eqiff-quit): Autoraise minibuffer.

	* ediff-diff.el (ediff-convert-fine-diffs-to-overlays): Make it a defun.

	* emulation/viper*.el: Comment out declare-function -- not defined
	in XEmacs.

	* emulation/viper-ex.el (viper-info-on-file):
	Take care of indirect buffers.

	* emulation/viper.el (viper-set-hooks, set-cursor-color):
	Set viper-vi-state-cursor-color.

2008-01-09  Tom Tromey  <tromey@redhat.com>

	* vc.el (vc-status-headers): Rename from vc-status-insert-headers.
	Just return header.
	(vc-status-move-to-goal-column): New function.
	(vc-status-mode-map): Define more keys.
	(vc-status-mode): Use vc-status-refresh.  Now 'special.
	(vc-status-refresh): New function.
	(vc-status-next-line): Likewise.
	(vc-status-previous-line): Likewise.
	(vc-status-mark-file): Use vc-status-next-line.
	(vc-status-unmark-file): Use vc-status-previous-line.
	(vc-status-unmark-file-up): New function.
	(vc-status-register): Likewise.
	(vc-status-find-file): Likewise.
	(vc-status-find-file-other-window): Likewise.
	(vc-status-current-file): Likewise.
	(vc-ensure-vc-buffer): Understand vc-status mode.

	* vc-hg.el (vc-hg-dir-status): Don't pass -A to "hg status".

2008-01-09  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-string-at-point-mode-alist): Add `\' to file
	entry, for Windows.

2008-01-09  Tom Tromey  <tromey@redhat.com>

	* play/blackbox.el (blackbox-mode-map): Add `q' and [return] bindings.

2008-01-09  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Some face attributes (like :strike-through) were not
	being recognised.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 6.8.2.
	(ps-face-strikout-p, ps-face-overline-p, ps-face-box-p): New functions.
	(ps-screen-to-bit-face): Fix code.

2008-01-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-read-file-or-url): Don't use let-binding to temporarily
	add a file-name handler.

2008-01-08  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-initialize): New autoloaded command.
	Rename from function bibtex-files-expand.  New optional arg select.
	(bibtex-flash-head): Allow blink-matching-delay being zero.
	(bibtex-clean-entry): Use atomic-change-group.
	(bibtex-format-entry): Check presence of required fields only
	after formatting of fields.  Use member-ignore-case.  Do not use
	bibtex-parse-entry.  Do not use booktitle field to set a missing title.
	(bibtex-autofill-entry): Do not call undo-boundary.
	(bibtex-lessp): Handle crossref keys that point to another bibtex file.
	(bibtex-sort-buffer, bibtex-prepare-new-entry, bibtex-validate):
	Parse keys if necessary.

2008-01-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-1): Put varnum in
	quotes in case of spaces, e.g. STL containers (not pretty).

2008-01-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-gdb-command-name):
	Explain "--annotate=3" option is necessary for the Graphical Interface.

2008-01-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/hideif.el (hide-ifdef-mode-menu): Put hide-ifdef commands
	on menu bar.

2008-01-08  Michael Albinus  <michael.albinus@gmx.de>

	* ffap.el (ffap-read-file-or-url): Let-bind
	`file-name-handler-alist' due to `rfn-eshadow-update-overlay'.

2008-01-08  Sven Joachim  <svenjoac@gmx.de>

	* vc-bzr.el: Fix typo in header.

2008-01-08  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (custom-deps, finder-data): Depend on autoloads
	instead of loaddefs.el.

2008-01-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-cvs.el (vc-cvs-annotate-time): Don't move backward when text
	gets inserted out-of-order.

2008-01-08  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el: Copyright and version headers update.
	Remove some outdated comments through the whole file.
	(vc-bzr-program-args): Remove because unused.
	(vc-bzr-log-switches): New customization option.
	(vc-bzr-command): Use LC_MESSAGES=C instead of LC_ALL=C.  No longer
	use `vc-bzr-program-args'.
	(vc-bzr-register): Fix for working with both 22.1 and CVS version of
	`vc-find-root' (patch by Andreas Hoenen).
	(vc-bzr-status): Update regex to match latest Bzr output.
	Remove redundant test.
	(vc-bzr-init-version): New function.
	(vc-bzr-unregister): Must not delete file.
	(vc-bzr-find-version): New function.
	(vc-bzr-checkout): Argument `rev' is explicit revision only if it's
	a non-empty string, otherwise take head revision.
	(vc-bzr-print-log): Pass `vc-bzr-log-switches' to "bzr log".
	(vc-bzr-diff): Simpler build of the revision spec string.
	(vc-annotate-convert-time, vc-bzr-annotate-difference):
	Remove: compatibility hacks for Emacs21, not needed in Emacs 22.
	(vc-bzr-dir-state): Add code comments.  Removed redundant statement.
	(vc-bzr-dired-state-info): Only provide custom strings for
	overloaded VC state 'edited; otherwise fallback to
	`vc-default-dired-state-info'.

2008-01-08  Richard Stallman  <rms@gnu.org>

	* delsel.el (delete-selection-mode): Doc fix.

2008-01-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-def): Do nothing if gud-running is t.
	(gud-speedbar-menu-items): Add item for gdb-var-set-format below.

	* progmodes/gdb-ui.el (gdb-var-set-format): Set the output format
	of watch expressions (only works fully with GDB 6.7 or later).

2008-01-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* time-stamp.el (time-stamp-time-zone):
	* whitespace.el (whitespace-check-buffer-leading)
	(whitespace-check-buffer-trailing, whitespace-check-buffer-indent)
	(whitespace-check-buffer-spacetab, whitespace-check-buffer-ateol):
	* progmodes/sh-script.el (sh-indentation):
	* textmodes/ispell.el (ispell-local-pdict):
	Add safe-local-variable properties.

2008-01-08  Michael Albinus  <michael.albinus@gmx.de>

	* vc-git.el (vc-git--call): Apply `process-file' instead of
	`call-process'.

	* net/tramp.el (tramp-remote-process-environment): Add "LC_CTYPE=C".
	Reported by Pete Forman <pete.forman@westerngeco.com>.
	(tramp-perl-encode, tramp-perl-decode): Update copyrights.
	(tramp-handle-process-file): Handle the case where DESTINATION is
	a consp with t as car.
	(tramp-wait-for-output): We shall remove exactly what has been
	find by the search.

2008-01-08  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	For perl, allow "during global destruction" at end.  Add entry for
	two-arg form of the Test module ok() func.

2008-01-08  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-end-of-hunk): Don't match empty lines in
	unified format.

	* mouse.el (mouse-major-mode-menu): Suppress duplicate menus.

2008-01-08  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/reftex-toc.el (reftex-make-separate-toc-frame):
	Simplify selection of frame focusing function.

2008-01-08  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el (remember-region): Fix typo in docstring.

2008-01-08  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* textmodes/remember.el (remember): If there is a visible region
	[that is, the mark is active and transient mark mode is enabled]
	then use this region for the initial contents of the *Remember*
	buffer.  Use `region-beginning' and `region-end' instead of
	`point' and `mark'.

2008-01-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-state, vc-hg-dir-status): Pass the dir
	argument to vc-hg-command.
	(vc-hg-log-view-mode): Handle the user field better.

2008-01-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-ensure-vc-buffer): Check liveness of vc-parent-buffer.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-fileinfo): New defstruct.
	(vc-status): New defvar.
	(vc-status-insert-headers, vc-status-printer, vc-status)
	(vc-status-mode-map, vc-status-mode, vc-status-mark-file)
	(vc-status-unmark-file, vc-status-marked-files): New functions.

	* vc-hg.el (vc-hg-dir-status): New function.

2008-01-06  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (custom-tool-bar-map): Move initialization of this
	keymap from here ...
	(custom-mode): ... to here.  Reported by Reiner Steib.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* obsolete/x-apollo.el: Remove file for unsupported system.

	* term/x-win.el (vendor-specific-keysyms): Remove reference to
	Apollo.

	* progmodes/gud.el (gud-dgux-p): Remove.
	(dbx): Remove reference to dgux.

	* progmodes/ps-mode.el (ps-mode-print-function):
	* ps-print.el (ps-lp-system):
	* paths.el (rmail-spool-directory):
	* ls-lisp.el (ls-lisp-emulation):
	* lpr.el (lpr-lp-system):
	* dired.el (dired-chown-program): Remove references to dgux.

2008-01-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-process-sentinel): Fix apparent typo.
	(vc-do-command): Forcefully kill any left over process.
	Use start-file-process.
	(vc-annotate-get-time-set-line-props): Check we don't move backward.

2008-01-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-list-hash-table)
	(dbus-name-owner-changed-handler): Replace "signal" by "member".
	(dbus-check-event): Add serial number to event.
	(dbus-handle-event): Apply return message if needed.
	(dbus-event-serial-number): New defun.
	(dbus-event-service-name, dbus-event-path-name)
	(dbus-event-interface-name, dbus-event-member-name):
	Adapt implementation to serial number.

2008-01-04  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--get-mode-name): Fix typo in previous change.

2008-01-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* mouse.el (mouse-popup-menubar): Fix typo.

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer): Move one more
	form inside with-current-buffer.

	* progmodes/antlr-mode.el (provide): Move to the end of file.
	(require): Don't require font-lock and compile.
	(outline-level, imenu-use-markers, imenu-create-index-function):
	Move declarations to top level.
	(cond-emacs-xemacs-macfn): Declare for compiler.

	* vc-bzr.el (vc-bzr-root):
	* vc-arch.el (vc-arch-root): Only set a property if the file is
	managed by this backend.

	* vc-hg.el (vc-hg-state): Support the new status code for up-to-date.

2008-01-04  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page): Don't scroll to the
	top/bottom again when on the first/last page.

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page): Use image-scroll-up and
	image-scroll-down instead of the non-image equivalents.
	Don't rely on a signalled condition but switch pages when scrolling
	doesn't change the vertical position anymore.
	(doc-view-mode-map): Remap scroll-{up,down} to
	image-scroll-{up,down}.

2008-01-04  Rob Riepel  <riepel@networking.Stanford.EDU>

	* emulation/tpu-edt.el (tpu-load-xkeys): Recommend to run the
	tpu-mapper command rather than load the tpu-mapper package.

	* emulation/tpu-mapper.el (tpu-mapper): New command.
	Contains all the code previously at top-level.

2008-01-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bs.el (bs--sort-by-mode, bs--get-mode-name):
	* imenu.el (imenu-add-to-menubar):
	* makesum.el (make-command-summary):
	* mouse.el (mouse-major-mode-menu, mouse-popup-menubar)
	(mouse-buffer-menu):
	* msb.el (msb--mode-menu-cond):
	* calc/calc-embed.el (calc-do-embedded):
	* emacs-lisp/helper.el (Helper-describe-mode):
	* mail/emacsbug.el (report-emacs-bug):
	* progmodes/hideshow.el (hs-grok-mode-type):
	* textmodes/sgml-mode.el (sgml-mode-facemenu-add-face-function):
	* textmodes/table.el (*table--cell-describe-mode):
	Pass mode-name through format-mode-line.

2008-01-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ada-xref.el (ada-prj-find-prj-file):
	* progmodes/ada-mode.el (comment-region):
	* calendar/todo-mode.el (todo-insert-item):
	* bookmark.el (bookmark-buffer-name):
	Test major-mode rather than mode-name.

2008-01-04  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer):
	Call byte-compile-warn-about-unresolved-functions outside
	the with-current-buffer.
	(byte-compile-insert-header): Use with-current-buffer.

2008-01-04  Glenn Morris  <rgm@gnu.org>

	* startup.el (fancy-about-screen): Remove reference to deleted
	`fancy-splash-help-echo' variable.

	* version.el (emacs-copyright): Update to 2008.

	* net/tramp-smb.el (tramp-smb-handle-insert-directory): Use mapc
	rather than mapcar.

	* progmodes/cc-vars.el (defcustom-c-stylevar): Revert previous
	change (merge mistake).

	* doc-view.el (doc-view-search-internal): Don't use `incf'.

	* doc-view.el (bookmark-make-cell-function, bookmark-get-filename)
	(bookmark-get-bookmark-record):
	* image-mode.el (bookmark-make-cell-function)
	(bookmark-get-filename, bookmark-get-bookmark-record)
	(bookmark-get-position):
	* log-view.el (vc-modify-change-comment):
	* progmodes/grep.el (find-name-arg): Declare for compiler.

2008-01-04  Juanma Barranquero  <lekktu@gmail.com>

	* savehist.el (savehist-coding-system): Default to a variant coding
	system with explicit unix end-of-line conversion, which is safer.

2008-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ibuf-ext.el (mode-name sorter, ibuffer-mark-by-mode-regexp):
	* ibuffer.el (mode column): Use format-mode-line.

	* server.el (server-create-window-system-frame): Remove workaround for
	a bug that has been fixed.

2008-01-03  Magnus Henoch  <magnus@zemdatav>

	* net/dbus.el (dbus-name-owner-changed-handler):
	Use dbus-unregister-object instead of dbus-unregister-signal.

2008-01-03  Drew Adams  <drew.adams@oracle.com>

	* frame.el (frame-geom-value-cons, frame-geom-spec-cons): New fns.

2008-01-03  Richard Stallman  <rms@gnu.org>

	* replace.el (occur-context-lines): New subroutine,
	broken out of occur-engine.
	(occur-engine): Call it.

2008-01-03  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git--ls-files-state): New function.
	(vc-git-dir-state): Use it instead of processing the status
	results here.

2008-01-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* progmodes/grep.el (grep-find-ignored-directories):
	Initialize from the value of vc-directory-exclusion-list.

	* vc-hooks.el (vc-directory-exclusion-list): Include "_darcs",
	even though we don't have a back end for darcs yet.

2008-01-02  Karl Fogel  <kfogel@red-bean.com>

	Change a return type, for greater extensibility.
	See http://lists.gnu.org/archive/html/emacs-devel/2007-12/msg01077.html
	and its thread for discussion leading to this change.

	* bookmark.el (bookmark-jump-noselect):
	Return an alist instead of a dotted pair.
	(bookmark-jump, bookmark-jump-other-window, bookmark-insert)
	(bookmark-bmenu-2-window, bookmark-bmenu-other-window)
	(bookmark-bmenu-switch-other-window): Adjust accordingly.
	(bookmark-make-cell-function): Adjust documentation accordingly.

	* image-mode.el (image-bookmark-jump):
	Adjust return type accordingly; document.

	* doc-view.el (doc-view-bookmark-jump):
	Adjust return type accordingly; document.

2008-01-02  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-log-filename-function): New variable.
	(rcirc-log): Use `rcirc-log-filename-function' to generate the
	log-file name.  Don't log anything if it returns nil.
	(rcirc-log-write): Use `expand-file-name' when merging the
	log-file name from the alist with rcirc-log-directory; this does
	the right thing if the name in the alist already an absolute
	filename.  Make the log-file directory if necessary.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-prepend-text-property)
	(font-lock-append-text-property): Canonicalize the face and
	font-lock-face properties.

	* faces.el (facep): Doc fix.

	* startup.el (fancy-startup-tail, fancy-about-text)
	(fancy-startup-text): Regularize format of face property.

	* facemenu.el (list-colors-print): Use :background and :foreground
	instead of background-color and foreground-color.

2007-12-29  Drew Adams  <drew.adams@oracle.com>

	* cus-edit.el (custom-add-parent-links):
	Fill the "Parent documentation" text.

2007-12-29  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/ispell.el (ispell-grep-command): Use "grep" on
	MS-Windows and MS-DOS.
	(ispell-grep-options): Use "-Ei" on MS-Windows and MS-DOS.

2008-01-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-svn.el (vc-svn-modify-change comment): New function.

2008-01-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-dir-state): Set the vc-backend property.
	Do not disable undo, with-temp-buffer does it by default.

2008-01-01  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-svn.el (vc-svn-parse-status): Set the `unregisted' property
	correctly.

	* vc.el (vc-dired-hook): Speed tuning.  Replace a vc-backend call
	with vc-state.
	(vc-next-action): Fix vc-transfer-file call.

2007-12-31  Tom Tromey  <tromey@redhat.com>

	* emacs-lisp/elp.el (elp-results): Use header-line-format for header.
	Move point to the start of the buffer.

2007-12-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-parse-entry): Set the vc-backend property.

	* vc.el: State that dir-state is required to set the vc-state and
	vc-backend properties.

2007-12-31  Martin Rudalics  <rudalics@gmx.at>

	* man.el (Man-default-man-entry): Make this a defun.
	Improve guessing mechanism and handling of section numbers.

2007-12-31  Richard Stallman  <rms@gnu.org>

	* faces.el (face-all-attributes): If FRAME is nil, return defaults.

2007-12-31  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (calc-convert-temperature): Ensure that units
	are on the result even when the result is zero.

2007-12-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-name-owner-changed-handler): Make the function
	resistent towards wrong parameters.
	(dbus-handle-event): Propagate D-Bus errors only in the debug case.

2007-12-30  Richard Stallman  <rms@gnu.org>

	* faces.el (face-all-attributes): New function.

	* faces.el (face-differs-from-default-p): Compute list of attr names
	from face-attribute-name-alist.

	* cus-edit.el (custom-face-set): Call `face-spec-set' with FOR-DEFFACE.
	(custom-face-save): Likewise.
	(custom-face-reset-saved, custom-face-reset-standard): Likewise.

	* cus-face.el (custom-declare-face): Per frame, use `face-spec-set-2'.
	(custom-theme-set-faces): Clear `face-override-spec' property.
	Call `face-spec-set' with FOR-DEFFACE.

	* custom.el (custom-theme-recalc-face): Simply call `face-spec-recalc'.

	* faces.el (face-spec-set): Third arg is now FOR-DEFFACE.
	Use of frame as third arg is deprecated.
	Handle `face-override-spec' property.
	(face-spec-recalc): New function.
	(face-spec-set-2): New function.
	(frame-set-background-mode): Handle `face-override-spec' property.
	Use `face-spec-recalc'.
	(face-set-after-frame-default): Use `face-spec-recalc'.

2007-12-29  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-conversion-program): Add comment for Windows XP.

2007-12-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-state): Set the vc-backend property.

2007-12-29  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-svn.el (vc-svn-parse-status): Recognize 'unregistered,
	'added, 'removed.

	* vc.el (header coment): Better description of dir-state.
	(vc-compatible-state): New function.  Checks whether two states
	can be in the same changeset; used with 'edited it can test whether
	the next action for a state should be commit.
	(vc-default-dired-state-info): Display 'removed state.
	(vc-dired-hook): Turn off undo, this is a speed tweak.

	* vc-bzr.el (vc-bzr-dir-state): Recognize 'added.

	* vc-hg.el (vc-bzr-hg-state): Recognize 'added and 'removed.
	Cope with the possibility that the 'C' status flag might change
	in 0.9,6.

	* vc-git.el (vc-bzr-dir-state): Recognize 'removed.

2007-12-29  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* files.el (cd-absolute): Fix omission bug:
	Make `list-buffers-directory' buffer-local.

2007-12-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-state): Deal with the up-to-date state.

2007-12-29  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-aent.el (math-read-token): Fix misplaced parentheses.

	* calc/calc-lang.el (calc-yacas-language, calc-maxima-language)
	(calc-giac-language, math-yacas-parse-Sum, math-yacas-compose-sum)
	(math-yacas-compose-deriv, math-yacas-compose-taylor)
	(math-maxima-parse-subst, math-maxima-parse-taylor)
	(math-maxima-compose-taylor, math-maxima-compose-subst)
	(math-maxima-compose-if, math-lang-switch-args)
	(math-lang-compose-switch-args, math-read-giac-subscr):
	New functions.
	(calc-lang-allow-underscores, calc-lang-allow-percentsigns)
	(calc-lang-brackets-are-subscripts, calc-lang-c-type-hex):
	Add languages.
	(math-vector-brackets, math-complex-format, math-variable-table)
	(math-parse-table, math-oper-table, math-function-table)
	(math-special-function-table, math-compose-subscr):
	Add values for new languages.

	* calc/calccomp.el (math-compose-expr): Add new languages.

	* calc/calc.el (calc-language): Add languages to docstring.

	* calc/calc-ext.el (calc-init-extensions): Add keybindings
	for new languages.  Autoload commands to change languages.

	* calc/calc-help.el (calc-d-prefix-help): Add new languages.

	* calc/calc-menu.el (calc-modes-menu): Add new languages.
	(calc-arithmetic-menu, calc-scientific-function-menu)
	(calc-algebra-menu, calc-graphics-menu, calc-vectors-menu)
	(calc-units-menu, calc-variables-menu, calc-stack-menu):
	Add :active keywords.

2007-12-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-registered): Return the false when vc-hg-state
	returns 'ignored or 'unregistered.
	(vc-hg-state): Pass "-A" to the status command and deal with the
	output.
	(vc-hg-dir-state): Pass "-A" to the status command.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-start): Set initial visible
	point properly even when compilation buffer already current.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* files.el (conf-mode-maybe): New function.
	(auto-mode-alist): Use conf-mode-maybe for .conf etc.

2007-12-29  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/fill.el (fill-find-break-point): Fix doc-string typo.

2007-12-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/asm-mode.el (asm-mode-map): Add a major mode menu.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-mode-map): Explicitly bind `delete' and `kp-delete'
	so they never do EOF.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* faces.el (copy-face): Create the new face explicitly if it
	does not exist already.

2007-12-29  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (minibuffer-history, shell-command-history)
	(set-variable-value-history):
	* replace.el (regexp-history):
	* international/mule-cmds.el (input-method-history):
	* files.el (file-name-history): Add reference to history-length in
	the doc string.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-password-prompt-regexp): Match `Enter Password'.

2007-12-29  Jason Rumney  <jasonr@gnu.org>

	* find-dired.el (find-name-arg): New custom variable.
	(find-name-dired): Use it.
	(find-dired-find-program): Remove.
	(find-dired): Use find-program.
	(find-grep-dired): Use grep-program.

	* progmodes/grep.el (rgrep): Use find-name-arg.

2007-12-29  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/cc-vars.el (defcustom-c-stylevar):
	Revert to pre-2007-12-12 version.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/find-func.el (find-function-after-hook): Add :type.

	* info.el (Info-clone-buffer): Rename from Info-clone-buffer-hook.
	Use changed.

	* startup.el (fancy-splash-help-echo): Var deleted.
	(fancy-splash-insert): Get help-echo from (startup-echo-area-message).
	(fancy-about-screen): Don't display fancy-splash-help-echo.

	* menu-bar.el (menu-bar-describe-menu): Remove dots from menu text.

2007-12-28  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-hooks.el, vc.el: Move vc-directory-exclusion-list from vc.el
	to vc-hooks.el so it will be available to other modes, such as
	speedbar.el.  Also, teach it to recognize monotone state directories.

	* speedbar.el: Remove this mode's fragile assumptions about
	version-control systems.  Instead, make it use logic from
	vc-hooks.el so it will become smarter whenever VC mode does.

	* vc-hooks.el: 'added is a real state, not a future hypothetical one.
	Fix the documentation.

	* vc-bzr.el, vc-cvs.el, vc-git.el, vc-hg.el, vc-mcvs.el, vc-svn.el:
	Modify all instances of the dir-state back-end method to suppress
	keeping undo lists on the buffers holding status output, which
	can get extremely large.

	* vc-cvs.el, vc-svn.el: Simplify backend dired-state-info functions
	so they don't do work that the default one can do instead.

	* vc-hooks.el (vc-state): Document new 'ignored and 'unregistered
	states, and the new return-value convention.  These are not
	actually used yet, just set.

	* vc-svn.el (vc-svn-parse-status): Set 'ignored and 'unregistered
	states when appropriate.

	* vc-hg.el (vc-hg-state, vc-hg-dir-state): Set 'ignored and
	'unregistered when appropriate.

	* vc-git.el: Document that we don't set the new states yet.

	* vc.el (vc-dired-state-info): Display 'added, 'unregistered and
	'ignored states.

	* vc-cvs.el (vc-cvs-parse-status): Set the 'ignored state when
	appropriate.

	* vc-bzr.el (vc-bzr-dir-state): Set 'ignored and 'unregistered
	when appropriate.

2007-12-28  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-call-convert): Use call-process directly
	with thumbs-conversion-program instead of through shell-file-name
	for better error reporting.

2007-12-27  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-aent.el (math-remove-percentsigns):
	* calc/calccomp.el (math-to-percentsigns): Change placeholder
	for percent signs.

2007-12-27  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-dired-ignorable-p, vc-dired-hook): Speed optimization;
	use completion-ignored-extensions to detect files that should be
	ignorted in VC-Dired listings, heading off lots of expensive calls
	to (vc-state).

	* vc.el (vc-dired-hook): Show unregistered file status as "?" in
	non-terse mode.
	(vc-dired-ignorable-p): Ignore Makefile when it has a peer named
	Makefile.in or Makefile.am.

2007-12-27  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-mark-active-p): Fun returned back.
	(ps-print-preprint-region): Use `ps-mark-active-p' instead of
	`region-active-p' for error checking.

2007-12-27  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el, vc-sccs.el, vc-rcs.el, vc-cvs.el, vc-mcvs.el:
	Put new machinery in place to support editing of change comments
	with 'e' in a log-view buffer.  Not documented yet as this
	only works for SCCS, RCS, and maybe CVS if you have admin
	privileges.  When we have backend support for Subversion and
	more modern systems it will be time to write this up.

2007-12-27  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/mule-cmds.el (select-safe-coding-system):
	When a buffer is modified, cancel the writing.

2007-12-26  Eric S. Raymond  <esr@snark.thyrsus.com>

	* log-view.el: Add Subversion and Mercurial log format samples.

	* vc.el (vc-dired-hook): Significantly speed up by arranging for
	it to call the backend dir-state hook (if it exists)
	exactly *once*, rather than once per each subdirectory (with
	dired-state-info calls on all toplevel files slowing it down even
	further).  For this to work, backend dir-state methods have to
	recurse to subdirectories.  Most of them already did anyway; a few
	needed *non*-recursion switches removed.  This change mostly
	removed code that was perversely bad and should have been shot
	through the head years ago.

	* vc-bzr.el (vc-bzr-dir-state):
	* vc-cvs.el (vc-cvs-dir-state):
	* vc-mcvs.el (vc-mcvs-dir-state):
	* vc-svn.el (vc-svn-dir-state): Recurse in subdirectories.

	* vc-svn.el (vc-svn-print-log): svn log doesn't actually accept
	multiple arguments, so generate logs sequentially when we get them.
